<?php

$type = function()
{
	$array = array();
	$data = Dever::load('creator/type-state');
	if($data)
	{
		$array += $data;
	}
	return $array;
};

$status = array
(
    1 => '启用',
    2 => '禁用',
);

return array
(
	# 表名
	'name' => 'info',
	# 显示给用户看的名称
	'lang' => '创作者列表',
	# 是否显示在后台菜单
	'order' => 11,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '创作者ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
		),

        'uid'       => array
        (
            'type'      => 'int-11',
            'name'      => '用户信息-输入用户手机号或者用户名',
            'default'   => '1',
            'desc'      => '用户信息',
            'match'     => 'is_numeric',
            'search'    => array
            (
                'api' => 'user/info-like',
                'col' => 'search',
                'result' => 'id',
            ),
            'update'    => 'select',
            'update_search' => 'user/lib/info.manage_search',
            'list'       => '"{uid}" ? Dever::load("user/lib/info.get#mobile", {uid}) : "暂无"',
        ),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '创作者名称',
			'default' 	=> '',
			'desc' 		=> '创作者名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
			'edit'		=> true,
		),

		'type_id'        => array
        (
            'type'      => 'int-11',
            'name'      => '创作者类型',
            'default'   => '1',
            'desc'      => '创作者类型',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'search'	=> 'select',
            'option'    => $type,
            'list'      => true,
        ),

		'creator/platform'=> array
		(
			'name' 		=> '平台设置',
			'default' 	=> '',
			'desc' 		=> '平台设置',
			'match' 	=> 'option',
			# 同步更新另外一个表的内容，两个表相关联的id，更新另一个表的字段
			'sync'		=> array('creator_id' => 'id'),
			'update'	=> array(1),
			# 1纵向展示 2横向展示
			'update_type' => 2,
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			//'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

        'status'        => array
        (
            'type'      => 'int-11',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '状态',
            'match'     => 'is_numeric',
            //'update'  => 'select',
            'option'    => $status,
            'search'    => 'select',
            'list'      => true,
            'edit'      => true,
        ),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '数据状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			//'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
        'delete' => false,
		//'tab' => array('基本设置'),
		'button' => array
        (
            //'类型配置' => array('list', 'type&oper_parent=info'),
        ),

        'list_button' => array
        (
        	'list' => array('平台列表', 'platform&oper_table=info&search_option_creator_id={id}'),

        	'br1' => array('<br />'),
            'list1' => array('文章', 'article&project=content&parent=creator/info&search_option_creator_id={id}'),
            'list2' => array('图集', 'pic&project=content&parent=creator/info&search_option_creator_id={id}'),
            'list3' => array('视频', 'video&project=content&parent=creator/info&search_option_creator_id={id}'),
            'list4' => array('音频', 'audio&project=content&parent=creator/info&search_option_creator_id={id}'),
        )
	),

	'default' => array
	(
		'col' => 'name,uid,type_id,state,cdate',
		'value' => array
		(
			'"默认创作者", 1, 1, 1,' . DEVER_TIME,
		),
	),

	'request' => array
	(
		'like' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'name' => array('yes', 'like'),
                'id' => 'yes',
                'status' => 1,
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc', 'id' => 'desc'),
            'col' => '*|id',
        ),

        'getAll' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'ids' => array('yes-id', 'in'),
                'status' => 1,
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc', 'id' => 'desc'),
            'col' => '*',
        ),
	)
);
