<?php

$status = array
(
	1 => '启用',
	2 => '禁用',
);

$code = array
(
	'yuandaibao' => '源小号',
	'toutiao' => '头条号',
	'weixin' => '微信公众号',
	'baidu' => '百度百家号',
);

$set = Dever::input('set', 2);
$fast = Dever::input('fast');
if ($fast) {
	$set = 1;
}

return array
(
	# 表名
	'name' => 'platform',
	# 显示给用户看的名称
	'lang' => '创作者平台',
	# 是否显示在后台菜单
	'order' => 10,
	'menu' => false,

	'status' => $status,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
			'order'		=> 'asc',
		),

		'creator_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '创作者ID',
			'default' 	=> '-1',
			'desc' 		=> '创作者ID',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_creator_id'),
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '平台名称',
			'default' 	=> '',
			'desc' 		=> '平台名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
			'edit'		=> true,
		),

		'code'      => array
        (
            'type'      => 'varchar-150',
            'name'      => '关联平台',
            'default'   => '',
            'desc'      => '关联平台',
            'match'     => 'is_string',
            'update'	=> 'select',
			'option'	=> $code,
            'search'    => 'select',
            'list'      => true,
        ),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			//'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'status'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '是否启用',
			'default' 	=> '1',
			'desc' 		=> '是否启用',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $status,
			'list'		=> true,
			'edit'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			//'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		//'delete' => false,
		'insert' => false,
        'edit' => false,
        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),
		'list_button' => array
        (
        	'edit' => array('编辑'),
        )
	),

	'request' => array
	(
		'like' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'name' => array('yes', 'like'),
                'id' => 'yes',
                'status' => 1,
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc', 'id' => 'desc'),
            'col' => '*|id',
        ),
        
		'search' => array
        (
            'option' => array
            (
                'ids' => array('yes-id', 'in'),
                'no_id' => array('yes-id', '!='),
                'name' => array('yes', 'like'),
                'id' => 'yes',
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc', 'id' => 'desc'),
            'page' => array(10, 'list'),
            'col' => 'id, name, id as value, "" as selected, "" as disabled|id',
        ),

        'getAll' => array
        (
            'option' => array
            (
                'supplier_id' => array('yes', 'in'),
                'ids' => array('yes-id', 'in'),
                'state' => 1,
            ),
            'type' => 'all',
            'col' => '*',
        ),
	)
);
