<?php

namespace Order\Lib;

use Dever;

class Assign
{
    public function get(&$goods, &$shop)
    {
        if ($shop['stock'] == 2 && $shop['stock_shop'] > 0) {
            $shop['id'] = $shop['stock_shop'];
        }
        # 获取分配的仓配商和供应商 每个商品下都有自己的option
        $option = array();
        $option[-1] = '未分配供货商';
        $shop['address'] = Dever::load('user/address')->getData($shop['id'], 'seller/shop');
        # 获取门店所有的仓库
        $store = $this->getStore($shop);
        # 获取门店所有的渠道
        $channel = $this->getChannel($shop);
        $state = false;

        $shop['option'] = $option;
        foreach ($goods as $k => $v) {
            $goods[$k]['option'] = $option;
            $select_store = $this->selectStore($store, $goods[$k], $shop['option']);
            $select_channel = $this->selectChannel($channel, $goods[$k], $shop['option']);
            if ($select_store || $select_channel) {
                $state = true;
            }
        }
        return $state;
    }

    private function getStore($shop)
    {
        $shop_store = Dever::db('seller/shop_store')->select(array('seller_shop_id' => $shop['id']));
        /*
        if (!$shop_store) {
            $servicer = Dever::db('seller/servicer')->getAll(array('seller_id' => $shop['seller_id']));
            if (!$servicer) {
                return false;
            }
            $servicer_id = array_keys($servicer);
            $shop_store = Dever::db('servicer/store')->getAll(array('servicer_id' => $servicer_id));
        }*/
        $store = array();

        # 按照距离排序
        if ($shop_store) {
            $distance = array();
            foreach ($shop_store as $k => $v) {
                if (isset($v['servicer_store_id'])) {
                    $info = Dever::db('servicer/store')->find($v['servicer_store_id']);
                } else {
                    $info = $v;
                }
                $parent = Dever::db('servicer/info')->find($info['servicer_id']);
                $info['name'] = $parent['name'] . '.' . $info['name'];

                if ($info && $info['status'] == 1) {
                    $this->instance($shop['address'], $info, $instance);
                    $store[] = $info;
                }
            }

            if ($store) {
                $distance && array_multisort($distance, SORT_ASC, SORT_NUMERIC, $store);
            }
        }
        return $store;
    }

    private function selectStore($store, &$goods, &$option)
    {
        $state = false;
        if ($store) {
            foreach ($store as $k => $v) {
                $v['type'] = 2;
                $where = array();
                $where['servicer_store_id'] = $v['id'];
                $where['goods_id'] = $goods['goods_id'];
                $where['sku_id'] = ($goods['sku_id'] && $goods['sku_id'] > 0) ? $goods['sku_id'] : -1;
                $sku = Dever::db('servicer/store_goods')->getOne($where);
                if ($sku) {
                    if ($goods['num'] <= $sku['total']) {
                        $key = $v['type'] . '_' . $v['servicer_id'] . '_' . $v['id'];
                        $goods['option'][$key] = $option[$key] = $v['name'];
                        if (!isset($goods['select'])) {
                            $goods['select'] = $key;
                        }
                        $state = true;
                    }
                }
            }
        }
        
        return $state;
    }

    private function getChannel($shop)
    {
        $shop_channel = Dever::db('seller/shop_channel')->select(array('seller_shop_id' => $shop['id']));

        $channel = array();

        if ($shop_channel) {
            $distance = array();
            foreach ($shop_channel as $k => $v) {
                if (isset($v['supplier_channel_id'])) {
                    $info = Dever::db('supplier/channel')->find($v['supplier_channel_id']);
                } else {
                    $info = $v;
                }
                $parent = Dever::db('supplier/info')->find($info['supplier_id']);
                $info['name'] = $parent['name'] . '.' . $info['name'];
                
                if ($info && $info['status'] == 1) {
                    $this->instance($shop['address'], $info, $instance);
                    $channel[] = $info;
                }
            }

            if ($channel) {
                $distance && array_multisort($distance, SORT_ASC, SORT_NUMERIC, $channel);
            }
        }

        return $channel;
    }

    private function selectChannel($channel, &$goods, &$option)
    {
        $state = false;
        if ($channel) {
            foreach ($channel as $k => $v) {
                $v['type'] = 3;
                $where = array();
                $where['supplier_channel_id'] = $v['id'];
                $where['goods_id'] = $goods['goods_id'];
                $where['sku_id'] = ($goods['sku_id'] && $goods['sku_id'] > 0) ? $goods['sku_id'] : -1;
                $sku = Dever::db('supplier/channel_goods')->getOne($where);
                if ($sku) {
                    $key = $v['type'] . '_' . $v['supplier_id'] . '_' . $v['id'];
                    $goods['option'][$key] = $option[$key] = $v['name'];
                    if (!isset($goods['select'])) {
                        $goods['select'] = $key;
                    }
                    $state = true;
                }
            }
        }
        
        return $state;
    }

    private function instance($source, &$info, &$instance)
    {
        if ($source && $source['lng'] && $source['lat']) {
            $dest = Dever::load('user/address')->getData($info['id'], 'servicer/store');
            if ($dest && $dest['lng'] && $dest['lat']) {
                $distance[] = $info['distance'] = Dever::distance($source['lng'], $source['lat'], $dest['lng'], $dest['lat']);
            } else {
                $distance[] = $info['distance'] = 0;
            }
        }
    }
}