<?php namespace Order\Lib;
use Dever;
class Audit
{
    # 订单审核
    public function order_commit($id, $name, $data)
    {
        list($table, $type, $col, $stock) = Dever::load('order/lib/common')->getByTable($name, Dever::input('stock'), Dever::input('col'), 'audit');

        $order_id = Dever::param('order_id', $data);
        $order_goods_id = Dever::param('order_goods_id', $data);
        $status = Dever::param('status', $data);
        $admin = Dever::load('manage/auth.info');
        $desc = Dever::param('desc', $data);

        $this->act($table, $type, $col, $stock, $order_id, $order_goods_id, $status+1, $desc);

        $data['add_uid'] = $admin['id'];
        return $data;
    }

    # 开始审核
    public function act($table, $type, $col, $stock, $order_id, $order_goods_id, $status, $desc = '')
    {
        $order = Dever::db($table)->find($order_id);
        if ($table && $type && $order) {
            $table_goods = $table . '_goods';
            $update['status'] = $status;
            $order_goods = array();

            if ($order_goods_id) {
                $update['where_id'] = $order_goods_id;
                Dever::db($table_goods)->update($update);
                $order_goods = Dever::db($table_goods)->find($order_goods_id);
            } else {
                $update['where_id'] = $order_id;
                Dever::db($table)->update($update);
            }

            if ($status == 2) {
                $this->yes($table, $table_goods, $type, $col, $stock, $order, $order_goods);
            } else {
                $this->no($table, $table_goods, $type, $col, $stock, $order, $order_goods, $desc);
            }
        }
    }

    # 订单审核通过
    private function yes($table, $table_goods, $type, $col, $stock, $order, $order_goods)
    {
        if (strstr($table, 'sell_order')) {
            $info = Dever::db('seller/info')->one($order['seller_id']);
            $log = '';
            if ($info['sell_delivery'] == 1) {
                $buy_order_id = Dever::load('order/type/buy')->create($order);
                if ($buy_order_id) {
                    $update = array();
                    $update['where_id'] = $order['id'];
                    $update['status'] = 3;
                    $update['buy_order_id'] = $buy_order_id;
                    Dever::db($table)->update($update);

                    if ($order['salesman_id']) {
                        Dever::load('order/lib/salesman')->up($order, $buy_order_id);
                    }
                } else {
                    Dever::alert('生成采购单失败');
                }
            } else {
                $update = array();
                $update['where_id'] = $order['id'];
                $order['status'] = $update['status'] = 5;
                $log = '并已发货';
                # 发货时减库存
                Dever::load('order/lib/stock.up', $table, $table_goods, 'out', $col, $stock, $order, $order_goods);
               Dever::db($table)->update($update); 
            }
            Dever::load('order/lib/log.add', $table, $order['id'], '审核通过' . $log);
        } elseif (strstr($table, 'buy_order')) {
            $state = Dever::load('order/type/buy')->act($order['id'], true);
            if (!$state) {
                Dever::alert('支付失败，当前资金账户余额不足');
            }
        } else {
            Dever::load('order/lib/stock.up', $table, $table_goods, $type, $col, $stock, $order, $order_goods);
            Dever::load('order/lib/log.add', $table, $order['id'], '审核通过');
        }
    }

    # 订单审核未通过
    private function no($table, $table_goods, $type, $col, $stock, $order, $order_goods, $desc)
    {
        Dever::load('order/lib/stock.up', $table, $table_goods, $type, $col, false, $order, $order_goods, 1, 3);
        Dever::load('order/lib/log.add', $table, $order['id'], '审核未通过：' . $desc);
    }

    # 新增订单审核记录
    public function add($table, $order_id, $status, $desc = '', $uid = false, $hook = true)
    {
        if (!$hook) {
            Dever::config('base')->hook = true;
        }
        if (!$uid) {
            $admin = Dever::load('manage/auth.info');
            if ($admin) {
                $uid = $admin['id'];
            }
        }

        $data['uid'] = $uid;
        $data['order_id'] = $order_id;
        $data['desc'] = $desc;
        $data['status'] = $status;

        $id = Dever::db($table . '_audit')->insert($data);
        return $id;
    }
}