<?php namespace Order\Lib;
use Dever;
class Common
{
    # 生成订单号
    public function createOrderNum($table)
    {
        $prefix = Dever::load('order/lib/prefix.get', $table);
        $where['order_num'] = Dever::order($prefix);
        $state = Dever::db($table)->one($where);
        if (!$state) {
            return $where['order_num'];
        } else {
            return $this->createOrderNum($table);
        }
    }

    # 根据类型获取相关信息
    public function get($type, $role_id = false, $site_id = false)
    {
        $result = Dever::config('base')->role_key[$type];
        if ($role_id) {
            $result[2][$result[0] . '_id'] = $role_id;
        }
        if ($site_id) {
            $result[2][$result[0] . '_' . $result[1] . '_id'] = $site_id;
        }
        return $result;
    }

    # 获取表名
    function getTable($type, $string)
    {
        list($role, $site) = $this->get($type);
        return $role . $string;
    }

    # 根据表名获取相关信息
    public function getByTable($table, $stock, $col, $suffix = 'goods')
    {
        if ($suffix) {
            $table = str_replace('_' . $suffix, '', $table);
        }
        list($project_name, $table_name) = explode('/', $table);
        $type = 'out';
        if (strstr($table, 'in_') || strstr($table, 'buy_')) {
            $type = 'in';
        }
        if ($col) {
            $col = $project_name . '_' . Dever::input('col');
        }
        if ($stock) {
            !$col && $col = $project_name . '_' . $stock . '_id';
            $stock = $project_name . '/' . $stock . '_goods';
        }

        return array($table, $type, $col, $stock);
    }

    # 新增订单 生成订单号
    public function insert($id, $name, $data)
    {
        $info_id = Dever::param('servicer_store_id', $data);
        if ($info_id) {
            $info_table = 'servicer/store';
            $info_name = '仓库';
        }
        $info_id = Dever::param('seller_shop_id', $data);
        if ($info_id) {
            $info_table = 'seller/shop';
            $info_name = '门店';
        }

        if ($info_id) {
            $info = Dever::db($info_table)->find($info_id);
            if ($info && $info['type'] == 1) {
                $address = Dever::load('user/address')->getData($info['id'], $info_table);
                if (!$address) {
                    Dever::alert($info_name . '[' . $info['name'] . ']收货地址未填写');
                }
            }
        }

        $data['add_order_num'] = $this->createOrderNum($name);

        return $data;
    }

    # 生成订单商品信息
    public function updateGoods($id, $name, $data)
    {
        $goods = Dever::param('goods_id', $data);
        $cash = Dever::param('cash', $data);
        $num = Dever::param('num', $data);
        $order_id = Dever::param('order_id', $data);
        if ($goods && strstr($goods, '-')) {
            $temp = explode('-', $goods);
            $update = array();
            $update['where_id'] = $id;
            $update['goods_id'] = $temp[0];
            $update['sku_id'] = $temp[1];
            $batch = Dever::param('batch', $data);
            if (!$batch) {
                $update['batch'] = date('Ymd');
            }
            Dever::db($name)->update($update);

            if ($order_id) {
                $order_table = str_replace('_goods', '', $name);
                $cash = $cash * $num;
                $order_update = array('where_id' => $order_id, 'cash' => $cash, 'num' => $num);
                if (strstr($name, 'seller')) {
                    $order_update['price'] = $cash;
                }
                Dever::db($order_table)->up($order_update);
            }
        }
    }

    public function finish_commit_api()
    {
        $order_table = Dever::input('order_table');
        if (!$order_table) {
            $order_table = Dever::input('project') . '/' . Dever::input('table');
        }
        
        $order_id = Dever::input('order_id');
        $order_id = Dever::decode($order_id);
        if (!$order_id) {
            Dever::alert('无效订单号');
        }
        $info = Dever::db($order_table)->find($order_id);
        if ($info && $info['status'] <= 5) {
            if (isset($info['sell_order_id']) && $info['sell_order_id']) {
                $refund = Dever::db('seller/sell_order_refund')->find(array('order_id' => $info['sell_order_id'], 'valid' => 1));
            } else {
                $refund = Dever::db($order_table . '_refund')->find(array('order_id' => $info['id'], 'valid' => 1));
            }
            
            if ($refund) {
                $update['status'] = 7;
            } else {
                $update['status'] = 6;
            }
            
            $update['finish_date'] = time();
            $update['where_id'] = $info['id'];
            Dever::db($order_table)->update($update);

            if (isset($info['buy_order_id']) && $info['buy_order_id']) {
                Dever::setInput('order_table', 'seller/buy_order');
                Dever::setInput('order_id', Dever::encode($info['buy_order_id']));
                $this->finish_commit_api();
            }
            if (strstr($order_table, 'buy_order') && !$info['sell_order_id']) {
                # 增加库存
                Dever::load('order/lib/stock.up', $order_table, $order_table .'_goods', 'in', 'seller_shop_id', 'seller/shop_goods', $info, array(), 2);
            }

            if (strstr($order_table, 'sell_order')) {
                Dever::load('order/lib/salesman.act', $info);
            }

            Dever::load('order/lib/log.add', $order_table, $info['id'], '已完成');
        }
        return 'reload';
    }
}
