<?php
namespace Order\Lib;

use Dever;

class Salesman
{
    public function manage_search_api()
    {
        $table = 'seller/shop_salesman';
        $keyword = Dever::input('keyword');
        $seller_shop_id = Dever::input('seller_shop_id');

        $yes = Dever::input('yes');

        $where = array();

        if ($yes) {
            $yes = Dever::db($table)->search(array('ids' => $yes));
        }
        if ($seller_shop_id) {
        	$where['seller_shop_id'] = $seller_shop_id;
        }
        if (!$keyword) {
            $where['limit'] = '0,10';
            $data = Dever::db($table)->search($where);
        } else {
            $where['search'] = $keyword;
            $data = Dever::db($table)->search($where);
        }

        $result = array();
        if ($yes) {
            foreach ($yes as $k => $v) {
                if (isset($data[$k])) {
                    unset($data[$k]);
                }
                $yes[$k]['selected'] = true;
            }
            $data = $yes + $data;

            $data = array_merge($data, array());
        } else {
            $data = array_merge($data, array());
        }

        if (!$data) {
            Dever::alert('暂无数据');
        }

        return $data;
    }

    public function get($id)
    {
    	$info = Dever::db('seller/shop_salesman')->find($id);
    	if ($info) {
    		$user = Dever::db('user/info')->find($info['uid']);
    		if ($info['name']) {
    			$info['name'] = $user['name'] . ' - ' . $user['mobile'] . ' - ' . $info['name'];
    		}
    		$info['mobile'] = $user['mobile'];
    		return $info;
    	}
    	return false;
    }

    public function up($order, $buy_order_id)
    {
    	$buy_order = Dever::db('seller/buy_order')->one($buy_order_id);
        $salesman = Dever::db('seller/shop_salesman')->find($order['salesman_id']);
        if ($buy_order && $salesman && $salesman['status'] == 1) {
            if (!$salesman['salesman_commission']) {
                $shop = Dever::db('seller/shop')->find($order['seller_shop_id']);
                if (!$shop['salesman_commission']) {
                    return;
                }
                $salesman['salesman_commission'] = $shop['salesman_commission'];
            }
            $cash = $order['cash'] - $buy_order['cash'];
            if ($cash >= 0) {
            	$cash = Dever::per($cash, $salesman['salesman_commission']);
            	if ($cash && $cash >= 0) {
            		$salesman_data['order_id'] = $order['id'];
		            $salesman_log = Dever::db('seller/shop_salesman_log')->one($salesman_data);
		            $salesman_data['salesman_id'] = $order['salesman_id'];
		            $salesman_data['commission'] = $cash;
		            if (strstr($salesman['salesman_commission'], '%')) {
		            	$salesman_data['per'] = $salesman['salesman_commission'];
		            }
		            if (!$salesman_log) {
		            	Dever::db('seller/shop_salesman_log')->insert($salesman_data);
		            } else {
		            	$salesman_data['where_id'] = $salesman_log['id'];
		            	Dever::db('seller/shop_salesman_log')->update($salesman_data);
		            }
            	}
            }
        }
    }

    # 确认佣金
    public function act($order)
    {
    	if ($order['salesman_id']) {
    		$salesman_log = Dever::db('seller/shop_salesman_log')->one(array('order_id' => $order['id']));
    		if ($salesman_log && $salesman_log['status'] == 1) {
    			$seller = Dever::db('seller/info')->find($order['seller_id']);
    			$salesman = Dever::db('seller/shop_salesman')->find($salesman_log['salesman_id']);
    			if ($seller && $seller['uid'] > 0 && $salesman && $salesman['uid'] > 0 && $salesman['status'] == 1) {

    				Dever::load('account/lib/info.up_commit', $seller['uid'], $salesman_log['commission'], 'fenxiao_fenzhang', 'qianbao', '分账:' . $order['order_num'], 'seller/sell_order', $order['id'], 1);

    				Dever::load('account/lib/info.up_commit', $salesman['uid'], $salesman_log['commission'], 'fenxiao', 'qianbao', '划付:' . $order['order_num'], 'seller/sell_order', $order['id'], 1);

    				Dever::db('seller/shop_salesman_log')->update(array('where_id' => $salesman_log['id'], 'status' => 2, 'finish_date' => time()));
    			}
    		}
    	}
    }
}