<?php namespace Order\Lib;
use Dever;
class Stock
{
	# 检测库存是否充足
	public function check($id, $name, $data)
	{
		list($table, $type, $col, $stock) = Dever::load('order/lib/common')->getByTable($name, Dever::input('stock'), Dever::input('col'), 'goods');

		Dever::setInput($col, Dever::input('update_' . $col));

		$data['table'] = $table;

		$goods = Dever::param('goods_id', $data);
		if (!$goods) {
			$this->alert('未选择商品', $data);
		}
		if (strstr($goods, '-')) {
			list($goods_id, $sku_id) = explode('-', $goods);
		} else {
			$goods_id = $goods;
			$sku_id = Dever::param('sku_id', $data);
		}

		$unit_id = Dever::param('unit_id', $data);
		if (!$unit_id) {
			$this->alert('未选择单位', $data);
		}

		$num = Dever::param('num', $data);
		$cur = 0;
		$status = $this->status($goods_id, $sku_id, $unit_id, $num, $cur);
		if (!$status) {
			$goods_info = Dever::load('goods/lib/info')->getBaseInfo($goods_id, $sku_id, $unit_id);
			if ($goods_info && $goods_info['stock'] == 1) {
				$this->alert('下单失败！【' . $goods_info['aname'] . '】下单数量(' . $num . $goods_info['unit'] . '）少于剩余库存（' . $cur . $goods_info['unit'] . '）', $data);
			}
		}
	}

	private function alert($msg, $data)
	{
		$order_id = Dever::param('order_id', $data);
		if ($order_id) {
			Dever::db($data['table'])->delete($order_id);
		}
		Dever::alert($msg);
	}

	# 检测库存是否充足
	public function status($goods_id, $sku_id, $unit_id, $num, &$cur_num)
	{
		if ($num <= 0) {
			return false;
		}
		$info = Dever::load('goods/lib/unit')->getData($goods_id, $sku_id, $unit_id);
		$status = true;
		if ($info) {
			$cur_num = $info['num'];
			if ($info['num'] < $num) {
				$status = false;
			}
		} else {
			$status = false;
		}
		return $status;
	}

    public function up($table, $table_goods, $type, $col, $stock, $order, $goods_info = array(), $goods_status = 1, $status = 2)
    {
    	$refund = array();
    	if ($col && isset($order[$col])) {
    		Dever::setInput($col, $order[$col]);
    		if ($goods_info) {
    			$order_goods = array($goods_info);
    		} else {
    			$order_goods = Dever::db($table_goods)->select(array('order_id' => $order['id'], 'status' => $goods_status));
    		}
    		
			if ($order_goods) {
				$method = 'up_' . $type;
				foreach ($order_goods as $k => $v) {
					$goods_update = array('where_id' => $v['id'], 'status' => $status);

					if ($status == 3) {
						$order_goods_id = false;
						if (isset($order['type']) && $order['type'] == 3) {
							$relate_order_goods = Dever::db('seller/buy_order_goods')->one(array('order_id' => $order['type_order_id'], 'out_order_goods_id' => $v['id']));
							if ($relate_order_goods) {
								$order_id = $order['type_order_id'];
								$order_goods_id = $relate_order_goods['id'];
							}
						} else {
							$order_id = $v['order_id'];
							$order_goods_id = $v['id'];
						}
						
						if ($order_goods_id) {
							$refund[] = array
							(
								'order_id' => $order_id,
								'order_goods_id' => $order_goods_id,
								'type' => 4,
								'set_type' => 1,
								'status' => 5,
								'audit' => 2,
								'unit_id' => $v['unit_id'],
								'num' => $v['num'],
								'desc' => '未发货',
							);
						}
					} elseif ($stock) {
						if ($table == 'seller/buy_order' || $table == 'seller/sell_order') {
							if (isset($v['sell_order_goods_id']) && $v['sell_order_goods_id']) {
								$order_refund = Dever::db('seller/sell_order_refund')->select(array('order_goods_id' => $v['sell_order_goods_id']));
							} else {
								$order_refund = Dever::db($table . '_refund')->select(array('order_goods_id' => $v['id']));
							}
							
							if ($order_refund) {
								foreach ($order_refund as $refund_info) {
									if ($refund_info['status'] <= 3) {
										# 有申请中，无法审核通过
										Dever::alert('退款申请中，请先完成退款申请审核再做处理');
									}
									if ($refund_info['num'] > 0 && $refund_info['valid'] == 1) {
										$v['num'] -= $refund_info['num'];
									}
								}
							}
						}
						$this->up_stock($v, $method, $table, $table_goods, $type, $col, $stock, $order, $goods_update);
					}
					
					Dever::db($table_goods)->update($goods_update);
				}
			}
		}

		# 根据审核的商品 更改订单状态
		if ($table == 'seller/sell_order') {
			$this->up_status($table, $table_goods, $type, $stock, $order, 5);
			if ($refund) {
                foreach ($refund as $k => $v) {
                    Dever::load('order/lib/refund.up_commit', $table . '_refund', $v);
                }
            }
		} else {
			$this->up_status($table, $table_goods, $type, $stock, $order);
			$this->up_delivery($table, $order, $status, $refund);
		}
    }

    # 更新库存
    private function up_stock($v, $method, $table, $table_goods, $type, $col, $stock, $order, &$goods_update)
    {
    	$temp = explode('/', $stock);
		$stock_list = $stock . '_list';
		$goods_id = $temp[1] . '_id';

		$update = array();
		if (isset($order['seller_shop_id']) && $order['seller_shop_id'] > 0) {
			$shop_info = Dever::db('seller/shop')->one($order['seller_shop_id']);
            if ($shop_info && $shop_info['stock'] == 2 && $shop_info['stock_shop'] > 0) {
                $order['seller_shop_id'] = $shop_info['stock_shop'];
            }
		}
		$update[$col] = $order[$col];
		$update['clear'] = true;
		$update['goods_id'] = $v['goods_id'];
		$update['sku_id'] = $v['sku_id'];
		$this->$method($v, $order, $temp, $table, $table_goods, $stock, $stock_list, $goods_id, $update, $goods_update);
    }

    # 入库
    private function up_in($v, $order, $temp, $table, $table_goods, $stock, $stock_list, $goods_id, $update, &$goods_update)
    {
    	$info = Dever::db($temp[0] . '/info')->one($order[$temp[0] . '_id']);
		if (!$info) {
			$goods_update['status'] = 4;
			return;
		}
		$in_type = isset($info['in_type']) ? $info['in_type'] : 1;

		# 标准单位入库
		if ($in_type == 1) {
    		$result = Dever::load('goods/lib/unit.convertBase', $v['goods_id'], $v['sku_id'], $v['unit_id'], $v['num'], $v['cash']);
			if ($result) {
				$v['unit_id'] = $result['unit_id'];
				$v['cash'] = $result['cash'];
				$v['num'] = $result['num'];
			} else {
				$goods_update['status'] = 4;
				return;
			}
		}
		$update['unit_id'] = $v['unit_id'];
		$goods = Dever::db($stock)->find($update);
		if (!$goods) {
			$update[$goods_id] = Dever::db($stock)->insert($update);
			$stock_cash = $v['cash'];
		} else {
			$update[$goods_id] = $goods['id'];
			$stock_cash = round(($v['cash'] + $goods['cash'])/2, 2);
		}

		if (!isset($update[$goods_id])) {
			$goods_update['status'] = 4;
			return;
		}

    	if (!isset($v['batch'])) {
    		$v['batch'] = false;
    	}
    	if (!isset($v['sdate'])) {
    		$v['sdate'] = false;
    	}
		if (!$v['batch']) {
			$v['batch'] = date('Ymd');
		}
		$update['batch'] = $v['batch'];
		$update['cash'] = $v['cash'];
		if ($v['sdate']) {
			$update['sdate'] = $v['sdate'];
		}
		$goods = Dever::db($stock_list)->find($update);
		if (!$goods) {
			$id = Dever::db($stock_list)->insert($update);
			$where['where_id'] = $id;
		} else {
			$where['where_id'] = $goods['id'];
		}

		$goods_update['goods_list_id'] = $where['where_id'];
		
		$where['in_num'] = $v['num'];
		Dever::db($stock_list)->inUpdate($where);
		$where['where_id'] = $update[$goods_id];
		$where['cash'] = $stock_cash;
		Dever::db($stock)->inUpdate($where);
    }

    # 出库
    private function up_out($v, $order, $temp, $table, $table_goods, $stock, $stock_list, $goods_id, $where, &$goods_update)
    {
    	$info = Dever::load('goods/lib/unit')->getData($v['goods_id'], $v['sku_id'], $v['unit_id']);
    	if ($info['num'] < $v['num']) {
    		$goods_info = Dever::load('goods/lib/info')->getBaseInfo($v['goods_id'], $v['sku_id'], $v['unit_id']);
    		if ($goods_info && $goods_info['stock'] == 1) {
				Dever::alert('【' . $goods_info['aname'] . '】现有库存'.$info['num'].$goods_info['unit'].'，请补充库充后再操作');
			}
		}

    	$where['yes_unit_id'] = $v['unit_id'];
		$goods = Dever::db($stock)->getOne($where);
		$col = $temp[1] . '_id';
		if ($goods && $goods['total'] > 0) {
			# 将当前单位数据出库
			$this->up_out_act($v, $table_goods, $stock, $stock_list, $col, $goods_id, $where, $goods_update);
			if ($goods['total'] < $v['num']) {
				# 当前单位数据不够出库，出库其他单位
				unset($where['yes_unit_id']);
				$where['no_unit_id'] = $v['unit_id'];
				$v['num'] -= $goods['total'];
				$this->up_out_act($v, $table_goods, $stock, $stock_list, $col, $goods_id, $where, $goods_update);
			}
		} else {
			# 当前单位无数据，直接用其他单位出库
			unset($where['yes_unit_id']);
			$where['no_unit_id'] = $v['unit_id'];
			$this->up_out_act($v, $table_goods, $stock, $stock_list, $col, $goods_id, $where, $goods_update);
		}
    }

    # 直接出库
    private function up_out_act($v, $table_goods, $stock, $stock_list, $col, $goods_id, $where, &$goods_update)
    {
    	$goods_info = Dever::db('goods/info')->one($v['goods_id']);
		if ($goods_info['out_type'] == 2) {
			# 后进先出
			$goods = Dever::db($stock_list)->getLifo($where);
		} elseif ($goods_info['out_type'] == 3) {
			# 低价先出
			$goods = Dever::db($stock_list)->getLpfo($where);
		} elseif ($goods_info['out_type'] == 4) {
			# 高价先出
			$goods = Dever::db($stock_list)->getHpfo($where);
		} else {
			# 先进先出
			$goods = Dever::db($stock_list)->getFifo($where);
		}

		if ($goods_info['out_type'] == 5) {
			# 随机出库
			shuffle($goods);
		}

		if ($goods) {
			$num = $v['num'];
			$goods_list = array();

			foreach ($goods as $k1 => $v1) {
				if ($v1['total'] <= 0) {
					continue;
				}
				if ($v1['unit_id'] != $v['unit_id']) {
					# 如果单位不同，做一下转换
					$unit = Dever::load('goods/lib/unit')->convertOtherUnit($v['goods_id'], $v['sku_id'], $v['unit_id'], $num, $v['cash'], $v1['unit_id']);
					if ($unit) {
						$v['cash'] = $unit['cash'];
						$num = $unit['num'];
					}
				}

				if ($v1['total'] >= $num) {
					Dever::db($stock)->outUpdate(array('where_id' => $v1[$col], 'out_num' => $num, 'clear' => true));
					Dever::db($stock_list)->outUpdate(array('where_id' => $v1['id'], 'out_num' => $num, 'clear' => true));
					$insert = array
					(
						'order_goods_id' => $v['id'],
						'goods_list_id' => $v1['id'],
						'sdate' => $v1['sdate'],
						'batch' => $v1['batch'],
						'cash' => $v1['cash'],
						'num' => $num,
					);

					Dever::db($table_goods . '_list')->insert($insert);
					break;
				} else {
					$num = $num - $v1['total'];
					Dever::db($stock)->outUpdate(array('where_id' => $v1[$col], 'out_num' => $v1['total'], 'clear' => true));
					Dever::db($stock_list)->outUpdate(array('where_id' => $v1['id'], 'out_num' => $v1['total'], 'clear' => true));
					$insert = array
					(
						'order_goods_id' => $v['id'],
						'goods_list_id' => $v1['id'],
						'sdate' => $v1['sdate'],
						'batch' => $v1['batch'],
						'cash' => $v1['cash'],
						'num' => $v1['total'],
					);

					Dever::db($table_goods . '_list')->insert($insert);

					if ($num <= 0) {
						break;
					}
				}
			}
		}
    }


    # 根据审核的商品 更改订单状态
    public function up_status($table, $table_goods, $type, $stock, $order, $status = 3)
    {
    	if ($order['status'] > 3) {
    		return;
    	}
    	$order_goods = Dever::db($table_goods)->select(array('order_id' => $order['id'], 'clear' => true));
		$update['status'] = $status;
		if ($order_goods) {
			$in_goods = array();
			$cash = $num = 0;
			foreach ($order_goods as $k => $v) {
				if ($v['status'] == 1) {
					$update['status'] = $status - 2;
					break;
				}
				if ($v['status'] == 2) {
					$update['status'] = $status - 1;
					if ($stock && $status == 3 && $type == 'out') {
						$goods_list = Dever::db($table_goods . '_list')->select(array('order_goods_id' => $v['id'], 'clear' => true));
						if ($goods_list) {
							foreach ($goods_list as $k1 => $v1) {
								$source_goods = Dever::db($stock . '_list')->one($v1['goods_list_id']);
								if ($source_goods) {
									$in_goods[] = array
									(
										'goods_id' => $source_goods['goods_id'],
										'sku_id' => $source_goods['sku_id'],
										'unit_id' => $source_goods['unit_id'],
										'batch' => $v1['batch'],
										'sdate' => $v1['sdate'],
										'cash' => $v1['cash'],
										'num' => $v1['num'],
										'goods_list_id' => $v1['id'],
									);
									$cash += $v1['cash'];
									$num += $v1['num'];
								}
							}
						}
					}
					break;
				}
			}
			# 只有审核成功的才入库
			if ($in_goods && isset($order['type'])) {
				# 是否生成入库单
				if ($order['type'] == 2) {
					$role_type = 2;
					$store = Dever::db('servicer/store')->one($order['type_id']);
					$role_id = $store['servicer_id'];
					
				} elseif ($order['type'] == 3) {
					$role_type = 1;
					$shop = Dever::db('seller/shop')->one($order['type_id']);
					$role_id = $shop['seller_id'];
				}
				if (isset($role_type)) {
					if (isset($order['servicer_id'])) {
						$type = 2;
						$type_id = $order['servicer_store_id'];
					} elseif (isset($order['seller_id'])) {
						$type = 3;
						$type_id = $order['seller_shop_id'];
					}
					$update['type_order_id'] = Dever::load('order/type/in')->create($role_type, $role_id, $order['type_id'], $cash, $num, $type, $order['type_method'], $type_id, $order['id'], $order['info'], $in_goods);
				}
			}

			$update['where_id'] = $order['id'];
			Dever::db($table)->update($update);
		}
    }


    # 设置发货状态
    private function up_delivery($table, $order, $status, $refund)
    {
    	Dever::load('order/type/out')->delivery($table, $order, $status, $refund);
    }
}
