<?php namespace Order\Manage;
use Dever;
class Buy
{
    # 订单展示
    public function show($order)
    {
        $order['name'] = '采购单详情';
        
        return $order;
    }

    public function showRole($project, $order, &$content)
    {
        if ($order['sell_order_id']) {
            $order = Dever::db($project . '/sell_order')->find($order['sell_order_id']);
            if ($order) {
                $url = Dever::url('project/database/list?project='.$project.'&table=sell_order_goods&type=sell&page_type=1&order_id=' . $order['id'], 'manage');
                $order['order_num'] = '<a href="'.$url.'">'.$order['order_num'].'</a>';
                $content[] = array('销售单号', $order['order_num']);
            }
        }
    }

    public function showAddress($project, &$order)
    {
        if ($order['sell_order_id']) {
            $order['address'] = Dever::load('user/address')->getData($order['sell_order_id'], 'seller/sell_order', 1);
            if (!$order['address']) {
                $sell_order = Dever::db('seller/sell_order')->find($order['sell_order_id']);
                if ($sell_order && $sell_order['uid'] > 0) {
                    $order['address'] = Dever::load('user/address')->getData($sell_order['uid']);
                }
            }
            if ($order['address']) {
                $order['address']['source_table'] = 'seller/sell_order';
                $order['address']['source_id'] = $order['sell_order_id'];
            }
        } else {
            $order['address'] = Dever::load('user/address')->getData($order['seller_shop_id'], 'seller/shop');
        }
    }

    # 获取相关的出库单商品
    public function showGoods($show, $project, $order, &$v, &$head, $i)
    {
        if ($v['out_type'] > 0) {
            list($role, $site) = Dever::load('order/lib/common')->get($v['out_type']);
            $table = $role . '/out_order';
            $goods = Dever::db($table . '_goods')->one($v['out_order_goods_id']);
            if ($goods) {
                # 出库关联
                if ($i == 0) {
                    $head[6] = '供货商';
                    $head[] = '状态';
                }
                $out_order = Dever::db($table)->one($goods['order_id']);
                $role_info = Dever::db($role . '/info')->one($out_order[$role . '_id']);
                $site_info = Dever::db($role . '/' . $site)->one($out_order[$role . '_' . $site . '_id']);
                $v['supplier_name'] = $role_info['name'] . '.' . $site_info['name'];

                $v['order_goods_id'] = $v['id'];
                $v['status'] = $goods['status'];
                $v['out_delivery'] = -1;
                if ($v['status'] == 2) {
                    $delivery = Dever::db($table . '_delivery')->one(array('order_goods_id' => $goods['id']));
                    if (!$delivery) {
                        $delivery = Dever::db($table . '_delivery')->one(array('order_goods_id' => -1, 'order_id' => $out_order['id']));
                    }
                    if ($delivery) {
                        $v['out_delivery'] = $delivery['type'];
                    }
                }
                $project = 'seller';
                $table = 'buy_order';
                $v['audit'] = true;
                if (isset($v['sell_order_goods_id']) && $v['sell_order_goods_id']) {
                    $seller = Dever::db('seller/info')->find($order['seller_id']);
                    if ($seller && $seller['sell_refund'] == 2) {
                        $v['audit'] = false;
                        $table = 'sell_order';
                        $v['order_goods_id'] = $v['sell_order_goods_id'];
                    }
                }

                $show->goodsStatus($project, $table, $v);
            }
        }
        
    }

    public function showGoodsButton($project, $table, $order, &$v)
    {
        if ($v['audit'] && $v['cur_num'] > 0 && $order['status'] <= 5) {
            $v['status_name'] .= Dever::fast('[退款]', '退款'.$v['goods_name'], $project, $table . '_refund', array(
                'order_goods_id' => $v['order_goods_id'],
                'order_id' => $order['id'],
                'unit' => $v['unit_id'],
                'total_num' => $v['cur_num'],
                'total_cash' => $v['cur_cash'],
                'out_type' => $v['out_delivery'],
            ));
        }
    }

    public function showGoodsRefund($project, $table, &$order, &$v, $refund_info, &$refund_status)
    {
        if ($v['audit'] && $refund_info['type'] == 1 && $refund_info['status'] == 2) {
            $order['refund_status'] = 1;
            $refund_status .= Dever::fast('[上传单号]', '上传单号'.$v['goods_name'], $project, $table . '_refund', array(
                'order_goods_id' => $v['order_goods_id'],
                'order_id' => $order['id'],
                'where_id' => $refund_info['id'],
                'col' => 'order_id,seller/buy_order_refund_delivery',
            ));
        }
    }

    public function showDelivery($show, $order, $order_table, &$content)
    {
        $out = Dever::db($order_table . '_out')->select(array('order_id' => $order['id']));
        if ($out) {
            foreach ($out as $k => $v) {
                $table = Dever::load('order/lib/common')->getTable($v['out_type'], '/out_order');
                $out_order = Dever::db($table)->find(array('id' => $v['out_order_id'], 'clear' => true));
                
                $show->deliveryInfo($out_order, $table, $content);
            }
        }
    }

    public function showButton($project, $table, $order, &$button)
    {
        if ($order['status'] == 1) {
            $button[] = array
            (
                'type' => 'edit',
                'link' => Dever::update($project, $table . '_audit', array('search_option_order_id' => $order['id'])),
                'name' => '审核',
            );
        } elseif ($order['status'] == 5 && !$order['sell_order_id']) {
            $button[] = array
            (
                'type' => 'action',
                'link' => Dever::url('lib/common.finish_commit?project='.$project.'&table='.$table.'&order_id='.Dever::encode($order['id']), 'order'),
                'name' => '确认完成',
            );
        }

        if ($order['status'] <= 3 && $order['address']) {
            $button[] = array
            (
                'type' => 'edit',
                'link' => Dever::load('user/lib/address')->getManageUrl($order['address']['source_table'], $order['address']['source_id'], 1, $order['address']),
                'name' => '修改地址',
            );
        }
    }
}
