<?php namespace Order\Manage;
use Dever;
class Out
{
    # 根据类型获取选择项
    public function type_api()
    {
        $role = Dever::input('role');
        $site = Dever::input('site');
        $roke_key = $role . '_id';
        $site_key = $role . '_' . $site . '_id';
        $role_id = Dever::input($roke_key);
        $site_id = Dever::input($site_key);
        $table = $role . '/out_order';
        $type = Dever::input('value');

        $data = array();
        $config['type_method'] = Dever::db($table)->config['struct']['type_method'];
        $config['type_id'] = Dever::db($table)->config['struct']['type_id'];
        # 调拨
        if ($type == 2) {
            $config['type_method']['update'] = 'radio';
            $config['type_id']['name'] = '入库仓库';
            $config['type_id']['update'] = 'select';
            $config['type_id']['update_search'] = 'order/manage/role.searchStore?site='.$site.'&'.$roke_key.'=' . $role_id. '&'.$site_key.'=' . $site_id;
            
        } elseif ($type == 3) {
            $config['type_method']['update'] = 'radio';
            $config['type_id']['name'] = '入库门店';
            $config['type_id']['update'] = 'select';
            $config['type_id']['update_search'] = 'order/manage/role.searchShop?site='.$site.'&'.$roke_key.'=' . $role_id. '&'.$site_key.'=' . $site_id;
        } elseif ($type == 4) {
            $config['type_id']['name'] = '供应商渠道';
            $config['type_id']['update'] = 'select';
            $config['type_id']['update_search'] = 'order/manage/role.search?table='.$role.'/'.$site.'_channel&col='.$site_key.'&'.$site_key.'=' . $site_id;

            $config['type_id']['bind'] = array('onchange', 'loading', array('url' => Dever::url('lib/manage.resetGoods?reset='.$role.'-in_order_goods', 'goods'), 'col' => ''));
        } 

        $result = Dever::load('manage/database')->update_struct(array('struct' => $config), false, $data, -1, '', false, false);

        return $result;
    }

    # 订单展示
    public function show($order)
    {
        $order['name'] = '出库单详情';
        $order['address'] = false;
    	if ($order['type'] == 2) {
            # 调拨到仓
    		$order['servicer_store_in_id'] = $order['type_id'];
        } if ($order['type'] == 3) {
            # 调拨到店
            $order['seller_shop_in_id'] = $order['type_id'];
        } elseif ($order['type'] == 11) {
            # 采购单
            $order['relate_table'] = '';
        }

        return $order;
    }

    public function showRole($project, $order, &$content)
    {
        if ($order['type'] == 2) {
            $store = Dever::db('servicer/store')->one($order['type_id']);
            $servicer = Dever::db('servicer/info')->one($store['servicer_id']);
            $content[] = array('入库仓库', $servicer['name'] . ' - ' . $store['name']);
            $project = 'servicer';
            $type = 'in';
            
        } elseif ($order['type'] == 3) {
            $shop = Dever::db('seller/shop')->one($order['type_id']);
            $seller = Dever::db('seller/info')->one($shop['seller_id']);
            $content[] = array('入库门店', $seller['name'] . ' - ' . $shop['name']);
            $project = 'seller';
            $type = 'in';
        } elseif ($order['type'] == 4) {
            $channel = Dever::db('supplier/channel')->one($order['type_id']);
            $supplier = Dever::db('supplier/info')->one($channel['supplier_id']);
            $content[] = array('供应商渠道', $supplier['name'] . ' - ' . $channel['name']);
        } elseif ($order['type'] == 11) {
            $shop = Dever::db('seller/shop')->find($order['type_id']);
            $seller = Dever::db('seller/info')->one($shop['seller_id']);
            $content[] = array('销售到店', $seller['name'] . ' - ' . $shop['name']);
            $project = 'seller';
            $type = 'buy';
        }

        if (isset($type) && $order['type_order_id']) {
            $order = Dever::db($project . '/'.$type.'_order')->find($order['type_order_id']);
            if ($order) {
                $url = Dever::url('project/database/list?project='.$project.'&table='.$type.'_order_goods&type='.$type.'&page_type=1&order_id=' . $order['id'], 'manage');
                $order['order_num'] = '<a href="'.$url.'">'.$order['order_num'].'</a>';
                if ($type == 'in') {
                    $type = '入库';
                } else {
                    $type = '采购';
                }
                $content[] = array($type . '单号', $order['order_num']);
            }
        }
    }

    public function showAddress($project, &$order)
    {
        if ($order['type'] == 2) {
            $order['address'] = Dever::load('user/address')->getData($order['type_id'], 'servicer/store');
        } elseif ($order['type'] == 3) {
            $order['address'] = Dever::load('user/address')->getData($order['type_id'], 'seller/shop');
        } elseif ($order['type'] == 11 && $order['type_order_id']) {
            $buy_order = Dever::db('seller/buy_order')->find($order['type_order_id']);
            $order['sell_order_id'] = $buy_order['sell_order_id'];
            $order['seller_shop_id'] = $buy_order['seller_shop_id'];
            Dever::load('order/manage/buy')->showAddress($project, $order);
        }
    }

    public function showGoods($show, $project, $order, &$v, &$head, $i)
    {
        if (isset($order['type']) && $order['type'] == 11) {
            $v['out_project'] = $project;
            $project = 'seller';
            $table = 'buy_order';
            $order_goods = Dever::db($project . '/' . $table . '_goods')->one(array('order_id' => $order['type_order_id'], 'goods_id' => $v['goods_id'], 'sku_id' => $v['sku_id']));

            if ($order_goods) {
                $v['order_goods_id'] = $order_goods['id'];
                if (isset($order_goods['sell_order_goods_id']) && $order_goods['sell_order_goods_id']) {
                    $buy_order = Dever::db($project . '/' . $table)->one($order['type_order_id']);
                    $seller = Dever::db('seller/info')->one($buy_order['seller_id']);
                    if ($seller && $seller['sell_refund'] == 2) {
                        $table = 'sell_order';
                        $v['order_goods_id'] = $order_goods['sell_order_goods_id'];
                    }
                }
                $show->goodsStatus($project, $table, $v);
            }
        }
    }

    public function showGoodsButton($project, $table, $order, &$v)
    {
        if ($v['cur_num'] > 0 && $v['status'] == 1) {
            $v['status_name'] .= Dever::fast('[发货]', '发货'.$v['goods_name'], Dever::load('order/manage/show')->getDeliveryUrl($v['out_project'], 'out_order', $v['order_id'], $v['id']));
        }
    }

    public function showGoodsRefund($project, $table, &$order, &$v, $refund_info, &$refund_status)
    {
        if ($refund_info['status'] == 1) {
            $refund_status .= Dever::fast('[审核申请]', '审核'.$v['goods_name'], $project, $table . '_refund', array(
                'order_goods_id' => $v['order_goods_id'],
                'order_id' => $order['id'],
                'where_id' => $refund_info['id'],
                'col' => 'type,desc,pic,audit,audit_desc',
            ));
        }  elseif ($refund_info['type'] == 1) {
            if ($refund_info['status'] == 2) {
                $order['refund_status'] = 1;
                $refund_status .= ' <a href="javascript:;" style="color:red">[等待上传单号]</a>';
            } elseif ($refund_info['status'] == 3) {
                $refund_status .= Dever::fast('[审核单号]', '审核'.$v['goods_name'], $project, $table . '_refund', array(
                    'order_goods_id' => $v['order_goods_id'],
                    'order_id' => $order['id'],
                    'where_id' => $refund_info['id'],
                    'col' => 'type,desc,pic,audit,audit_desc,seller/buy_order_refund_delivery',
                ));
            }
            
        }
    }

    public function showButton($project, $table, $order, &$button)
    {
        if ($order['status'] == 1) {
            if ($order['type'] == 11) {
                $button[] = array
                (
                    'type' => 'edit',
                    'link' => Dever::load('order/manage/show')->getDeliveryUrl($project, $table, $order['id']),
                    'name' => '批量发货',
                );
            } else {
                $button[] = array
                (
                    'type' => 'edit',
                    'link' => Dever::update($project, $table . '_audit', array('search_option_order_id' => $order['id'])),
                    'name' => '审核',
                );
            }
        }
    }
}