<?php namespace Order\Manage;
use Dever;
class Sell
{
    # 订单展示
    public function show($order)
    {
        $order['name'] = '零售单详情';
        
        $this->seller = Dever::db('seller/info')->find($order['seller_id']);
        return $order;
    }

    public function showRole($project, $order, &$content)
    {
        if ($order['salesman_id']) {
            $salesman = Dever::load('order/lib/salesman')->get($order['salesman_id']);
            if ($salesman) {
                $content[] = array('分销员', $salesman['name']);
            }
        }
        if ($order['buy_order_id']) {
            $order = Dever::db($project . '/buy_order')->find($order['buy_order_id']);
            if ($order) {
                $url = Dever::url('project/database/list?project='.$project.'&table=buy_order_goods&type=buy&page_type=1&order_id=' . $order['id'], 'manage');
                $order['order_num'] = '<a href="'.$url.'">'.$order['order_num'].'</a>';
                $content[] = array('采购单号', $order['order_num']);
            }
        }
    }

    public function showAddress($project, &$order)
    {
        if ($order['uid'] > 0) {
            $order['address'] = Dever::load('user/address')->getData($order['uid']);
        }
    }

    # 获取相关的出库单商品
    public function showGoods($show, $project, $order, &$v, &$head, $i)
    {
        $table = 'sell_order';
         if ($this->seller['sell_delivery'] == 1 && $v['buy_order_goods_id']) {
            $buy_order_goods = Dever::db('seller/buy_order_goods')->one($v['buy_order_goods_id']);
            if ($buy_order_goods) {
                list($role, $site) = Dever::load('order/lib/common')->get($buy_order_goods['out_type']);
                $out_table = $role . '/out_order';
                $goods = Dever::db($out_table . '_goods')->one($buy_order_goods['out_order_goods_id']);
                if ($goods) {
                    $v['order_goods_id'] = $v['id'];
                    $v['status'] = $goods['status'];
                    $v['out_delivery'] = $this->showGoodsDelivery($out_table, $goods['order_id'], $goods['id'], $v['status']);
                    $show->goodsStatus($project, $table, $v);
                } else {
                    $v['status_name'] .= ($v['audit_desc'] ? '（'.$v['audit_desc'].'）' : '');
                }
            }
        } elseif ($order['status'] >= 2) {
            $v['order_goods_id'] = $v['id'];
            $v['out_delivery'] = $this->showGoodsDelivery($project . '/' . $table, $order['id'], $v['id'], $v['status']);
            $show->goodsStatus($project, $table, $v);
        }
    }

    private function showGoodsDelivery($table, $order_id, $order_goods_id, $status)
    {
        $result = -1;
        if ($status == 2) {
            $delivery = Dever::db($table . '_delivery')->one(array('order_goods_id' => $order_goods_id));
            if (!$delivery) {
                $delivery = Dever::db($table . '_delivery')->one(array('order_goods_id' => -1, 'order_id' => $order_id));
            }
            if ($delivery) {
                $result = $delivery['type'];
            }
        }
        return $result;
    }

    public function showGoodsButton($project, $table, $order, &$v)
    {
        if ($v['cur_num'] <= 0) {
            return;
        }
        if ($this->seller['sell_delivery'] == 2) {
            if ($v['status'] == 1) {
                $v['status_name'] .= Dever::fast('[发货]', '发货'.$v['goods_name'], Dever::load('order/manage/show')->getDeliveryUrl($project, $table, $v['order_id'], $v['id']));
            } elseif ($order['status'] <= 5 && ($v['status'] == 2 || $v['status'] == 3)) {
                $v['status_name'] .= Dever::fast('[退款]', '退款'.$v['goods_name'], $project, $table . '_refund', array(
                    'order_goods_id' => $v['order_goods_id'],
                    'order_id' => $order['id'],
                    'unit' => $v['unit_id'],
                    'total_num' => $v['cur_num'],
                    'total_cash' => $v['cur_cash'],
                    'out_type' => $v['out_delivery'],
                ));
            }
        } elseif ($this->seller['sell_delivery'] == 1 && $order['status'] <= 5) {
            $v['status_name'] .= Dever::fast('[退款]', '退款'.$v['goods_name'], $project, $table . '_refund', array(
                'order_goods_id' => $v['order_goods_id'],
                'order_id' => $order['id'],
                'unit' => $v['unit_id'],
                'total_num' => $v['cur_num'],
                'total_cash' => $v['cur_cash'],
                'out_type' => $v['out_delivery'],
            ));
        }
    }

    public function showGoodsRefund($project, $table, &$order, &$v, $refund_info, &$refund_status)
    {
        if ($this->seller['sell_delivery'] == 2 || $this->seller['sell_refund'] == 1) {
            if ($refund_info['status'] == 1) {
            $refund_status .= Dever::fast('[审核申请]', '审核'.$v['goods_name'], $project, $table . '_refund', array(
                'order_goods_id' => $v['order_goods_id'],
                'order_id' => $order['id'],
                'where_id' => $refund_info['id'],
                'col' => 'type,desc,pic,audit,audit_desc',
                ));
            }  elseif ($refund_info['type'] == 1) {
                if ($refund_info['status'] == 2) {
                    $order['refund_status'] = 1;
                    $refund_status .= Dever::fast('[上传单号]', '上传单号'.$v['goods_name'], $project, $table . '_refund', array(
                        'order_goods_id' => $v['order_goods_id'],
                        'order_id' => $order['id'],
                        'where_id' => $refund_info['id'],
                        'col' => 'order_id,seller/sell_order_refund_delivery',
                    ));
                } elseif ($refund_info['status'] == 3) {
                    $refund_status .= Dever::fast('[审核单号]', '审核'.$v['goods_name'], $project, $table . '_refund', array(
                        'order_goods_id' => $v['order_goods_id'],
                        'order_id' => $order['id'],
                        'where_id' => $refund_info['id'],
                        'col' => 'type,desc,pic,audit,audit_desc,seller/sell_order_refund_delivery',
                    ));
                }
                
            }
        } else {
            
        }
    }

    public function showDelivery($show, $order, $order_table, &$content)
    {
        if ($order['buy_order_id']) {
            $order['id'] = $order['buy_order_id'];
            $order_table = 'seller/buy_order';
            Dever::load('order/manage/buy')->showDelivery($show, $order, $order_table, $content);
        } else {
            $show->deliveryInfo($order, $order_table, $content);
        }
    }

    public function showButton($project, $table, $order, &$button)
    {
        if ($order['status'] == 1) {
            $button[] = array
            (
                'type' => 'edit',
                'link' => Dever::url('lib/pay.ercode?project='.$project.'&table='.$table.'&order_id=' . $order['id'], 'order'),
                'name' => '支付',
            );
        } elseif ($order['status'] == 2) {
            if ($this->seller['sell_delivery'] == 2) {
                $button[] = array
                (
                    'type' => 'edit',
                    'link' => Dever::load('order/manage/show')->getDeliveryUrl($project, $table, $order['id']),
                    'name' => '批量发货',
                );
            } else {
                $button[] = array
                (
                    'type' => 'edit',
                    'link' => Dever::update($project,  $table . '_audit', array('search_option_order_id' => $order['id'])),
                    'name' => '审核',
                );
            }
        } elseif ($order['status'] == 5) {
            $button[] = array
            (
                'type' => 'action',
                'link' => Dever::url('lib/common.finish_commit?project='.$project.'&table='.$table.'&order_id='.Dever::encode($order['id']), 'order'),
                'name' => '确认完成',
            );
        }

        if ($order['status'] <= 3 && $order['address']) {
            $button[] = array
            (
                'type' => 'edit',
                'link' => Dever::load('user/lib/address')->getManageUrl($order['address']['source_table'], $order['address']['source_id'], 1, $order['address']),
                'name' => '修改地址',
            );
        }
    }
}
