<?php namespace Order\Manage;
use Dever;
class Show
{
    private $handle;
	private $order = array();
	private $result = array();
	private $role = array();
	private $goods = array();
	private $order_table = '';
	private $project = '';
	private $type = '';
	private $order_table_name = '';
	private $goods_table_name = '';

	public function get($handle, $order, $order_table, $project, $type, $order_table_name, $goods_table_name)
	{
        $this->handle = $handle;
		$this->order = $order;
		$this->order_table = $order_table;
		$this->project = $project;
		$this->type = $type;
		$this->order_table_name = $order_table_name;
		$this->goods_table_name = $goods_table_name;

		$this->base()->date()->role()->address();

		$audit = Dever::input('audit');
        if ($audit == 1) {
            $this->goodsAudit();
        } else {
            $this->goods()->refund()->delivery()->audit()->log()->account()->salesman();
        }
        return $this->result();
	}

	private function result()
	{
		$head = array
        (
            'name' => $this->order['name'],
            'btn' => '',
            'btn' => $this->button(),
        );
        $html = Dever::show($head, $this->result);
        return $html;
	}

    # 显示订单基础信息
    private function base()
    {
    	if (!isset($this->order['supplier_id'])) {
            $this->order['supplier_id'] = false;
        }
        $this->order['address'] = true;

        $content = array();
        $content[] = array('订单ID', $this->order['id']);
        $content[] = array('订单号', $this->order['order_num']);
        if (isset($this->order['type'])) {
            if ($this->type == 'out') {
                $array = array(2,3);
            } else {
                $array = array(1,2,3);
            }
            
            $type = Dever::status($this->order['config']['type'], $this->order['type']);
            if (in_array($this->order['type'], $array) && isset($this->order['type_method'])) {
                $type .= ' - ' . Dever::status($this->order['config']['type_method'], $this->order['type_method']);
            }

            $content[] = array('订单类型', $type);
        }
        $content[] = array('订单状态', '<font title="ID：'.$this->order['id'].'">' . Dever::status($this->order['config']['status'], $this->order['status']) . '</font>');
        $content[] = array('订单总金额', $this->order['cash']);
        $content[] = array('订单总数量', $this->order['num']);

        
        $this->result['基本信息'] = array
        (
            'type' => 'user',
            'content' => array($content)
        );
        return $this;
    }

    # 显示订单时间
    private function date()
    {
        $content = array();
        $content[] = array('下单时间', date('Y-m-d H:i', $this->order['cdate']));
        isset($this->order['delivery_date']) && $content[] = array('发货时间', $this->order['delivery_date'] ? date('Y-m-d H:i', $this->order['delivery_date']) : '-');
        isset($this->order['finish_date']) && $content[] = array('完成时间', $this->order['finish_date'] ? date('Y-m-d H:i', $this->order['finish_date']) : '-');
        $content[] = array('下单备注', $this->order['info'] ? $this->order['info'] : '-');
        $this->result['下单信息'] = array
        (
            'type' => 'user',
            'content' => array($content)
        );
        return $this;
    }

    # 显示订单角色
    private function role()
    {
        $config = array
        (
            'user' => '下单用户',
            'seller' => '经销商',
            'seller_shop' => '门店',
            'servicer' => '仓配商',
            'servicer_store' => '仓库',
            //'servicer_store_in' => '入库仓库',
            //'servicer_store_out' => '出库仓库',
            'supplier' => '供应商',
            'supplier_channel' => '渠道',
        );
        $content = array();
        foreach ($config as $k => $v) {
        	if (isset($this->role[$k])) {
        		continue;
        	}
            if ($k == 'user') {
                $col = 'uid';
            } else {
                $col = $k . '_id';
            }
            if (isset($this->order[$col]) && $this->order[$col] > 0) {
                $project = $k;
                $name = 'info';
                if (strstr($k, '_')) {
                    $temp = explode('_', $k);
                    $project = $temp[0];
                    $name = $temp[1];
                }
                $table = '' . $project . '/' . $name;
                $this->role[$k] = Dever::db($table)->one($this->order[$col]);
                if ($this->role[$k]) {
                    $mobile = '';
                    if (isset($this->role[$k]['uid']) && $this->role[$k]['uid']) {
                        $user = Dever::load('user/lib/info')->get($this->role[$k]['uid']);
                        $mobile = $user['mobile'];
                    } elseif (isset($this->role[$k]['mobile'])) {
                        $mobile = $this->role[$k]['mobile'];
                    } elseif (isset($this->role[$k]['tel'])) {
                        $mobile = $this->role[$k]['tel'];
                    }
                    if ($mobile) {
                        $this->role[$k]['name'] .= ' - ' . $mobile;
                    }
                    $content[] = array($v, $this->role[$k]['name']);
                }
            }
        }

        if (method_exists($this->handle, 'showRole')) {
            $this->handle->showRole($this->project, $this->order, $content);
        }

        $this->order['in_type'] = 2;
        if (isset($this->role['servicer']['in_type'])) {
            $this->order['in_type'] = $this->role['servicer']['in_type'];
        } elseif (isset($this->role['seller']['in_type'])) {
            $this->order['in_type'] = $this->role['seller']['in_type'];
        }

        $this->result['角色信息'] = array
        (
            'type' => 'user',
            'content' => array($content)
        );
        return $this;
    }

    # 显示订单地址
    private function address()
    {
    	if (!$this->order['address']) {
    		return $this;
    	}
        $this->order['address'] = Dever::load('user/address')->getData($this->order['id'], $this->order_table, 1);

        if (!$this->order['address'] && method_exists($this->handle, 'showAddress')) {
            $this->handle->showAddress($this->project, $this->order);
        }
        if ($this->order['address'] && $this->order['address']['contacts']) {
            $this->result['收货信息'] = array
            (
                'type' => 'info',
                'content' => array
                (
                    array
                    (
                        array('联系人', $this->order['address']['contacts']),
                        array('联系电话', $this->order['address']['phone']),
                        array('城市地区', $this->order['address']['area_string']),
                        array('详细地址', $this->order['address']['address']),
                    ),
                ),
            );
        }
        return $this;
    }

    # 显示订单商品清单
    private function goods()
    {
        $manage = false;
        /*
        if ((strstr($this->order_table, 'in') || strstr($this->order_table, 'out')) && !$this->order['relate_table']) {
            $manage = true;
        }*/
        $this->goods = Dever::db($this->order_table . '_goods')->all(array('order_id' => $this->order['id'], 'state' => 1));
        if ($this->goods) {
            $content['head'] = array('商品编码', '商品名称', '批次', '单价', '数量', '总价', '状态');
            $content['body'] = array();
            $total_price = $total_num = 0;
            $status = Dever::db($this->order_table . '_goods')->config['status'];
            
            $i = 0;
            foreach ($this->goods as $k => $v) {
                $v['goods_info'] = Dever::load('goods/lib/info.getBaseInfo', $v['goods_id'], $v['sku_id'], $v['unit_id'], $this->type);
                if (!$v['goods_info']) {
                	continue;
                }
                $v['goods_name'] = $v['goods_info']['aname'].'('.$v['goods_info']['code'].')';
                $v['base_unit_id'] = $v['goods_info']['base_unit_id'];
                $v['status_name'] = Dever::status($status, $v['status']);
                $v['refund_cash'] = 0;
                $v['refund_num'] = 0;
                $v['cur_num'] = $v['num'];
                $v['cur_cash'] = $v['cash'];
                $this->goodsConvert($v);

                if (method_exists($this->handle, 'showGoods')) {
                    $this->handle->showGoods($this, $this->project, $this->order, $v, $content['head'], $i);
                } else {
                    if ($manage && $v['status'] == 1) {
                        $v['status_name'] = Dever::fast($v['status_name'], '审核'.$v['goods_name'], $this->project, $this->order_table_name . '_audit', array(
                            'search_option_order_goods_id' => $v['id'],
                            'search_option_order_id' => $this->order['id'],
                        ));
                    }
                }

                $convert_num = $convert_cash = '';
                if ($v['convert']) {
                    $unit = Dever::db('goods/unit')->one($v['convert']['unit_id']);
                    $convert_num = ' => '.$v['cur_num'].''.$unit['name'].'';
                    $convert_cash = ' => '.$v['cur_cash'];
                    $unit = Dever::load('goods/lib/unit.convertUnit', $v['goods_id'], $v['sku_id'], $v['unit_id'], $v['cur_num'], $v['cash'], 0, $this->order['supplier_id'], 1);
                    if ($unit) {
                        $v['cur_num'] = $unit['num'];
                    }
                }

                $cash = Dever::number($v['cash'] * $v['num'] - $v['refund_cash']);

                $detail = array (
                    $v['goods_info']['code'],
                    $v['goods_info']['aname'],
                );

                if (isset($v['batch'])) {
                    $detail[] = $v['batch'] . (isset($v['sdate']) && $v['sdate'] ? '[' . date('Y-m-d', $v['sdate']) . '生产]' : '');
                } else {
                    unset($content['head'][2]);
                }
                $detail[] = $v['cash'] . $convert_cash;
                if ($convert_num) {
                    $detail[] = $v['num'] . $v['goods_info']['unit'] . $convert_num;
                } else {
                    $detail[] = $v['cur_num'] . $v['goods_info']['unit'];
                }
                
                $detail[] = $cash;
                if (isset($v['supplier_name'])) {
                    $detail[] = $v['supplier_name'];
                }
                $detail[] = $v['status_name'];

                $content['body'][] = $detail;

                if ($v['goods_info']['goods']) {
                    foreach ($v['goods_info']['goods'] as $v1) {
                        $detail = array(
                            $v1['code'],
                            '|-----' . $v1['aname'],
                            $v1['cash'],
                            $v1['num'] . $v1['unit'],
                            Dever::number($v1['cash'] * $v1['num']),
                        );
                        if (isset($v['supplier_name'])) {
                            $detail[] = '-';
                        }
                        $detail[] = '-';
                        $content['body'][] = $detail;
                    }
                    //$detail['goods'] = $v['goods_info']['goods'];
                }
                $total_price += $cash;
                $total_num += $v['cur_num'];

                $i++;
            }

            $this->result['tab']['商品清单'] = array
            (
                'type' => 'table',
                'content' => $content,
                'total' => '合计金额：' . Dever::number($total_price) . '，合计数量：' . Dever::number($total_num)
            );
        }
        return $this;
    }

    # 显示商品单位转换
    private function goodsConvert(&$v)
    {
    	$v['convert'] = false;
    	if ($this->order['in_type'] == 1 && $v['status'] == 2 && $v['unit_id'] != $v['base_unit_id']) {
            $v['convert'] = Dever::load('goods/lib/unit.convertBase', $v['goods_id'], $v['sku_id'], $v['unit_id'], $v['num'], $v['cash'], 0, $this->order['supplier_id'], 1);
            if ($v['convert']) {
                $v['cur_num'] = $v['convert']['num'];
                $v['cur_cash'] = $v['convert']['cash'];
                $v['unit_id'] = $v['convert']['unit_id'];
            }
        }
    }

    # 显示商品发货状态
    public function goodsStatus($project, $table, &$v)
    {
        if (!isset($this->order['refund'])) {
            $this->order['refund'] = array();
            $this->order['refund_project'] = $project;
            $this->order['refund_table'] = $table;
            $this->order['refund_order_id'] = $v['order_id'];
            $this->order['refund_cash'] = 0;
            $this->order['refund_num'] = 0;
        }

        if ($v['status'] == 1) {
           $v['status_name'] = '待发货';
        } elseif ($v['status'] == 2) {
            $v['status_name'] = '已发货';
        } elseif ($v['status'] == 3) {
            $v['status_name'] = '未发货';
        }
        $refund_table = $project . '/' . $table . '_refund';
        $refund = Dever::db($refund_table)->select(array('order_goods_id' => $v['order_goods_id']));
        if ($refund) {
            # 有退款退货
            $refund_set = Dever::db($refund_table)->config['set'];
            foreach ($refund as $refund_info) {
                $this->goodsRefund($project, $table, $v, $refund_info, $refund_set);
            }
        }

        $this->handle->showGoodsButton($project, $table, $this->order, $v);
        $v['cur_num'] = Dever::number($v['cur_num']);
    }

    # 显示商品退货状态
    private function goodsRefund($project, $table, &$v, $refund_info, $refund_set)
    {
        $refund_unit_name = '';
        $refund_num = $refund_info['num'];
        $source_num = '';
        if ($v['unit_id'] != $refund_info['unit_id']) {

            $convert_unit = Dever::load('goods/lib/unit.convertOtherUnit', $v['goods_id'], $v['sku_id'], $refund_info['unit_id'], $refund_num, $v['cur_cash'], $v['unit_id'], false, $this->order['supplier_id'], 1);
            if ($convert_unit) {
                $refund_unit = Dever::db('goods/unit')->one($refund_info['unit_id']);
                $source_num = $refund_num . $refund_unit['name'] . ' => ';
                $refund_num = $convert_unit['num'];
                $refund_info['unit_id'] = $convert_unit['unit_id'];
            }
        }

        if ($refund_info['unit_id']) {
            $refund_unit = Dever::db('goods/unit')->one($refund_info['unit_id']);
            if ($refund_unit) {
                $refund_unit_name = $refund_unit['name'];
            }
        }

        $refund_cash = $refund_info['cash'] > 0 ? $refund_info['cash'] : Dever::number($refund_num * $v['cur_cash']);

        if ($refund_info['valid'] == 1) {
            $this->order['refund_cash'] += $refund_cash;
            $this->order['refund_num'] += $refund_num;
            if (isset($v['refund_cash'])) {
                $v['refund_cash'] += $refund_cash;
                $v['refund_num'] += $refund_num;
                $v['cur_num'] -= $refund_num;
            }
        }

        if ($refund_info['status'] == 1 || $refund_info['status'] == 3) {
            $this->order['refund_status'] = 1;
        }
        $refund_status = $refund_set['status'][$refund_info['status']];

        $this->handle->showGoodsRefund($project, $table, $this->order, $v, $refund_info, $refund_status);

        $this->order['refund'][] = array
        (
            $v['goods_name'],
            $source_num . $refund_num . $refund_unit_name,
            $refund_cash,
            date('Y-m-d H:i', $refund_info['cdate']),
            $refund_info['desc'],
            $refund_set['type'][$refund_info['type']],
            $refund_status,
        );
    }

    # 显示审核信息
    private function audit()
    {
        $audit = Dever::db($this->order_table . '_audit')->select(array('order_id' => $this->order['id']));
        if ($audit) {
            $content['head'] = array('审核人', '商品编码', '审核状态', '审核描述', '审核时间');
            $content['body'] = array();
            foreach ($audit as $k => $v) {

                $goods_code = '订单';
                if ($v['order_goods_id'] && $v['order_goods_id'] > 0) {
                    $goods = Dever::db($this->order_table . '_goods')->one($v['order_goods_id']);
                    $goods_info = Dever::load('goods/lib/info.getBaseInfo', $goods['goods_id'], $goods['sku_id'], $goods['unit_id']);
                    $goods_code = $goods_info['code'];
                }
                
                $content['body'][] = array
                (
                    Dever::load('user/lib/info.get#name', $v['uid']),
                    $goods_code,
                    Dever::status(Dever::config('base')->audit_status, $v['status']),
                    $v['desc'] ? $v['desc'] : '无',
                    date('Y-m-d H:i', $v['cdate']),
                );
            }
            
            $this->result['tab']['审核信息'] = array
            (
                'type' => 'table',
                'content' => $content,
            );
        }

        return $this;
    }

    # 显示发货信息
    private function delivery()
    {
        if ($this->type == 'in') {
            return $this;
        }
        $content = array();
        $content['body'] = array();

        if (method_exists($this->handle, 'showDelivery')) {
            $this->handle->showDelivery($this, $this->order, $this->order_table, $content);
        } else {
            $this->deliveryInfo($this->order, $this->order_table, $content);
        }

        if ($content['body']) {
            $this->result['tab']['发货信息'] = array
            (
                'type' => 'table',
                'content' => $content,
            );
        }
        return $this;
    }

    # 显示返回信息
    public function deliveryInfo($order, $order_table, &$content)
    {
        $delivery = Dever::db($order_table . '_delivery')->getData(array('order_id' => $order['id']));
        if ($delivery) {
            $order_goods = Dever::db($order_table . '_goods')->all(array('order_id' => $order['id'], 'state' => 1));
            $type = Dever::db($order_table . '_delivery')->config['set']['type'];
            $content['head'] = array('商品编码', '类型', '主要信息', '辅助信息', '时间');
            foreach ($delivery as $k => $v) {
                if ($v['type'] == 1) {
                    $express = Dever::db('goods/express')->one($v['base']);
                    if ($express) {
                        $v['base'] = '物流公司：' . $express['name'];
                    }
                    $v['info'] = '单号：' . $v['info'];
                } elseif ($v['type'] == 2) {
                    $v['base'] = '卡号：' . $v['base'];
                    $v['info'] = '卡密：' . $v['info'];
                } elseif ($v['type'] == 3) {
                    $v['base'] = '兑换码：' . $v['base'];
                    $v['info'] = '无';
                }
                $goods_name = '';
                if ($v['order_goods_id'] && $v['order_goods_id'] > 0 && $order_goods[$v['order_goods_id']]) {
                    $goods = $order_goods[$v['order_goods_id']];
                    $goods_info = Dever::load('goods/lib/info.getBaseInfo', $goods['goods_id'], $goods['sku_id'], $goods['unit_id']);
                    $goods_name = $goods_info['code'];
                    unset($order_goods[$v['order_goods_id']]);
                } else {
                    $goods_name = array();
                    foreach ($order_goods as $v1) {
                        $goods_info = Dever::load('goods/lib/info.getBaseInfo', $v1['goods_id'], $v1['sku_id'], $v1['unit_id']);
                        $goods_name[] = $goods_info['code'];
                    }
                    $goods_name = implode('、', $goods_name);
                }
                $key = $v['base'] . $v['info'];
                # 单号相同自动合并
                if (isset($content['body'][$key])) {
                    $content['body'][$key][0] .= '、' . $goods_name;
                } else {
                    $content['body'][$key] = array
                    (
                        $goods_name,
                        $type[$v['type']],
                        $v['base'],
                        $v['info'],
                        date('Y-m-d H:i', $v['cdate']),
                    );
                }
            }
        }
        return $content;
    }

    # 显示退款信息
    private function refund()
    {
        if (isset($this->order['refund']) && $this->order['refund']) {
            $content['head'] = array('商品名称', '退款数量', '退款金额', '退款时间', '退款描述', '退款类型', '退款状态');
            $content['body'] = $this->order['refund'];
            if (isset($this->order['refund_status']) && $this->order['refund_status'] < 5) {
                $name = '<font style="color:red">退款记录</font>';
                $show = true;
            } else {
                $name = '退款记录';
                $show = false;
            }
            
            $this->result['tab'][$name] = array
            (
                'show' => $show,
                'type' => 'table',
                'content' => $content,
                'total' => '合计金额：' . Dever::number($this->order['refund_cash']) . '，合计数量：' . Dever::number($this->order['refund_num'])
            );
        }
        return $this;
    }

    # 显示订单日志
    private function log()
    {
        $log = Dever::db($this->order_table . '_log')->select(array('order_id' => $this->order['id']));
        if ($log) {
            $content['head'] = array('操作平台', '操作人', '操作描述', '操作时间');
            $content['body'] = array();
            $platform = Dever::db($this->order_table . '_log')->config['platform'];

            foreach ($log as $k => $v) {
                $detail = array();
                $detail[] = Dever::status($platform, $v['platform']);
                $detail[] = Dever::load('user/lib/info.get#name', $v['uid']);
                $detail[] = $v['info'];
                $detail[] = date('Y-m-d H:i', $v['cdate']);
                $content['body'][] = $detail;
            }
            $this->result['tab']['日志记录'] = array
            (
                'type' => 'table',
                'content' => $content,
            );
        }
        return $this;
    }

    # 显示钱包日志
    private function account()
    {
        if ($this->project != 'seller') {
            return $this;
        }
        $this->result['tab']['钱包记录'] = Dever::load('account/lib/manage')->getLog($this->order_table, $this->order['id']);
        return $this;
    }

    # 显示分销记录
    private function salesman()
    {
        if ($this->order_table_name != 'sell_order') {
            return $this;
        }
        $log = Dever::db('seller/shop_salesman_log')->select(array('order_id' => $this->order['id']));
        if ($log) {
            $content['head'] = array('分销员', '百分比', '佣金', '状态', '时间');
            $content['body'] = array();

            foreach ($log as $k => $v) {
                $info = Dever::load('order/lib/salesman')->get($v['salesman_id']);
                $detail = array();
                $detail[] = $info['name'];
                $detail[] = $v['per'];
                $detail[] = $v['commission'];
                $detail[] = $v['status'] == 1 ? '未确认' : '已确认';
                $detail[] = date('Y-m-d H:i', $v['cdate']);
                $content['body'][] = $detail;
            }
            $this->result['tab']['分销记录'] = array
            (
                'type' => 'table',
                'content' => $content,
            );
        }
        return $this;
    }

    # 显示按钮
    private function button()
    {
        $button = array();

        if ((isset($this->order['refund_num']) && $this->order['refund_num'] >= $this->order['num']) || (isset($this->order['refund_status']) && $this->order['refund_status'] > 1 && $this->order['refund_status'] < 5)) {

        } elseif (method_exists($this->handle, 'showButton')) {
            $this->handle->showButton($this->project, $this->order_table_name, $this->order, $button);
        }
        
        return $button;
    }

    public function getDeliveryUrl($project, $table, $order_id, $order_goods_id = false)
    {
        $param['col'] = $project.'/'.$table.'_delivery,status,desc,order_id,order_goods_id';
        $param['search_option_order_id'] = $order_id;
        if ($order_goods_id) {
            $param['search_option_order_goods_id'] = $order_goods_id;
        }
        return Dever::update($project, $table . '_audit', $param);
    }

    private function goodsAudit()
    {
        $this->order['type'] = 1;
        $data = Dever::db($this->order_table . '_goods')->select(array('order_id' => $this->order['id'], 'status' => 1));
        $seller = Dever::db('seller/info')->find($this->order['seller_id']);
        $shop = Dever::db('seller/shop')->find($this->order['seller_shop_id']);
        $assign = Dever::load('order/lib/assign')->get($data, $shop);
        if ($assign) {
            $head = array('商品编码', '商品名称', '单位', '单价', '总价', '数量', '供货商');
            $body = array();
            $i = 0;
            if ($data) {
                //print_r($data);die;
                foreach ($data as $k => $v) {
                    $goods_info = Dever::load('goods/lib/info')->getBaseInfo($v['goods_id'], $v['sku_id'], $v['unit_id']);
                    $d = array
                    (
                        $goods_info['code'],
                        $goods_info['aname'],
                        $goods_info['unit'],
                        $v['cash'],
                        Dever::number($v['cash'] * $v['num']),
                        $v['num'],
                        $this->getSelect($v['option'], $v['select'], $v['id']),
                    );

                    $body[] = $d;

                    $i++;
                }
            }

            $this->result['商品拆单'] = array
            (
                'type' => 'table',
                'head' => array('name' => '请选择供货商：' . $this->getSelect($shop['option']) . '<a class="layui-btn layui-btn-primary" onclick="setAudit()" style="margin-left:10px">批量调整</a><script>function setAudit(){layer.confirm(\'确定进行此项操作吗？\', function(){var audit = $(\'.audit_set\').val();$(\'.audit\').each(function(){$(this).val(audit);layui.form.render();layer.closeAll()})})}</script>'),
                'content' => array
                (
                    'head' => $head,
                    'body' => $body,
                )
            );

            $url = Dever::url('type/buy.auditHand_commit?json=1&order_id=' . $this->order['id'], 'order');
            $this->result['审核结果'] = array
            (
                'type' => 'html',
                'content' => '<script>function saveAudit(){var goods = [];var audit = 1; var audit_text = $(".update_audit_text").val();$(".update_audit").each(function(){if ($(this).get(0).checked){audit = $(this).val()}});$(\'.audit\').each(function(){var v = $(this).val();var id = $(this).attr("data-id");goods.push(v + "_" + id);});layer.confirm(\'确定进行此项操作吗？\', function(){layui.form.render();var send = {};send.goods = goods.join(",");send.audit = audit;send.audit_text = audit_text;console.info(send);$.post("'.$url.'", send, function(t){t = JSON.parse(t);showYes(t)})})}</script><style>.layui-form-radio{padding-right: 0px;margin: 0px 0px 0 0;margin-left:40px}</style><div class="layui-form-item  show_input"><div classs="layui-col-lg6"><div><label style="font-size:14px;font-weight:bold;" class="">审核状态</label><div style="display:inline" class="am-btn-group"><input update_type="checked" class="checkbox-checkall-0_update_audit update_audit update_value validate[required]" type="radio" name="update_audit[]" value="2" checked="" show_id="audit" autocomplete="off" id="form-validation-field-1"> 审核通过 &nbsp;&nbsp;<input update_type="checked" class="autoload checkbox-checkall-0_update_audit update_audit update_value validate[required]" type="radio" name="update_audit[]" value="3" autocomplete="off" id="form-validation-field-0"> 审核未通过 &nbsp;&nbsp;</div></div></div></div><div class="layui-form-item" style="display: block;"><div classs="layui-col-lg6"><div><label style="font-size:14px;font-weight:bold;" class="">审核备注</label></div><div><textarea style="height:100px;" update_type="value" class="update_value update_audit_text form-control layui-input validate[required]" name="update_desc"></textarea></div></div></div> <div style="text-align:left" class="layui-layer-btn layui-layer-btn-"><a class="layui-btn layui-btn-primary" onclick="saveAudit()">保存</a><a class="layui-layer-btn1" style="display:none">取消</a></div>',
            );
        }
    }

    private function getSelect($option, $select = false, $id = false)
    {
        if ($id) {
            $name = 'audit';
        } else {
            $name = 'audit_set';
        }
        $html = '<select class="'.$name.'" data-id="'.$id.'">';
        foreach ($option as $k => $v) {
            $yes = '';
            if ($select && $select == $k) {
                $yes = 'selected';
            }
            $html .= '<option value="'.$k.'" '.$yes.'>'.$v.'</option>';
        }
        $html .= '</select>';

        return $html;
    }
}
