<?php

$status = Dever::config('base')->order_status;
$col = Dever::input('col');

return array
(
    # 表名
    'name' => 'buy_order',
    # 显示给用户看的名称
    'lang' => '采购单查询',
    'order' => 20,
    'set' => array
    (
    	'status' => $status,
    ),
    'start' => array
    (
        'insert' => 'order/lib/common.insert',
    ),

    'end' => array
    (
        'insert' => 'order/lib/log.insert',
    ),

    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            //'list'      => true,
        ),

        'sell_order_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '零售订单表id',
            'default'   => '',
            'desc'      => '零售订单表id',
            'match'     => 'is_numeric',
        ),

        'order_num'      => array
        (
            'type'      => 'varchar-100',
            'name'      => '订单号',
            'default'   => '',
            'desc'      => '订单号',
            'match'     => 'is_string',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'seller_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '经销商',
            'default'   => '',
            'desc'      => '经销商',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            'search'    => array
            (
                'api' => 'seller/info-like',
                'col' => 'name',
                'result' => 'id',
            ),
            'value'     => 'seller_id_value',
            'list'      => 'Dever::load("seller/info-one#name", {seller_id})',
        ),

        'seller_shop_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '门店',
            'default'   => '',
            'desc'      => '门店',
            'match'     => 'is_numeric',
            'update'    => 'select',
            'search'    => array
            (
                'api' => 'seller/shop-like',
                'col' => 'name',
                'result' => 'id',
            ),
            'value'     => 'seller_shop_id_value',
            'list'      => 'Dever::load("seller/shop-one#name", {seller_shop_id})',
            'bind'        => array('onchange', 'loading', array('url' => Dever::url('lib/manage.resetGoods?reset=seller-buy_order_goods', 'goods'), 'col' => '')),
        ),

        'info'      => array
        (
            'type'      => 'varchar-300',
            'name'      => '订单备注',
            'default'   => '',
            'desc'      => '订单备注',
            'match'     => 'option',
            'update'    => 'text',
        ),

        'user/address'=> array
        (
            'name'      => '地址设置',
            'default'   => '',
            'desc'      => '地址设置',
            'match'     => 'option',
            'sync'      => array('source_table' => 'seller/buy_order', 'source_id' => 'id', 'type' => 1),
        ),

        'seller/buy_order_goods'=> array
		(
			'name' 		=> '商品设置',
			'default' 	=> '',
			'desc' 		=> '商品设置',
			'match' 	=> 'option',
			'sync'		=> array('order_id' => 'id'),
			'update'	=> array(1),
			'update_type' => 2,
		),

        'cash'      => array
        (
            'type'      => 'decimal-11,2',
            'name'      => '总价',
            'default'   => '',
            'desc'      => '总价',
            'match'     => 'option',
            'list'      => true,
        ),

        'num'        => array
        (
            'type'      => 'decimal-11,2',
            'name'      => '总数量',
            'default'   => '',
            'desc'      => '总数量',
            'match'     => 'option',
            'list'      => true,
        ),

        'price'      => array
        (
            'type'      => 'decimal-11,2',
            'name'      => '实付金额',
            'default'   => '',
            'desc'      => '实付金额',
            'match'     => 'option',
            'list'      => true,
        ),

        'delivery_date'     => array
        (
            'type'      => 'int-11',
            'name'      => '发货时间',
            'default'   => '',
            'match'     => 'is_numeric',
            'desc'      => '',
            'search'    => 'date',
            'list'        => '{delivery_date} ? date("Y-m-d H:i", {delivery_date}) : "-"',
        ),

        'finish_date'     => array
        (
            'type'      => 'int-11',
            'name'      => '完成时间',
            'default'   => '',
            'match'     => 'is_numeric',
            'desc'      => '',
            'search'    => 'date',
            'list'        => '{finish_date} ? date("Y-m-d H:i", {finish_date}) : "-"',
        ),

        'status'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '订单状态',
            'default'   => '1',
            'desc'      => '订单状态',
            'match'     => 'is_numeric',
            'option'    => $status,
            'search'    => 'select',
            'list_order'    => 100,
            'list'      => true,
            //'search_after' => '<br />',
            //'mul'   => true,
            //'mul_option' => array(2 => '批量审核', 5 => '确认收货'),
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '下单时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'sdate',
            'list'        => 'date("Y-m-d H:i", {cdate})',
        ),
    ),

    'manage' => array
    (
        # 后台新增提交时，检测该值是否为空，多个用逗号隔开
        'insert_check' => 'seller/buy_order_goods',
        # 后台提交后，进行下一步操作
        'insert_end' => 'order/type/buy.act',
        'delete' => false,
        'edit' => false,
        'insert' => false,
        //'excel' => $excel,
        //'mul' => $mul,

        'list_button' => array
        (
            'list' => array('查看详情', '"buy_order_goods&type=buy&page_type=1&order_id={id}"', '{status} != 2'),

            'list1' => array('审核', '"buy_order_goods&type=buy&page_type=1&order_id={id}&audit=1"', '{status} == 2'),
        ),
    ),

    'request' => array
    (
        # 更新总价和总数量
        'up' => array
        (
            'type' => 'update',
            'where' => array
            (
                'id' => 'yes',
            ),
            'set' => array
            (
                'cash' => array('yes', '+='),
                'price' => array('yes', '+='),
                'num' => array('yes', '+='),
            ),
        ),
    ),
);
