<?php

$status = Dever::config('base')->goods_status;

return array
(
    # 表名
    'name' => 'buy_order_goods',
    # 显示给用户看的名称
    'lang' => '订单商品表',
    'menu' => false,
    'status' => $status,
    'end' => array
    (
        'insert' => 'order/lib/common.updateGoods',
    ),
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'update'    => 'hidden',
            //'list'        => true,
        ),

        'order_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '订单表id',
            'default'   => '',
            'desc'      => '订单表id',
            'match'     => 'is_numeric',
        ),

        'sell_order_goods_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '关联的销售单表id',
            'default'   => '',
            'desc'      => '关联的销售单表id',
            'match'     => 'is_numeric',
        ),

        'out_type'      => array
        (
            'type'      => 'int-11',
            'name'      => '出库类型-2是仓库，3是供应商',
            'default'   => '',
            'desc'      => '出库类型',
            'match'     => 'is_numeric',
        ),

        'out_order_goods_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '关联的出库订单表id',
            'default'   => '',
            'desc'      => '关联的出库订单表id',
            'match'     => 'is_numeric',
        ),

        'goods_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '商品',
            'default'   => '',
            'desc'      => '商品',
            'match'     => 'is_numeric',
            'update'    => 'select',
            'update_search' => 'goods/lib/manage.searchProduct?type=sell&{seller_id,seller_shop_id}',
            'bind'        => array('onchange', 'loading', array('url' => Dever::url('lib/manage.showInfo?cash_col=buy_price', 'goods'), 'col' => 'seller_id,seller_shop_id')),
        ),

        'sku_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '库存',
            'default'   => '-1',
            'desc'      => 'sku_id',
            'match'     => 'is_numeric',
            'update'    => 'show',
            'value'     => '暂无',
        ),

        'unit_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '单位',
            'default'   => '',
            'desc'      => '单位',
            'match'     => 'is_numeric',
            'update'    => 'select',
            'option'    => array(0 => '请先选择商品'),
            'bind'        => array('onchange', 'loading', array('url' => Dever::url('lib/manage.showPriceByUnit?cash_col=buy_price', 'goods'), 'col' => 'seller_id,seller_shop_id,goods_id')),
        ),

        'cash'      => array
        (
            'type'      => 'decimal-11,2',
            'name'      => '单价',
            'default'   => '',
            'desc'      => '单价',
            'match'     => 'is_numeric',
            'update'    => 'text',
        ),

        'num'        => array
        (
            'type'      => 'decimal-11,2',
            'name'      => '数量',
            'default'   => '1',
            'desc'      => '数量',
            'match'     => 'is_numeric',
            'update'	=> 'text',
        ),

        'status'        => array
        (
            'type'      => 'int-11',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '状态',
            'match'     => 'is_numeric',
            //'update'  => 'select',
            'option'    => $status,
            'search'    => 'select',
            'list'      => true,
            'edit'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        'insert' => false,
        'delete' => false,
        'page_list' => 'order_goods',
    ),

    'request' => array
    (
        
    ),
);
