<?php

$status = Dever::config('base')->status;
$uri = Dever::uri();
if (strstr($uri, 'project/database/update')) {
	$type = array
	(
	    1 => '渠道入库',
        4 => '退货入库',
	);
} else {
	$type = array
	(
	    1 => '渠道入库',
	    2 => '仓库入库',
        3 => '门店入库',
	    4 => '退货入库',
	);
}

$type_method = array
(
    1 => '采购',
    2 => '调拨',
    3 => '领用',
    4 => '赠送',
);

$col = Dever::input('col');

return array
(
    # 表名
    'name' => 'in_order',
    # 显示给用户看的名称
    'lang' => '入库单查询',
    'order' => 9,
    'set' => array
    (
    	'status' => $status,
        'type' => $type,
        'type_method' => $type_method,
    ),
    'start' => array
    (
        'insert' => 'order/lib/common.insert',
    ),

    'end' => array
    (
        'insert' => 'order/lib/log.insert',
    ),

    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            //'list'      => true,
        ),

        'order_num'      => array
        (
            'type'      => 'varchar-100',
            'name'      => '订单号',
            'default'   => '',
            'desc'      => '订单号',
            'match'     => 'is_string',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'servicer_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '仓配商',
            'default'   => '',
            'desc'      => '仓配商',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            'search'    => array
            (
                'api' => 'servicer/info-like',
                'col' => 'name',
                'result' => 'id',
            ),
            'value'     => 'servicer_id_value',
            'list'      => 'Dever::load("servicer/info-one#name", {servicer_id})',
        ),

        'servicer_store_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '仓库',
            'default'   => '',
            'desc'      => '仓库',
            'match'     => 'is_numeric',
            'search'    => array
            (
                'api' => 'servicer/site-like',
                'col' => 'name',
                'result' => 'id',
            ),
            'update'    => 'hidden',
            'value'     => 'servicer_store_id_value',
            'list'      => 'Dever::load("servicer/store-one#name", {servicer_store_id})',
            'bind'        => array('onchange', 'loading', array('url' => Dever::url('lib/manage.resetGoods?reset=servicer-in_order_goods', 'goods'), 'col' => '')),
        ),

        'type'      => array
        (
            'type'      => 'int-11',
            'name'      => '入库类型',
            'default'   => '1',
            'desc'      => '入库类型',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'search'    => 'select',
            'option'    => $type,
            'control_url'   => 'order/manage/in.type?role=servicer&site=store{servicer_id,servicer_store_id}',
            'list'      => true,
        ),

        'type_method'      => array
        (
            'type'      => 'tinyint-1',
            'name'      => '入库方式',
            'default'   => '1',
            'desc'      => '入库方式',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            'option'    => $type_method,
        ),

        'type_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '入库来源id',
            'default'   => '',
            'desc'      => '入库来源id',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
        ),

        'type_order_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '入库来源订单id',
            'default'   => '',
            'desc'      => '入库来源订单id',
            'match'     => 'is_numeric',
        ),

        'info'      => array
        (
            'type'      => 'varchar-300',
            'name'      => '订单备注',
            'default'   => '',
            'desc'      => '订单备注',
            'match'     => 'option',
            'update'    => 'text',
        ),

        'user/address'=> array
        (
            'name'      => '地址设置',
            'default'   => '',
            'desc'      => '地址设置',
            'match'     => 'option',
            'sync'      => array('source_table' => 'servicer/in_order', 'source_id' => 'id', 'type' => 1),
            'update'    => $col ? array(1) : false,
            'option'    => array('地址设置'),
            # 1纵向展示 2横向展示
            'update_type' => 1,
        ),

        'servicer/in_order_goods'=> array
		(
			'name' 		=> '商品设置',
			'default' 	=> '',
			'desc' 		=> '商品设置',
			'match' 	=> 'option',
			# 同步更新另外一个表的内容，两个表相关联的id，更新另一个表的字段
			'sync'		=> array('order_id' => 'id'),
			'update'	=> array(1),
			# 1纵向展示 2横向展示
			'update_type' => 2,
		),

        'cash'      => array
        (
            'type'      => 'decimal-11,2',
            'name'      => '总价',
            'default'   => '',
            'desc'      => '总价',
            'match'     => 'option',
            'list'      => true,
        ),

        'num'        => array
        (
            'type'      => 'decimal-11,2',
            'name'      => '总数量',
            'default'   => '',
            'desc'      => '总数量',
            'match'     => 'option',
            'list'      => true,
        ),

        'status'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '订单状态',
            'default'   => '1',
            'desc'      => '订单状态',
            'match'     => 'is_numeric',
            'option'    => $status,
            'search'    => 'select',
            'list_order'    => 100,
            'list'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '下单时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'sdate',
            'list'        => 'date("Y-m-d H:i", {cdate})',
        ),
    ),

    'manage' => array
    (
        # 后台提交时，检测该值是否为空，多个用逗号隔开
        'insert_check' => 'servicer/in_order_goods',
        'delete' => false,
        'edit' => false,
        'insert' => false,
        //'excel' => $excel,
        //'mul' => $mul,

        'button' => array
        (
            //'导出订单明细' => array('excel', 'shop/excel.sell_order'),
            //'类型配置' => array('list', 'in_order_type&oper_parent=in_order'),
        ),

        'list_button' => array
        (
            'list' => array('查看详情', '"in_order_goods&type=in&page_type=1&order_id={id}"'),

            'fast' => array('审核', '"in_order_audit&search_option_order_id={id}"', '{status} == 1'),
        ),
    ),

    'request' => array
    (
        # 更新总价和总数量
        'up' => array
        (
            'type' => 'update',
            'where' => array
            (
                'id' => 'yes',
            ),
            'set' => array
            (
                'cash' => array('yes', '+='),
                'num' => array('yes', '+='),
            ),
        ),
    ),
);
