<?php
$out_type = Dever::input('out_type', 1);
if ($out_type == 1) {
    $type_default = '1';
    $type = array
    (
        1 => '退货退款',
        2 => '报损退款',
        3 => '无货退款',
        4 => '仅退款',
    );
} else {
    $type_default = '4';
    $type = array
    (
        4 => '仅退款',
    );
}
$set_type = array
(
    1 => '按照数量退款',
    2 => '按照金额退款',
);

$valid = array
(
    1 => '退款有效',
    2 => '退款无效',
);

$status = array
(
    1 => '申请中',
    2 => '已审核',
    3 => '已退货',
    4 => '已驳回',
    5 => '退款中',
    6 => '退款处理中',
    7 => '退款已到账',
    8 => '退款未到账',
    9 => '退款拦截中',
);

$audit = array
(
    //1 => '待审核',
    2 => '审核通过',
    3 => '审核未通过',
);

$col = Dever::input('col');
return array
(
    # 表名
    'name' => 'buy_order_refund',
    # 显示给用户看的名称
    'lang' => '订单商品退货表',
    'menu' => false,
    'set' => array
    (
    	'status' => $status,
    	'type' => $type,
    ),
    'start' => array
    (
        'insert' => 'order/lib/refund.check',
    ),
    'end' => array
    (
        'insert' => 'order/lib/refund.apply_commit',
        'update' => 'order/lib/refund.audit_commit',
    ),
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'update'    => 'hidden',
            //'list'        => true,
        ),

        'order_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '订单表id',
            'default'   => '',
            'desc'      => '订单表id',
            'match'     => 'is_numeric',
            'update'	=> 'hidden',
            'value'		=> Dever::input('order_id'),
        ),

        'order_goods_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '订单商品表id',
            'default'   => '',
            'desc'      => '订单商品表id',
            'match'     => 'is_numeric',
            'update'	=> 'hidden',
            'value'		=> Dever::input('order_goods_id'),
        ),

        'type'        => array
        (
            'type'      => 'tinyint-11',
            'name'      => '退款类型',
            'default'   => $type_default,
            'desc'      => '退款类型',
            'match'     => 'is_numeric',
            'update'    => $col ? 'show' : 'radio',
            'option'    => $type,
            'control'   => 'type',
        ),

        'set_type'        => array
        (
            'type'      => 'tinyint-11',
            'name'      => '退款方式',
            'default'   => '1',
            'desc'      => '退款方式',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $set_type,
            'control'   => 'set_type',
        ),

        'unit_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '单位',
            'default'   => '',
            'desc'      => '单位',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            'value'     => Dever::input('unit'),
        ),

        'total_num'        => array
        (
            'type'      => 'decimal-11,2',
            'name'      => '当前剩余总数量',
            'default'   => '0',
            'desc'      => '当前剩余总数量',
            'match'     => 'option',
            'update'    => 'hidden',
            'value'     => Dever::input('total_num'),
        ),

        'total_cash'        => array
        (
            'type'      => 'decimal-11,2',
            'name'      => '当前剩余总余额',
            'default'   => '0',
            'desc'      => '当前剩余总余额',
            'match'     => 'option',
            'update'    => 'hidden',
            'value'     => Dever::input('total_cash'),
        ),

        'cash'      => array
        (
            'type'      => 'decimal-11,2',
            'name'      => '退款金额-为空则退所有，不能超过最大金额',
            'default'   => '',
            'desc'      => '退款金额',
            'match'     => 'option',
            'update'    => 'text',
            'show'      => 'set_type=2',
        ),

        'num'        => array
        (
            'type'      => 'decimal-11,2',
            'name'      => '退款数量-为空则退所有，如果转换成标准单位，这里直接填写标准单位数量',
            'default'   => '',
            'desc'      => '退款数量',
            'match'     => 'option',
            'update'	=> 'text',
            'show'      => 'set_type=1',
        ),

        'desc'      => array
        (
            'type'      => 'varchar-300',
            'name'      => '退款原因',
            'default'   => '',
            'desc'      => '退款原因',
            'match'     => 'option',
            'update'    => $col ? 'show' : 'textarea',
        ),

        'pic'      => array
        (
            'type'      => 'varchar-8000',
            'name'      => '退款图片',
            'default'   => '',
            'desc'      => '退款图片',
            'match'     => 'option',
            'update'    => $col ? 'show' : 'image',
            'key'       => '1',
        ),

        'seller/buy_order_refund_delivery'  => array
        (
            'name'      => '配送信息',
            'default'   => '',
            'desc'      => '配送信息',
            'match'     => 'option',
            'sync'      => array('order_refund_id' => 'id'),
            'update'    => $col ? array(1) : false,
            'update_type' => strstr($col, 'audit') ? 3 : 1,
            'option'    => array('配送信息'),
        ),

        'audit'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '审核状态',
            'default'   => '2',
            'desc'      => '审核状态',
            'match'     => 'is_numeric',
            'option'    => $audit,
            'update'    => $col ? 'radio' : false,
        ),

        'audit_desc'        => array
        (
            'type'      => 'varchar-500',
            'name'      => '审核备注',
            'default'   => '',
            'desc'      => '审核备注',
            'match'     => 'option',
            'update'    => $col ? 'textarea' : false,
        ),

        'audit_admin'     => array
        (
            'type'      => 'int-11',
            'name'      => '审核人',
            'default'   => '',
            'match'     => 'is_numeric',
            'desc'      => '审核人',
        ),

        'audit_date'     => array
        (
            'type'      => 'int-11',
            'name'      => '审核时间',
            'default'   => '',
            'match'     => 'is_numeric',
            'desc'      => '',
            'search'    => 'date',
        ),

        'status'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '状态',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            'option'    => $status,
        ),

        'valid'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '有效状态',
            'default'   => '1',
            'desc'      => '有效状态',
            'match'     => 'is_numeric',
            //'update'  => 'select',
            'option'    => $valid,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        'insert' => false,
        'delete' => false,
    ),

    'request' => array
    (
        'getTotal' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'order_id' => 'yes',
                'order_goods_id' => 'yes',
                'status' => 'yes',
                'state' => 1,
            ),
            'type' => 'one',
            'col' => '*,sum(num) as num',
        ),
    ),
);
