<?php namespace Order\Type;
use Dever;
class Buy
{
    # 采购订单下单后，进行下一步操作
    public function act($id, $state = false)
    {
        $order = Dever::db('seller/buy_order')->find($id);
        if ($order) {
            $info = Dever::db('seller/info')->find($order['seller_id']);
            # 先验证是否需要支付
            if ($info && $info['uid']) {
                if ($order['status'] == 1) {
                    # 需要支付
                    $yue = Dever::load('account/lib/info.up_commit', $info['uid'], $order['price'], 'caigou', 'qianbao', '采购单支付:' . $order['order_num'], 'seller/buy_order', $order['id'], 1, false);

                    if ($yue >= 0) {
                        Dever::db('seller/buy_order')->update(array('where_id' => $order['id'], 'status' => 2));
                        $order['status'] = 2;
                    } elseif ($state) {
                        return false;
                    }
                }

                if ($order['status'] == 2 && $info['buy_audit'] == 1) {
                    # 自动审核拆单
                    $data = Dever::db('seller/buy_order_goods')->select(array('order_id' => $order['id'], 'status' => 1));

                    if ($data) {
                        $shop = Dever::db('seller/shop')->find($order['seller_shop_id']);
                        $assign = Dever::load('order/lib/assign')->get($data, $shop);
                        if ($assign) {
                            $this->audit($order, $data, '自动审核');
                        }
                    }
                }

                return true;
            }
        }
        return false;
    }

    # 生成采购单
    public function create($order)
    {
        $table = 'seller/buy_order';
        $data['name'] = $order['name'];
        $data['sell_order_id'] = $order['id'];
        $data['seller_id'] = $order['seller_id'];
        $data['seller_shop_id'] = $order['seller_shop_id'];
        $data['status'] = 1;

        $id = Dever::db($table)->insert($data);
        if ($id) {
            $goods = Dever::db('seller/sell_order_goods')->select(array('order_id' => $order['id']));
            if ($goods) {
                $up['order_id'] = $id;
                $info = Dever::db('seller/info')->find($order['seller_id']);
                $total_cash = 0;
                $total_num = 0;
                foreach ($goods as $k => $v) {
                    $goods_info = Dever::load('goods/lib/info.getBaseInfo', $v['goods_id'], $v['sku_id'], $v['unit_id']);
                    list($price, $buy_price) = Dever::load('goods/lib/price.get', $info['price_id'], $v['goods_id'], $v['sku_id'], $goods_info['price'], $goods_info['buy_price']);
                    $up['goods_id'] = $v['goods_id'];
                    $up['sku_id'] = $v['sku_id'];
                    $up['unit_id'] = $v['unit_id'];
                    $up['cash'] = $buy_price;
                    $up['num'] = $v['num'];
                    $up['sell_order_goods_id'] = $v['id'];
                    $total_cash += $up['cash'];
                    $total_num += $up['num'];

                    $buy_order_goods_id = Dever::db($table . '_goods')->insert($up);
                    $goods_update = array('id' => $v['id'], 'status' => 2, 'buy_order_goods_id' => $buy_order_goods_id);

                    Dever::db('seller/sell_order_goods')->update($goods_update);
                }
                Dever::db('seller/buy_order')->update(array('where_id' => $id, 'cash' => $total_cash, 'price' => $total_cash, 'num' => $total_num));

                $this->act($id);
            }
        }
        return $id;
    }

    # 采购订单审核 手动拆单
    public function auditHand_commit_api()
    {
        Dever::config('base')->hook = true;
        //{goods: "2_4_audit_615,2_4_audit_614,-1_-1_audit_617,-1_-1_audit_616,-1_-1_audit_613", audit: "1", audit_text: "1231"}

        $id = Dever::input('order_id');
        $goods = Dever::input('goods');
        $audit = Dever::input('audit');
        $audit_text = Dever::input('audit_text');

        $table = 'seller/buy_order';
        $order = Dever::db($table)->one($id);
        if ($audit > 1 && $order && $order['status'] == 2) {
            if ($audit == 2 && $goods) {
                $goods = explode(',', $goods);
                $this->audit($order, $goods, $audit_text);
            } else {
                # 退款
                Dever::db('seller/buy_order_goods')->updates(array('option_order_id' => $order['id'], 'set_status' => 3));
                Dever::db('seller/buy_order')->update(array('where_id' => $order['id'], 'status' => 8, 'finish_date' => time()));
                Dever::load('order/lib/refund.account', $table, $order, $order['cash'], 'caigou', '采购单');
                Dever::load('order/lib/audit.add', $table, $order['id'], 2, $audit_text);
                Dever::load('order/lib/log.add', $table, $order['id'], '审核未通过');
            }
        }

        return Dever::url('project/database/list&project=seller&table=buy_order&menu=shop&search_option_state=1&search_option_type=1&menu_id=84', 'manage');
    }

    # 审核拆单
    public function audit($order, $goods, $audit_text = '')
    {
        # 获取出库单需要的数据
        $out_goods = array();
        # 是否全部审核完毕
        $state = true;
        foreach ($goods as $k => $v) {
            if (is_string($v)) {
                list($option_type, $option_parent_id, $option_id, $goods_id) = explode('_', $v);
                $order_goods = Dever::db('seller/buy_order_goods')->find($goods_id);
            } elseif (is_array($v) && isset($v['select']) && $v['select']) {
                list($option_type, $option_parent_id, $option_id) = explode('_', $v['select']);
                $goods_id = $v['id'];
                $order_goods = $v;
            } else {
                continue;
            }

            if ($option_id && $option_id > 0) {
                $key = $option_type . '_' . $option_parent_id . '_' . $option_id;
                if (!isset($out_goods[$key])) {
                    $out_goods[$key] = array
                    (
                        'option_type' => $option_type,
                        'option_parent_id' => $option_parent_id,
                        'option_id' => $option_id,
                        'type' => 1,
                        'cash' => 0,
                        'num' => 0,
                        'goods' => array(),
                        'order_goods_id' => array(),
                    );
                }

                $out_goods[$key]['order_goods_id'][] = $order_goods['id'];

                if ($option_type == 3) {
                    # 如果是供应商，要重新计算价格，使用成本价
                    Dever::setInput('supplier_id', $option_id);
                    $result = Dever::load('goods/lib/unit.convertUnit', $order_goods['goods_id'], $order_goods['sku_id'], $order_goods['unit_id'], $order_goods['num'], 'cost_price');
                    $order_goods['cash'] = $result['cash'];
                }
                
                $out_goods[$key]['goods'][] = array
                (
                    'order_goods_id' => $order_goods['id'],
                    'goods_id' => $order_goods['goods_id'],
                    'sku_id' => $order_goods['sku_id'],
                    'unit_id' => $order_goods['unit_id'],
                    'cash' => $order_goods['cash'],
                    'num' => $order_goods['num'],
                );
                $out_goods[$key]['cash'] += $order_goods['cash'];
                $out_goods[$key]['num'] += $order_goods['num'];
            } else {
                $state = false;
            }
        }

        if ($state) {
            $update['status'] = 3;
            $update['where_id'] = $order['id'];
            Dever::db('seller/buy_order')->update($update);
        }
        Dever::load('order/lib/audit.add', 'seller/buy_order', $order['id'], 1, $audit_text, false, false);
        Dever::load('order/lib/log.add', 'seller/buy_order', $order['id'], '审核通过');
        if ($out_goods) {
            $out_id = array();
            foreach ($out_goods as $k => $v) {
                $id = Dever::load('order/type/out.create', $v['option_type'], $v['option_parent_id'], $v['option_id'], $v['cash'], $v['num'], 11, 1, $order['seller_shop_id'], $order['id'], $order['info'], $v['goods']);
                $out['order_id'] = $order['id'];
                $out['order_goods_id'] = implode(',', $v['order_goods_id']);
                $out['out_type'] = $v['option_type'];
                $out['out_parent_id'] = $v['option_id'];
                $out['out_id'] = $v['option_id'];
                $out['out_order_id'] = $id;
                Dever::db('seller/buy_order_out')->insert($out);
            }
        }
    }
}
