<?php namespace Order\Type;
use Dever;
class Out
{
    # 生成出库单
    public function create($role_type, $role_id, $site_id, $cash, $num, $type, $type_method, $type_id, $type_order_id, $info, $goods, $relate_table = 'seller/buy_order_goods')
    {
        list($role, $site, $data) = Dever::load('order/lib/common')->get($role_type, $role_id, $site_id);

        $table = $role . '/out_order';
        $data['cash'] = $cash;
        $data['num'] = $num;
        $data['type'] = $type;
        $data['type_method'] = $type_method;
        $data['type_id'] = $type_id;
        $data['type_order_id'] = $type_order_id;
        $data['info'] = $info;
        $data['order_num'] = Dever::load('order/lib/common')->createOrderNum($table);

        $id = Dever::db($table)->insert($data);
        if ($id) {
            Dever::load('order/lib/log.add', $table, $id, '新增订单');
            if ($goods) {
                $up['order_id'] = $id;
                foreach ($goods as $k => $v) {
                    $up['goods_id'] = $v['goods_id'];
                    $up['sku_id'] = $v['sku_id'];
                    $up['unit_id'] = $v['unit_id'];
                    $up['cash'] = $v['cash'];
                    $up['num'] = $v['num'];
                    $goods_id = Dever::db($table . '_goods')->insert($up);
                    if ($goods_id && isset($v['order_goods_id']) && $v['order_goods_id'] && $relate_table) {
                        Dever::db($relate_table)->update(array('where_id' => $v['order_goods_id'], 'status' => 2, 'out_type' => $role_type, 'out_order_goods_id' => $goods_id));
                    }
                }
            }
        }
        return $id;
    }

    public function delivery($table, $order, $status, $refund = array(), $relate_table = 'seller/buy_order')
    {
        if (isset($order['type']) && $order['type'] == 11) {
            if ($status == 2) {
                # 发货成功
                $relate_status = 5;
                $relate_status_name = '已发货';
            } else {
                # 发货失败
                $relate_status = 5;
                $relate_status_name = '未发货';
            }
            $relate_order = Dever::db($relate_table)->one($order['type_order_id']);
            if ($relate_order && $relate_order['status'] <= 4) {
                $relate_update['where_id'] = $relate_order['id'];
                $relate_update['status'] = $relate_status;
                $relate_out = Dever::db($relate_table . '_out')->select(array('order_id' => $relate_order['id']));
                if ($relate_out) {
                    foreach ($relate_out as $k => $v) {
                        $out_order = Dever::db(Dever::load('order/lib/common')->getTable($v['out_type'], '/out_order'))->find(array('id' => $v['out_order_id'], 'clear' => true));
                        if ($out_order && $out_order['status'] == 1) {
                            $relate_update['status'] = 4;
                        }
                    }
                }
                if ($status == 2) {
                    $relate_update['delivery_date'] = time();
                }
                Dever::db($relate_table)->update($relate_update);

                $rolename = '';
                if (isset($order['supplier_id'])) {
                    $role = Dever::db('supplier/info')->one($order['supplier_id']);
                    $channel = Dever::db('supplier/channel')->one($order['supplier_channel_id']);
                    $rolename = $role['name'] . '.' . $channel['name'];
                } elseif (isset($order['servicer_id'])) {
                    $role = Dever::db('servicer/info')->one($order['servicer_id']);
                    $store = Dever::db('servicer/store')->one($order['servicer_store_id']);
                    $rolename = $role['name'] . '.' . $store['name'];
                }

                Dever::load('order/lib/log')->add($relate_table, $order['type_order_id'], $rolename . $relate_status_name);

                if (isset($relate_order['sell_order_id']) && $relate_order['sell_order_id']) {
                    $sell_order = Dever::db('seller/sell_order')->one($relate_order['sell_order_id']);
                    if ($sell_order && $sell_order['status'] <= 4) {
                        $sell_update['where_id'] = $sell_order['id'];
                        $sell_update['status'] = $relate_update['status'];
                        if ($status == 2) {
                            $sell_update['delivery_date'] = $relate_update['delivery_date'];
                        }
                        
                        Dever::db('seller/sell_order')->update($sell_update);
                        Dever::load('order/lib/log')->add('seller/sell_order', $relate_order['sell_order_id'], $relate_status_name);
                    }
                }
                
                # 自动确认完成
                if ($relate_update['status'] == 5) {
                    if (isset($relate_order['seller_id']) && $relate_order['seller_id']) {
                        $sell_info = Dever::db('seller/info')->one($relate_order['seller_id']);
                        if (strstr($relate_table, 'sell_order')) {
                            $col = 'sell_finish_audit';
                        } else {
                            $col = 'buy_finish_audit';
                        }
                        if ($sell_info && $sell_info[$col] == 1) {
                            Dever::setInput('order_table', $relate_table);
                            Dever::setInput('order_id', Dever::encode($order['relate_order_id']));
                            Dever::load('order/lib/common')->finish_commit_api();
                        }
                    }
                }

                if ($refund) {
                    Dever::db($table)->update(array('where_id' => $order['id'], 'refund_status' => 5));
                    foreach ($refund as $k => $v) {
                        Dever::load('order/lib/refund.up_commit', $relate_table . '_refund', $v);
                    }
                }
            }
        }
    }
}
