<?php

$type = function()
{
	return Dever::load('seller/type-state');
};

$category = function()
{
	return Dever::load('goods/category-getTop');
};

$price = function()
{
    $array = array
    (
        -1 => '默认模板',
    );
    $data = Dever::load('goods/price-state');
    if ($data) {
        $array += $data;
    }
    return $array;
};

$yuan = array
(
    'goods' => '商品库',
    'api' => '接口库',
    'resource' => '素材库',
	'ai' => 'AI库',
    'site' => '网址库',
    'course' => '教程库',
    'card' => '卡密库',
);

$status = array
(
    1 => '启用',
    2 => '禁用',
);

$in_type = array
(
    1 => '标准单位入库',
    2 => '直接入库',
);

$sell_audit = array
(
    1 => '自动审核',
    2 => '人工审核',
);

$sell_delivery = array
(
    1 => '采购发货',
    2 => '自行发货',
);

$sell_refund = array
(
    1 => '零售单单独审核退货',
    2 => '关联采购单退货',
);

$buy_audit = array
(
    1 => '自动审核',
    2 => '人工审核',
);

$sell_finish_audit = array
(
    1 => '发货后自动确认',
    2 => '发货后手动确认',
    //3 => '收货后自动确认',
    //4 => '收货后手动确认',
);

$buy_finish_audit = array
(
    1 => '发货后自动确认',
    2 => '发货后手动确认',
    //3 => '收货后自动确认',
    //4 => '收货后手动确认',
);

return array
(
	# 表名
	'name' => 'info',
	# 显示给用户看的名称
	'lang' => '经销商列表',
	# 是否显示在后台菜单
	'order' => 100,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '经销商ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
			//'order'		=> 'asc',
		),

        'uid'       => array
        (
            'type'      => 'int-11',
            'name'      => '用户信息-输入用户手机号或者用户名',
            'default'   => '1',
            'desc'      => '用户信息',
            'match'     => 'is_numeric',
            'search'    => array
            (
                'api' => 'user/info-like',
                'col' => 'search',
                'result' => 'id',
            ),
            'update'    => 'select',
            'update_search' => 'user/lib/info.manage_search',
            # 绑定js脚本，更新时使用，第一个参数是执行的方式，第二个参数执行的方法，第三个参数是传值。
            //'bind'        => array('onblur', 'loading', array('url' => Dever::url("lib/info.manage_search","user"))),
            'list'       => '"{uid}" ? Dever::load("user/lib/info.get#aname", {uid}) : "暂无"',
        ),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '经销商名称',
			'default' 	=> '',
			'desc' 		=> '经销商名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
			'edit'		=> true,
		),

		'info'      => array
        (
            'type'      => 'varchar-800',
            'name'      => '经销商介绍',
            'default'   => '',
            'desc'      => '经销商介绍',
            'match'     => 'option',
            'update'    => 'textarea',
        ),

		'type_id'        => array
        (
            'type'      => 'int-11',
            'name'      => '经销商类型',
            'default'   => '1',
            'desc'      => '经销商类型',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $type,
            'list'		=> true,
        ),

        'seller/shop'=> array
        (
            'name'      => '门店设置',
            'default'   => '',
            'desc'      => '门店设置',
            'match'     => 'option',
            # 同步更新另外一个表的内容，两个表相关联的id，更新另一个表的字段
            'sync'      => array('seller_id' => 'id'),
            'update'    => array(1),
            # 1纵向展示 2横向展示
            'update_type' => 2,
            'list_name' => '门店列表',
            //'list'      => 'Dever::load("seller/lib/manage.getShop", {id})',
        ),

        'in_type'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '商品入库规则',
            'default'   => '1',
            'desc'      => '商品入库规则',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $in_type,
            'tab'       => 1,
        ),

        'sell_audit'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '零售单审核规则',
            'default'   => '1',
            'desc'      => '零售单审核规则',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $sell_audit,
            'tab'       => 2,
        ),

        'sell_finish_audit'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '零售单确认规则',
            'default'   => '2',
            'desc'      => '零售单确认规则',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $sell_finish_audit,
            'tab'       => 2,
        ),

        'sell_delivery'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '零售单发货规则-采购发货将零售单转成采购单，由采购单处理发货，自行发货将由经销商自行发货',
            'default'   => '1',
            'desc'      => '零售单发货规则',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $sell_delivery,
            'tab'       => 2,
            'control'   => 'sell_delivery',
        ),

        'sell_refund'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '零售单退货规则-选择采购单关联退货后，有退货退款申请时，自动将退款申请提交到供应商端，经销商无审核权限',
            'default'   => '1',
            'desc'      => '零售单退货规则',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $sell_refund,
            'tab'       => 2,
            'show'      => 'sell_delivery=1',
        ),

        'buy_audit'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '采购单审核规则',
            'default'   => '1',
            'desc'      => '采购单审核规则',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $buy_audit,
            'tab'       => 2,
        ),

        'buy_finish_audit'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '采购单确认规则',
            'default'   => '2',
            'desc'      => '采购单确认规则',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $buy_finish_audit,
            'tab'       => 2,
        ),

        'price_id'       => array
        (
            'type'      => 'int-11',
            'name'      => '商品价格模板',
            'default'   => '-1',
            'desc'      => '商品价格模板',
            'match'     => 'is_numeric',
            'update'    => 'select',
            'option'    => $price,
            'tab'       => 1,
        ),

        'commission'        => array
        (
            'type'      => 'varchar-1000',
            'name'      => '销售佣金调整-针对每个资源的销售佣金做统一调整，如填写5%，就是在原有销售佣金的基础上增加5%佣金，设置为0则不做任何调整，设置为no，则佣金为0',
            'default'   => '0',
            'desc'      => '销售佣金调整',
            'match'     => 'option',
            'update'    => 'textarea',
            'tab'       => 1,
        ),

        'agent_commission'        => array
        (
            'type'      => 'varchar-1000',
            'name'      => '代理销售佣金调整-针对每个资源的代理销售佣金做统一调整，如填写5%，就是在原有代理销售佣金的基础上增加5%佣金，设置为0则不做任何调整，设置为no，则佣金为0',
            'default'   => '0',
            'desc'      => '销售佣金调整',
            'match'     => 'option',
            'update'    => 'textarea',
            'tab'       => 1,
        ),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			//'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

        'status'        => array
        (
            'type'      => 'int-11',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '状态',
            'match'     => 'is_numeric',
            //'update'  => 'select',
            'option'    => $status,
            'search'    => 'select',
            'list'      => true,
            'edit'      => true,
        ),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			//'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
        'delete' => false,
		'tab' => array('基本设置', '功能设置', '订单设置'),
		'button' => array
        (
            //'类型配置' => array('list', 'type&oper_parent=seller'),
        ),
        'list_button' => array
        (
            'location' => array('供应商设置', Dever::url('lib/set.home?role=seller', 'supplier')),
            'location1' => array('仓配商设置', Dever::url('lib/set.home?role=seller', 'servicer')),
            //'location2' => array('商品设置', Dever::url('lib/set.home?project=seller&table=goods&info=info', 'goods')),
            
            'br1' => array('<br />'),
            'list' => array('门店列表', 'shop&oper_table=info&search_option_seller_id={id}'),

            'add' => array('采购下单', 'buy_order&oper_table=info&search_option_seller_id={id}&oper_save_jump=buy_order'),
            'add1' => array('代客下单', 'sell_order&oper_table=info&search_option_seller_id={id}&oper_save_jump=sell_order'),
        )
	),

	'default' => array
	(
		'col' => 'name,uid,type_id,state,cdate',
		'value' => array
		(
			'"平台经销商", 1, 1, 1,' . DEVER_TIME,
		),
	),

	'request' => array
	(
		'like' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'name' => array('yes', 'like'),
                'id' => 'yes',
                'status' => 1,
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc', 'id' => 'desc'),
            'col' => '*|id',
        ),
	)
);
