<?php
$stock = array
(
    1 => '独立库存',
    2 => '共享库存',
);
$shop = function()
{
	$array = array();
	$data = Dever::load('seller/shop-state');
	if($data)
	{
		$array += $data;
	}
	return $array;
};

$type = array
(
	1 => '实体店',
	2 => '网店',
	3 => '虚拟店',
);

$code = array
(
	'null' => '选择网店',
	'yuandaibao' => '源小店',
	'taobao' => '淘宝店',
	'douyin' => '抖音小店',
);

$status = array
(
	1 => '启用',
	2 => '禁用',
);

$salesman_status = array
(
	1 => '启用',
	2 => '禁用',
);

$set = Dever::input('set', 2);
$fast = Dever::input('fast');
if ($fast) {
	$set = 1;
}

return array
(
	# 表名
	'name' => 'shop',
	# 显示给用户看的名称
	'lang' => '经销商门店',
	# 是否显示在后台菜单
	'order' => 10,
	'menu' => false,

	'status' => $status,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
			'order'		=> 'asc',
		),

		'seller_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '经销商ID',
			'default' 	=> '-1',
			'desc' 		=> '经销商ID',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_seller_id'),
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '门店名称',
			'default' 	=> '',
			'desc' 		=> '门店名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
			'edit'		=> true,
		),

        'type'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '门店类别-实体店需要设置门店地址',
            'default'   => '2',
            'desc'      => '门店类别',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $type,
            'list'		=> true,
            'control'	=> 'type',
        ),

        'code'      => array
        (
            'type'      => 'varchar-150',
            'name'      => '关联网店',
            'default'   => '',
            'desc'      => '关联网店',
            'match'     => 'is_string',
            'update'    => 'select',
            'option'    => $code,
            'show'		=> 'type=2',
        ),

        'user/address'=> array
        (
            'name'      => '地址设置',
            'default'   => '',
            'desc'      => '地址设置',
            'match'     => 'option',
            # 同步更新另外一个表的内容，另外一个表的字段=>本表的字段
            'sync'      => array('source_table' => 'seller/shop', 'source_id' => 'id', 'type' => 2),
            'update'    => $set == 1 ? array(1) : false,
            'option'    => array('默认地址'),
            # 1纵向展示 2横向展示
            'update_type' => 1,
            'show'      => 'type=1',
        ),

        'stock'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '库存设置-如果商品有库存，这里设置库存是否独立或共享，独立库存就是该门店自己使用一套库存，共享库存就是和其他门店共享一套库存，共享库存将无法设置商品',
            'default'   => '1',
            'desc'      => '库存设置',
            'match'     => 'is_numeric',
            'update'    => $set == 1 ? 'radio' : false,
            'option'    => $stock,
            'control'	=> 'stock',
            'tab'		=> 1,
            'search'	=> 'select',
            'list'		=> true,
        ),

        'stock_shop'        => array
        (
            'type'      => 'int-11',
            'name'      => '共享门店-选择和哪个门店共享一套库存',
            'default'   => '-1',
            'desc'      => '共享经销商',
            'match'     => 'is_numeric',
            'update'    => $set == 1 ? 'select' : false,
            'option'    => $shop,
            'show'		=> 'stock=2',
            'tab'		=> 1,
        ),

        'salesman_status'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '是否启用分销功能',
			'default' 	=> '2',
			'desc' 		=> '是否启用分销功能',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $salesman_status,
			'tab'		=> 2,
			'control'	=> 'salesman_status',
		),

		'salesman_commission'        => array
        (
            'type'      => 'varchar-1000',
            'name'      => '分销员佣金-分销员销售了商品，能得到的佣金。填写10%。就是经销商利润的百分之10，直接填写数字就是分销员佣金，不能大于经销商利润。',
            'default'   => '',
            'desc'      => '分销员佣金',
            'match'     => 'option',
            'update'    => 'text',
            'tab'       => 2,
            'show' 		=> 'salesman_status=1',
        ),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			//'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'status'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '是否启用',
			'default' 	=> '1',
			'desc' 		=> '是否启用',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $status,
			'list'		=> true,
			'edit'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			//'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'tab' => array('基本信息', '商品设置', '分销设置'),
		'insert' => false,
        'edit' => false,
        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),
		'list_button' => array
        (
        	'edit' => array('编辑'),
        	'location' => array('渠道设置', Dever::url('lib/set_channel.home?role=seller&table=shop', 'supplier'), '{stock} == 1'),
        	'location1' => array('仓库设置', Dever::url('lib/set_store.home?role=seller&table=shop', 'servicer'), '{stock} == 1'),
        	'list' => array('商品清单', 'shop_goods&parent=info.shop&search_option_seller_shop_id={id}', '{stock} == 1'),
        	'list1' => array('分销员管理', 'shop_salesman&parent=info.shop&search_option_seller_shop_id={id}', '{salesman_status} == 1'),
        	'br1' => array('<br />'),
        	'add' => array('采购下单', 'buy_order&oper_table=info&search_option_seller_id={seller_id}&search_option_seller_shop_id={id}&oper_save_jump=buy_order'),
            'add1' => array('代客下单', 'sell_order&oper_table=info&search_option_seller_id={seller_id}&search_option_seller_shop_id={id}&oper_save_jump=sell_order'),
            'add2' => array('入库下单', 'in_order&parent=info.shop&search_option_seller_id={seller_id}&search_option_seller_shop_id={id}&oper_save_jump=in_order'),
            'add3' => array('出库下单', 'out_order&parent=info.shop&search_option_seller_id={seller_id}&search_option_seller_shop_id={id}&oper_save_jump=out_order'),
        )
        
	),

	'request' => array
	(
		'like' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'name' => array('yes', 'like'),
                'id' => 'yes',
                'status' => 1,
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc', 'id' => 'desc'),
            'col' => '*|id',
        ),

        'search' => array
        (
            'option' => array
            (
            	'seller_id' => array('yes', 'in'),
                'ids' => array('yes-id', 'in'),
                'no_id' => array('yes-id', '!='),
                'name' => array('yes', 'like'),
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc', 'id' => 'desc'),
            'page' => array(10, 'list'),
            'col' => 'id, name, id as value, "" as selected, "" as disabled|id',
        ),
	)
);
