<?php

$info = '';
$shop_goods_id = Dever::input('search_option_shop_goods_id');
if ($shop_goods_id) {
    $shop_goods = Dever::db('seller/shop_goods')->find($shop_goods_id);
    if ($shop_goods) {
        $shop = Dever::db('seller/shop')->find($shop_goods['seller_shop_id']);
        $seller = Dever::db('seller/info')->find($shop['seller_id']);
        $goods_info = Dever::load('goods/lib/info')->getBaseInfo($shop_goods['goods_id'], $shop_goods['sku_id']);
        $info = '<blockquote class="layui-elem-quote">';
        $info .= $seller['name'] . '.' . $shop['name'];
        $info .= ' -> ';
        $info .= '<b>' . $goods_info['aname'] . '('.$goods_info['code'].')</b>';
        $info .= '<br />';
        $info .= '入库均价：' . '<b>' . $shop_goods['cash'] . '</b>';
        $info .= ' 入库总库存：' . '<b>' . $shop_goods['in_num'] . '</b>';
        $info .= ' 出库总库存：' . '<b>' . $shop_goods['out_num'] . '</b>';
        $info .= '</blockquote>';
    }
}
$config = array
(
    # 表名
    'name' => 'shop_goods_list',
    # 显示给用户看的名称
    'lang' => '商品价格设置',
    'order' => 200,
    'menu' => false,
    'info' => $info,


    # 数据结构 不同的字段放这里
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            //'list'        => true,
        ),

        'seller_shop_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '所属仓配商',
            'default'   => '',
            'desc'      => '所属仓配商',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            'search'    => 'hidden',
            'value'     => Dever::input('search_option_seller_shop_id'),
            //'list'      => 'Dever::load("seller/shop-one#name", {seller_shop_id})',
        ),

        'shop_goods_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '商品id',
            'default'   => '',
            'desc'      => '商品id',
            'match'     => 'is_numeric',
        ),

        'goods_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '商品名称',
            'default'   => '',
            'desc'      => '商品名称',
            'match'     => 'is_numeric',
        ),

        'sku_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '规格型号',
            'default'   => '-1',
            'desc'      => '规格型号',
            'match'     => 'is_numeric',
        ),

        'unit_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '单位',
            'default'   => '',
            'desc'      => '单位',
            'match'     => 'is_numeric',
        ),

        'batch'      => array
        (
            'type'      => 'varchar-800',
            'name'      => '入库批次号',
            'default'   => '',
            'desc'      => '入库批次号',
            'match'     => 'option',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'sdate'      => array
        (
            'type'      => 'int-11',
            'name'      => '生产日期',
            'default'   => '',
            'desc'      => '生产日期',
            'match'     => 'option',
            'update'    => 'day',
            'callback'  => 'maketime',
            'search'    => 'day',
            'list'      => '{sdate} ? date("Y-m-d H:i:s", {sdate}) : "-"',
        ),

        'cash'      => array
        (
            'type'      => 'decimal-11,2',
            'name'      => '入库单价',
            'default'   => '',
            'desc'      => '入库单价',
            'match'     => 'option',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'in_num'        => array
        (
            'type'      => 'decimal-11,2',
            'name'      => '入库库存',
            'default'   => '0',
            'desc'      => '入库库存',
            'match'     => 'is_numeric',
            'list'      => true,
        ),

        'out_num'      => array
        (
            'type'      => 'decimal-11,2',
            'name'      => '出库库存',
            'default'   => '0',
            'desc'      => '出库库存',
            'match'     => 'option',
            'list'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '数据状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),

        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '发布时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            //'search'  => 'date',
            //'list'        => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        'insert' => false,
        'edit' => false,
        'delete' => false,
        //'excel' => array(array('导出门店库存', '门店库存', '')),
        'page_list_table' => 'sku',
    ),

    # request 请求接口定义
    'request' => array
    (
       	# 列表 先进先出
        'getFifo' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'seller_shop_id' => 'yes',
                'shop_goods_id' => 'yes',
                'goods_id' => 'yes',
                'sku_id' => 'yes',
                'yes_unit_id' => array('yes-unit_id', '='),
                'no_unit_id' => array('yes-unit_id', '!='),
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('sdate' => 'asc', 'batch' => 'asc', 'id' => 'asc'),
            'col' => '*,in_num-out_num as total',
        ),

        # 列表 后进先出
        'getLifo' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'seller_shop_id' => 'yes',
                'shop_goods_id' => 'yes',
                'goods_id' => 'yes',
                'sku_id' => 'yes',
                'yes_unit_id' => array('yes-unit_id', '='),
                'no_unit_id' => array('yes-unit_id', '!='),
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('sdate' => 'desc', 'batch' => 'desc', 'id' => 'desc'),
            'col' => '*,in_num-out_num as total',
        ),

        # 列表 低价先出
        'getLpfo' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'seller_shop_id' => 'yes',
                'shop_goods_id' => 'yes',
                'goods_id' => 'yes',
                'sku_id' => 'yes',
                'yes_unit_id' => array('yes-unit_id', '='),
                'no_unit_id' => array('yes-unit_id', '!='),
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('cash' => 'asc', 'id' => 'desc'),
            'col' => '*,in_num-out_num as total',
        ),

        # 列表 高价先出
        'getHpfo' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'seller_shop_id' => 'yes',
                'shop_goods_id' => 'yes',
                'goods_id' => 'yes',
                'sku_id' => 'yes',
                'yes_unit_id' => array('yes-unit_id', '='),
                'no_unit_id' => array('yes-unit_id', '!='),
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('cash' => 'desc', 'id' => 'desc'),
            'col' => '*,in_num-out_num as total',
        ),

        # 获取某个仓配商品下的数据
        'getStock' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'shop_goods_id' => 'yes',
                'state' => 1,
            ),
            'type' => 'all',
            'group' => 'shop_goods_id',
            'col' => 'id,sum(in_num) as in_num, sum(out_num) as out_num,AVG(cash) as cash',
        ),

        # 更新入库库存
        'inUpdate' => array
        (
            'type' => 'update',
            'where' => array
            (
                'id' => 'yes',
            ),
            'set' => array
            (
                'in_num' => array('yes', '+='),
            ),
        ),

        # 更新出库库存
        'outUpdate' => array
        (
            'type' => 'update',
            'where' => array
            (
                'id' => 'yes',
            ),
            'set' => array
            (
                'out_num' => array('yes', '+='),
            ),
        ),

        # 更新入库在途库存
        'onInUpdate' => array
        (
            'type' => 'update',
            'where' => array
            (
                'id' => 'yes',
            ),
            'set' => array
            (
                'on_in_num' => array('yes', '+='),
            ),
        ),

        # 更新出库在途库存
        'onOutUpdate' => array
        (
            'type' => 'update',
            'where' => array
            (
                'id' => 'yes',
            ),
            'set' => array
            (
                'on_out_num' => array('yes', '+='),
            ),
        ),
    ),
);

return $config;