<?php

$status = array
(
	1 => '启用',
	2 => '禁用',
);

return array
(
	# 表名
	'name' => 'shop_salesman',
	# 显示给用户看的名称
	'lang' => '门店分销员',
	# 是否显示在后台菜单
	'order' => 10,
	'menu' => false,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
			'order'		=> 'asc',
		),

		'seller_shop_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '门店ID',
			'default' 	=> '-1',
			'desc' 		=> '门店ID',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_seller_shop_id'),
		),

		'uid'       => array
        (
            'type'      => 'int-11',
            'name'      => '用户信息-输入用户手机号或者用户名',
            'default'   => '1',
            'desc'      => '用户信息',
            'match'     => 'is_numeric',
            'search'    => array
            (
                'api' => 'user/info-like',
                'col' => 'search',
                'result' => 'id',
            ),
            'update'    => 'select',
            'update_search' => 'user/lib/info.manage_search',
            'list'       => '"{uid}" ? Dever::load("user/lib/info.get#name", {uid}) : "暂无"',
        ),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '分销员名称-为空则显示用户昵称',
			'default' 	=> '',
			'desc' 		=> '分销员名称',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'salesman_commission'        => array
        (
            'type'      => 'varchar-1000',
            'name'      => '分销员佣金-设置之后，将取代门店里设置的分销员佣金',
            'default'   => '',
            'desc'      => '分销员佣金',
            'match'     => 'option',
            'update'    => 'text',
        ),

		'status'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '状态',
			'match' 	=> 'is_numeric',
			//'update'	=> 'radio',
			'option'	=> $status,
			'list'		=> true,
			'edit'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			//'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		//'tab' => array('基本信息', '商品设置'),
		'insert' => false,
        'edit' => false,
        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),
		'list_button' => array
        (
        	'edit' => array('编辑'),
        )
        
	),

	'request' => array
	(
		'like' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
            	'search' => array('yes-t_2.mobile,t_1.name,t_2.name', 'like'),
            	'seller_shop_id' => array('yes-t_1.seller_shop_id'),
                'state' => 'yes-t_2.state-1',
                'status' => 'yes-t_1.status-1',
            ),
            # 联表
            'join' => array
            (
                array
                (
                    'table' => 'user/info',
                    'type' => 'left join',
                    'on' => array('uid', 'id'),	
                ),
            ),
            'type' => 'all',
            'order' => array('t_2.id' => 'desc'),
            'col' => '*',
        ),

        'search' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
            	'search' => array('yes-t_2.mobile,t_1.name,t_2.name', 'like'),
            	'ids' => array('yes-t_1.id', 'in'),
            	'seller_shop_id' => array('yes-t_1.seller_shop_id'),
                'state' => 'yes-t_2.state-1',
                'status' => 'yes-t_1.status-1',
            ),
            # 联表
            'join' => array
            (
                array
                (
                    'table' => 'user/info',
                    'type' => 'left join',
                    'on' => array('uid', 'id'),
                ),
            ),
            'type' => 'all',
            'order' => array('t_2.id' => 'desc'),
            'col' => '*, concat(t_2.name, "-", t_2.mobile, "-", t_1.name) as name, t_1.id, t_1.id as value, "" as selected, "" as disabled|id',
        ),
	)
);
