<?php

namespace Seller\Lib;

use Dever;

class Manage
{
    # 获取购物车的数据
	public function getCart()
	{
		$where['uid'] = $this->uid;
		$where['shop_id'] = $this->shop_id;

		$cart = Dever::db('shop/cart')->select($where);

		$this->data['cart'] = array();
		$i = 0;
		if ($cart) {
			foreach ($cart as $k => $v) {
				$goods = Dever::load('goods/lib/info')->getPayInfo($v['goods_id'], $v['sku_id']);
				if ($goods && $goods['status'] == 1) {
					$this->data['cart'][$i] = $v;
					$this->data['cart'][$i]['goods'] = $goods;

					$w = array();
					$w['goods_id'] = $v['goods_id'];
					$w['sku_id'] = $v['sku_id'];
					$w['shop_id'] = $this->shop_id;
					$goods_sku = Dever::db('shop/goods_sku')->find($w);
					if ($goods_sku) {
						if (isset($goods_sku['price_id']) && $goods_sku['price_id'] > 0) {
							$price_template = Dever::load('price/lib/data')->get($v['goods_id'], $v['sku_id'], $goods_sku['price_id']);
							if ($price_template) {
								if ($price_template['price_sell'] && $price_template['price_sell'] > 0) {
									$this->data['cart'][$i]['goods']['price'] = $price_template['price_sell'];
								}
							}
						}
					}

					if (isset($this->data['cart'][$i]['goods']['sku_id'])) {
						$this->data['cart'][$i]['price_id'] = $this->data['cart'][$i]['goods']['sku_id'];
					}
					$i++;
				}
			}
		}
		return $this->data['cart'];
	}

	# 加入到购物车
	public function addCart()
	{
		$where['uid'] = $this->uid;
		$where['shop_id'] = $this->shop_id;
		$where['goods_id'] = Dever::input('goods_id');
		$where['sku_id'] = Dever::input('price_id');
		if (!$where['goods_id']) {
			Dever::alert('错误的商品');
		}

		$info = Dever::db('shop/cart')->find($where);

		$where['num'] = Dever::input('num');
		if (!$info) {
			# 验证库存
			Dever::load('shop/lib/info')->checkTotal($where['num'], $where['goods_id'], $this->shop_id, $where['sku_id'], 2);
			$state = Dever::db('shop/cart')->insert($where);
		} else {
			$where['num'] += $info['num'];
			# 验证库存
			Dever::load('shop/lib/info')->checkTotal($where['num'], $where['goods_id'], $this->shop_id, $where['sku_id'], 2);
			$where['where_id'] = $info['id'];
			$state = Dever::db('shop/cart')->update($where);
		}

		return $this->getCart();
	}

	# 清空购物车
	public function dropCart()
	{
		$where['uid'] = $this->uid;
		$where['shop_id'] = $this->shop_id;

		$state = Dever::db('shop/cart')->delete($where);
		return $this->alert($state);
	}

	# 更新购物车数量
	public function upCart()
	{
		$where['uid'] = $this->uid;
		$where['shop_id'] = $this->shop_id;
		$where['id'] = Dever::input('cart_id');

		$status = Dever::input('status', 1);
		$type = Dever::input('type', 1);
		$num = Dever::input('num');

		$info = Dever::db('shop/cart')->find($where);

		$state = false;

		if ($info) {
			if ($type == 1) {
				$num = $info['num'] + $num;
			} else {
				$num = $info['num'] - $num;
			}
			$where = array();
			$where['where_id'] = $info['id'];
			if ($num <= 0) {
				$state = Dever::db('shop/cart')->delete($info['id']);
			} else {
				$where['status'] = $status;
				$where['num'] = $num;

				# 验证库存
				$total = Dever::load('shop/lib/info')->checkTotal($num, $info['goods_id'], $this->shop_id, $info['sku_id']);

				if ($where['num'] > $total) {
					# 库存不足
					$where['num'] = $total;
					$state = Dever::db('shop/cart')->update($where);
					return array('cart' => 2, 'data' => $total);
				}
				$state = Dever::db('shop/cart')->update($where);
			}
		}

		return array('cart' => 1, 'data' => $this->getCart());
	}
}