<?php

namespace Seller\Lib;

use Dever;

class Manage
{
    public function __construct()
    {
        Dever::load('manage/auth.init');
    }

    # 获取订单信息
    public function info($type = 'in', $id)
    {
        $info = Dever::db('seller/'.$type.'_order')->find($id);

        $string = '';

        $string = $info['order_num'];

        $seller = Dever::db('seller/info')->one($info['seller_id']);

        $string .= '<br />' . $seller['name'];

        $shop = Dever::db('seller/shop')->one($info['seller_shop_id']);

        $string .= '.' . $shop['name'];

        if (isset($info['supplier_id'])) {
            $supplier = Dever::db('supplier/info')->one($info['supplier_id']);

            $string .= '<br />' . $supplier['name'];
        }

        if (isset($info['servicer_id'])) {
            $servicer = Dever::db('servicer/info')->one($info['servicer_id']);

            $string .= '<br />' . $servicer['name'];

            if (isset($info['servicer_store_id'])) {
	            $store = Dever::db('servicer/store')->one($info['servicer_store_id']);

	            $string .= '.' . $store['name'];
	        }
        }

        if ($type == 'in' || $type == 'out') {
        	$type = Dever::db('seller/'.$type.'_order_type')->one($info['type']);
        	$string .= '<br />' . $type['name'];
        }

        $string .= '<br />' . $info['info'];

        return $string;
    }

    # 查看详情
    public function show()
    {
        $type = Dever::input('type');
        return Dever::load('set/lib/order')->show('seller/'.$type.'_order', 'seller/info', 'seller_id', '经销商');
    }


    public function getShop($id)
    {
        $table = array();
        $table['head'] = array('门店名称', '门店编码', '操作');
        $table['body'] = array();

        $data = Dever::db('seller/shop')->select(array('seller_id' => $id));

        if ($data) {
        	$status = Dever::db('seller/shop')->config['status'];
            foreach ($data as $k => $v) {
            	$status_name = '';
            	if ($v['status'] == 2) {
            		$status_name = '(已禁用)';
            	}
            	$url = Dever::url('project/database/update?project=seller&table=shop&oper_save_table=info&set=1&where_id='.$v['id'], 'manage');
            	$oper = '<a class="layui-btn" onclick="fastEdit($(this),\''.$url.'\',\'编辑门店信息\', \'\')">编辑</a>';

                $url = Dever::url('project/database/list?project=seller&table=shop_goods&oper_table=info&search_option_seller_shop_id='.$v['id'], 'manage');
            	$oper .= '<a class="layui-btn" href="'.$url.'">商品清单</a>';

                $url = Dever::url('lib/set_store.home?role=seller&table=shop', 'servicer');
                $oper .= '<a class="layui-btn" href="'.$url.'">仓库设置</a>';

                $url = Dever::url('lib/set_channel.home?role=seller&table=shop', 'supplier');
                $oper .= '<a class="layui-btn" href="'.$url.'">渠道设置</a>';

                $table['body'][$k][] = $v['name'] . $status_name;
                $table['body'][$k][] = $v['code'];
                $table['body'][$k][] = $oper;
            }
        }
        $body[''] = array
        (
            'type' => 'table',
            'content' => $table,
        );

        if ($table['body']) {
            return Dever::show('', $body);
        } else {
            return '暂无';
        }
    }
}