<?php

$type = function()
{
    return Dever::load('servicer/type-state');
};

$status = array
(
    1 => '启用',
    2 => '禁用',
);

$in_type = array
(
    1 => '标准单位入库',
    2 => '直接入库',
);

$service = array
(
	1 => '仓配服务',
);

return array
(
	# 表名
	'name' => 'info',
	# 显示给用户看的名称
	'lang' => '仓配商列表',
	# 是否显示在后台菜单
	'order' => 10,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '仓配商ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
		),

        'uid'       => array
        (
            'type'      => 'int-11',
            'name'      => '用户信息-输入用户手机号或者用户名',
            'default'   => '1',
            'desc'      => '用户信息',
            'match'     => 'is_numeric',
            'search'    => array
            (
                'api' => 'user/info-like',
                'col' => 'search',
                'result' => 'id',
            ),
            'update'    => 'select',
            'update_search' => 'user/lib/info.manage_search',
            'list'       => '"{uid}" ? Dever::load("user/lib/info.get#aname", {uid}) : "暂无"',
        ),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '仓配商名称',
			'default' 	=> '',
			'desc' 		=> '仓配商名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
			'edit'		=> true,
		),

		'code'      => array
        (
            'type'      => 'varchar-150',
            'name'      => '仓配商编码',
            'default'   => '',
            'desc'      => '仓配商编码',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'service'        => array
        (
            'type'      => 'varchar-50',
            'name'      => '提供服务',
            'default'   => '1',
            'desc'      => '提供服务',
            'match'     => 'is_numeric',
            'update'    => 'checkbox',
            'option'    => $service,
            'list'		=> true,
        ),

        'type_id'        => array
        (
            'type'      => 'int-11',
            'name'      => '仓配商类型',
            'default'   => '1',
            'desc'      => '仓配商类型',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $type,
            'list'      => true,
        ),

        'in_type'        => array
        (
            'type'      => 'int-11',
            'name'      => '商品入库规则',
            'default'   => '1',
            'desc'      => '商品入库规则',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $in_type,
        ),

		'servicer/store'=> array
		(
			'name' 		=> '仓库设置',
			'default' 	=> '',
			'desc' 		=> '仓库设置',
			'match' 	=> 'option',
			# 同步更新另外一个表的内容，两个表相关联的id，更新另一个表的字段
			'sync'		=> array('servicer_id' => 'id'),
			'update'	=> array(1),
			# 1纵向展示 2横向展示
			'update_type' => 2,
            'list_name' => '仓库列表',
			//'list'		=> 'Dever::load("servicer/lib/manage.getstore", {id})',
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			//'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'status'        => array
        (
            'type'      => 'int-11',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '状态',
            'match'     => 'is_numeric',
            //'update'  => 'select',
            'option'    => $status,
            'search'    => 'select',
            'list'      => true,
            'edit'      => true,
        ),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			//'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		//'tab' => array('基本设置'),
		'delete' => false,
		'list_button' => array
        (
        	'location' => array('供应商设置', Dever::url('lib/set.home?role=servicer', 'supplier')),
        	'list' => array('仓库列表', 'store&oper_table=info&search_option_servicer_id={id}'),
        )
	),

	'default' => array
	(
		'col' => 'name,uid,code,state,cdate',
		'value' => array
		(
			'"默认仓配商", 1, "default", 1,' . DEVER_TIME,
		),
	),

	'request' => array
	(
		'like' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'name' => array('yes', 'like'),
                'id' => 'yes',
                'status' => 1,
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc', 'id' => 'desc'),
            'col' => '*|id',
        ),

        'getAll' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'ids' => array('yes-id', 'in'),
                'status' => 1,
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc', 'id' => 'desc'),
            'col' => '*',
        ),
	)
);
