<?php

return array
(
    # 表名
    'name' => 'store_channel',
    # 显示给用户看的名称
    'lang' => '仓库与渠道关系表',
    'menu' => false,
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'update'    => 'hidden',
            //'list'        => true,
        ),

        'servicer_store_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '仓库ID',
			'default' 	=> '-1',
			'desc' 		=> '仓库ID',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_servicer_store_id'),
		),

        'supplier_channel_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '渠道ID',
            'default'   => '',
            'desc'      => '渠道ID',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            'value'     => Dever::input('supplier_channel_id'),
        ),

        'reorder'       => array
        (
            'type'      => 'int-11',
            'name'      => '排序-优先级，数值越大越靠前',
            'default'   => '1',
            'desc'      => '请输入排序',
            'match'     => 'option',
            //'update'  => 'text',
            'search'    => 'order',
            'list_name' => '排序',
            'list'      => true,
            'order'     => 'desc',
            'edit'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            //'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        
    ),

    'request' => array
    (
        # 后台搜索用到，也可以不加，自动生成
        'search' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
            	'ids' => array('yes-t_2.id', '='),
                'search' => array('yes-t_2.name,t_3.name', 'like'),
                'servicer_store_id' => array('yes-t_1.servicer_store_id'),
                'supplier_channel_id' => array('yes-t_1.supplier_channel_id'),
                'status' => 'yes-t_2.status-1',
                'state' => 'yes-t_2.state-1',
                'state_1' => 'yes-t_1.state-1',
            ),
            # 联表
            'join' => array
            (
                array
                (
                    'table' => 'supplier/channel',
                    'type' => 'left join',
                    'on' => array('supplier_channel_id','id'),
                    'col' => 'supplier_channel_id',
                ),
                array
                (
                    'table' => 'supplier/info',
                    'type' => 'left join',
                    'on' => array('2.supplier_id','id'),
                    'col' => 'supplier_id',
                ),
            ),
            'type' => 'all',
            'order' => array('t_1.reorder' => 'desc', 't_2.reorder' => 'desc', 't_2.id' => 'desc'),
            'page' => array(10, 'list'),
            'col' => '*, t_2.*,t_2.id as value,concat(t_3.name,"-",t_2.name) as name, "" as selected, "" as disabled',
        ),

        'getAll' => array
        (
            'option' => array
            (
                'servicer_store_id' => 'yes',
                'state' => 1,
            ),
            'type' => 'all',
            'col' => '*|supplier_channel_id',
        ),

        'getData' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'servicer_store_id' => array('yes-t_1.servicer_store_id'),
                'state' => 'yes-t_2.state-1',
                'state_1' => 'yes-t_1.state-1',
            ),
            # 联表
            'join' => array
            (
                array
                (
                    'table' => 'supplier/channel',
                    'type' => 'left join',
                    'on' => array('supplier_channel_id','id'),
                    'col' => 'supplier_channel_id',
                ),
            ),
            'type' => 'all',
            'order' => array('t_2.reorder' => 'desc', 't_2.id' => 'desc'),
            'col' => '*,t_2.name,t_2.id as id|id',
        ),
    ),
);
