<?php

$status = array
(
	1 => '启用',
	2 => '禁用',
);

$type = array
(
	1 => '实体渠道',
	2 => '虚拟渠道',
);

$category = function()
{
	return Dever::load('goods/category-getTop');
};

$set = Dever::input('set', 2);
$fast = Dever::input('fast');
if ($fast) {
	$set = 1;
}

return array
(
	# 表名
	'name' => 'channel',
	# 显示给用户看的名称
	'lang' => '供应商渠道',
	# 是否显示在后台菜单
	'order' => 10,
	'menu' => false,

	'status' => $status,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
			'order'		=> 'asc',
		),

		'supplier_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '供应商ID',
			'default' 	=> '-1',
			'desc' 		=> '供应商ID',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_supplier_id'),
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '渠道名称',
			'default' 	=> '',
			'desc' 		=> '渠道名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
			'edit'		=> true,
		),

		'code'      => array
        (
            'type'      => 'varchar-150',
            'name'      => '渠道编码',
            'default'   => '',
            'desc'      => '渠道编码',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'category'		=> array
		(
			'type' 		=> 'varchar-2000',
			'name' 		=> '商品分类-如不选择就是可以设置所有商品分类下的商品',
			'default' 	=> '',
			'desc' 		=> '商品分类',
			'match' 	=> 'is_string',
			'update'	=> $set == 1 ? 'checkbox' : false,
			'option'	=> $category,
		),

		'sell_category'		=> array
		(
			'type' 		=> 'varchar-2000',
			'name' 		=> '实际已选售卖分类',
			'default' 	=> '',
			'desc' 		=> '实际已选售卖分类',
			'match' 	=> 'is_string',
		),

		'buy_category'		=> array
		(
			'type' 		=> 'varchar-2000',
			'name' 		=> '实际已选采购分类',
			'default' 	=> '',
			'desc' 		=> '实际已选采购分类',
			'match' 	=> 'is_string',
		),

        'type'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '渠道类型-实体渠道需要设置地址',
            'default'   => '2',
            'desc'      => '渠道类型',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $type,
            'list'		=> true,
            'control'	=> 'type',
        ),

        'user/address'=> array
        (
            'name'      => '地址设置',
            'default'   => '',
            'desc'      => '地址设置',
            'match'     => 'option',
            # 同步更新另外一个表的内容，另外一个表的字段=>本表的字段
            'sync'      => array('source_table' => 'supplier/channel', 'source_id' => 'id', 'type' => 2),
            'update'    => $set == 1 ? array(1) : false,
            'option'    => array('默认地址'),
            # 1纵向展示 2横向展示
            'update_type' => 1,
            'show'      => 'type=1',
        ),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			//'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'status'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '是否启用',
			'default' 	=> '1',
			'desc' 		=> '是否启用',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $status,
			'list'		=> true,
			'edit'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			//'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		//'delete' => false,
		'insert' => false,
        'edit' => false,
        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),
		'list_button' => array
        (
        	'edit' => array('编辑'),
        	'location' => array('商品设置', Dever::url('lib/set.home?project=supplier&table=channel_goods&info=channel&col=supplier_channel_id', 'goods')),
        )
	),

	'request' => array
	(
		'like' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'name' => array('yes', 'like'),
                'id' => 'yes',
                'status' => 1,
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc', 'id' => 'desc'),
            'col' => '*|id',
        ),
        
		'search' => array
        (
            'option' => array
            (
                'ids' => array('yes-id', 'in'),
                'no_id' => array('yes-id', '!='),
                'name' => array('yes', 'like'),
                'id' => 'yes',
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc', 'id' => 'desc'),
            'page' => array(10, 'list'),
            'col' => 'id, name, id as value, "" as selected, "" as disabled|id',
        ),

        'getAll' => array
        (
            'option' => array
            (
                'supplier_id' => array('yes', 'in'),
                'ids' => array('yes-id', 'in'),
                'state' => 1,
            ),
            'type' => 'all',
            'col' => '*',
        ),
	)
);
