<?php

return array
(
    # 表名
    'name' => 'channel_goods',
    # 显示给用户看的名称
    'lang' => '渠道商品列表',
    'order' => 10,
    'menu'  => false,

    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'update'    => 'hidden',
            //'list'        => true,
        ),

        'supplier_channel_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '供应商渠道',
            'default'   => '',
            'desc'      => '供应商渠道',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            'search'    => 'hidden',
            'value'     => Dever::input('search_option_supplier_channel_id'),
            'list'      => 'Dever::load("supplier/channel-one#name", {supplier_channel_id})',
        ),

        'goods/info_sku-one#code'=> array
        (
            'name'      => '商品编码',
            'default'   => '',
            'desc'      => '商品编码',
            'match'     => 'option',
            # 读取另外表的关联方式
            'sync'      => array('sku_id' => 'id', 'goods_id' => 'info_id'),
            'search'    => array
            (
                'api' => 'goods/info_sku-all',
                'col' => 'code',
                'result' => 'id',
                'search' => 'sku_id',
            ),
            'list'      => true,
        ),

        'goods_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '商品名称',
            'default'   => '',
            'desc'      => '商品名称',
            'match'     => 'is_numeric',
            'search'    => array
            (
                'api' => 'goods/info-all',
                'col' => 'name',
                'result' => 'id',
                'search' => 'goods_id',
            ),
            'update'    => 'select',
            'update_search' => 'goods/lib/manage.search',
            'list'      => 'Dever::load("goods/lib/info.getBaseInfo#aname", "{goods_id}", "{sku_id}")',
        ),

        'sku_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '规格型号',
            'default'   => '-1',
            'desc'      => '规格型号',
            'match'     => 'is_numeric',
        ),

        'cost_price'       => array
        (
            'type'      => 'varchar-100',
            'name'      => '成本价',
            'default'   => '',
            'desc'      => '成本价',
            'match'     => 'option',
            'update'    => 'text',
            //'list'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            //'search'    => 'date',
            //'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        'insert' => false,
        'edit' => false,
        'delete' => false,
    ),

    'request' => array
    (
        # 后台搜索用到，也可以不加，自动生成
        'search' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'name' => array('yes-t_2.name', 'like'),
                'supplier_channel_id' => array('yes-t_1.supplier_channel_id', 'in'),
                'category' => array('yes-t_2.top_category_id', 'in'),
                'sell_type' => 'yes-t_2.sell_type',
                'buy_type' => 'yes-t_2.buy_type',
                'status' => 'yes-t_2.status-1',
                'state' => 'yes-t_2.state-1',
                'state_1' => 'yes-t_1.state-1',
            ),
            # 联表
            'join' => array
            (
                array
                (
                    'table' => 'goods/info',
                    'type' => 'left join',
                    'on' => array('goods_id','id'),
                    'col' => 'goods_id',
                ),
            ),
            'type' => 'all',
            'order' => array('t_2.reorder' => 'desc', 't_2.id' => 'desc'),
            'page' => array(10, 'list'),
            'group' => 'goods_id, sku_id',
            'col' => '*, t_2.*,t_2.id as value, "" as selected, "" as disabled',
        ),

        'getData' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'supplier_channel_id' => array('yes-t_1.supplier_channel_id', 'in'),
                'sell_type' => array('yes-t_2.sell_type'),
                'buy_type' => array('yes-t_2.buy_type'),
                'name' => array('yes-t_2.name', 'like'),
                'category' => array('yes-t_2.category', 'like'),
                'top_category_id' => array('yes-t_2.top_category_id'),
                'second_category_id' => array('yes-t_2.second_category_id'),
                'category_id' => array('yes-t_2.category_id'),
                'status' => 'yes-t_2.status-1',
                'state' => 'yes-t_2.state-1',
                'state_1' => 'yes-t_1.state-1',
            ),
            # 联表
            'join' => array
            (
                array
                (
                    'table' => 'goods/info',
                    'type' => 'left join',
                    'on' => array('goods_id','id'),
                    'col' => 'goods_id',
                ),
            ),
            'type' => 'all',
            'order' => array('t_2.reorder' => 'desc', 't_2.id' => 'desc'),
            'col' => '*',
        ),

        'getDataPage' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'supplier_channel_id' => array('yes-t_1.supplier_channel_id'),
                'sell_type' => array('yes-t_2.sell_type'),
                'buy_type' => array('yes-t_2.buy_type'),
                'name' => array('yes-t_2.name', 'like'),
                'category' => array('yes-t_2.category', 'like'),
                'top_category_id' => array('yes-t_2.top_category_id'),
                'second_category_id' => array('yes-t_2.second_category_id'),
                'category_id' => array('yes-t_2.category_id'),
                'status' => 'yes-t_2.status-1',
                'state' => 'yes-t_2.state-1',
                'state_1' => 'yes-t_1.state-1',
            ),
            # 联表
            'join' => array
            (
                array
                (
                    'table' => 'goods/info',
                    'type' => 'left join',
                    'on' => array('goods_id','id'),
                    'col' => 'goods_id',
                ),
            ),
            'type' => 'all',
            'order' => array('t_2.reorder' => 'desc', 't_2.id' => 'desc'),
            'page' => array(10, 'list'),
            'col' => '*',
        ),

        # 获取某个sku的单条数据
        'getOne' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'supplier_channel_id' => 'yes',
                'goods_id' => 'yes',
                'sku_id' => 'yes',
                'unit_id' => 'yes',
                'yes_unit_id' => 'yes-unit_id',
                'state' => 1,
            ),
            'type' => 'one',
            'col' => '*',
        ),

        # 获取单位下的数据
        'getUnit' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'supplier_channel_id' => 'yes',
                'goods_id' => 'yes',
                'sku_id' => 'yes',
                'unit_id' => 'yes',
                'state' => 1,
            ),
            'type' => 'all',
            'col' => '*|unit_id',
        ),
    ),
);
