<?php

namespace Supplier\Lib;

use Dever;

class Set
{
    public function __construct()
    {
        Dever::load('manage/auth.init');
    }

    # 获取下游
    public function search_api()
    {
        $role = Dever::input('role');
        return Dever::search('' . $role . '/info');
    }

    # 分配供应商
    public function getList_api()
    {
        $role = Dever::input('role');
        $id = Dever::input('id', 1);
        $data = Dever::db(''.$role.'/supplier')->getAll(array($role . '_id' => $id));
        $type = Dever::db('supplier/type')->select();
        
        $result = array();
        if ($type) {
            $i = 0;
            foreach ($type as $k => $v) {
                $supplier = Dever::db('supplier/info')->select(array('status' => 1, 'type_id' => $v['id']));
                if ($supplier) {
                    $result[$i] = array();
                    $result[$i]['id'] = $v['id'];
                    $result[$i]['name'] = $v['name'];
                    $result[$i]['select'] = 2;
                    $result[$i]['end'] = false;
                    $result[$i]['children'] = array();

                    foreach ($supplier as $k1 => $v1) {
                        $child = array();
                        $child['id'] = $v1['id'];
                        $child['name'] = $v1['name'];
                        $child['code'] = $v1['code'];
                        $child['type_name'] = $v['name'];
                        $child['reorder'] = $v1['reorder'];
                        $child['select'] = 2;
                        $child['end'] = true;
                        if (isset($data[$v1['id']]) && $data[$v1['id']]) {
                            $child['select'] = 1;
                            if (isset($data[$v1['id']]['reorder'])) {
                                $child['reorder'] = $data[$v1['id']]['reorder'];
                            }
                        }
                        $result[$i]['children'][] = $child;
                    }
                    $i++;
                }
            }
        }
        return Dever::outDiy($result);
    }

    public function home_api()
    {
        $data = array();
        $data['id'] = Dever::input('id', 1);
        $data['role'] = Dever::input('role');
        $data['name'] = '经销商';
        if ($data['role'] == 'servicer') {
            $data['name'] = '仓配商';
        }
        $data['host'] = Dever::url('lib/set.home?role=' . $data['role'], 'supplier');
        $data['url'] = Dever::url('lib/set.getList?id=' . $data['id'] . '&role=' . $data['role'], 'supplier');
        $data['search'] = Dever::url('lib/set.search?yes='.$data['id'].'&role=' . $data['role'] . '&json=1', 'supplier');
        $data['submit'] = Dever::url('lib/set.set_commit?json=1', 'supplier');

        return Dever::render('set_supplier', $data);
    }

    public function set_commit_api()
    {
        $value = Dever::input('value');
        if (!$value) {
            Dever::alert('未选择');
        }
        $value = Dever::json_decode($value);
        $id = Dever::input('id');
        $role = Dever::input('role');

        $col = $role . '_id';
        $table = '' . $role . '/supplier';
        $where['option_' . $col] = $id;
        $where['set_state'] = 2;
        Dever::db($table)->updates($where);

        foreach ($value as $k => $v) {
            $w = array();
            $w['supplier_id'] = $v['id'];
            $w[$col] = $id;
            $info = Dever::db($table)->one($w);

            $w['reorder'] = $v['reorder'];
            if (!$info) {
                Dever::db($table)->insert($w);
            } else {
                $w['where_id'] = $info['id'];
                $w['state'] = 1;
                Dever::db($table)->update($w);
            }
        }

        return 'refer';
    }
}