<?php

namespace Supplier\Lib;

use Dever;

class Set_channel
{
    public function __construct()
    {
        Dever::load('manage/auth.init');
    }

    # 获取下游
    public function search_api()
    {
        $role = Dever::input('role');
        $table = Dever::input('table');
        $yes = Dever::input('yes');
        $where = array();
        $info = Dever::db('' . $role . '/' . $table)->find($yes);
        $where[$role . '_id'] = $info[$role . '_id'];
        return Dever::search('' . $role . '/' . $table, $where);
    }

    # 分配渠道
    public function getList_api()
    {
        $role = Dever::input('role');
        $table = Dever::input('table');
        $id = Dever::input('id', 1);
        $info = Dever::db($role.'/'.$table)->one($id);
        $supplier = Dever::db($role.'/supplier')->getAll(array($role . '_id' => $info[$role . '_id']));
        $data = Dever::db($role.'/'.$table.'_channel')->getAll(array($role . '_' . $table . '_id' => $id));
        $ids = false;
        if ($supplier) {
            $ids = array_keys($supplier);
        }
        $where = array();
        if ($ids) {
            $where['ids'] = $ids;
        }
        $type = Dever::db('supplier/info')->getAll($where);

        $result = array();
        if ($type) {
            $i = 0;
            foreach ($type as $k => $v) {
                $info = Dever::db('supplier/channel')->select(array('status' => 1, 'supplier_id' => $v['id']));
                if ($info) {
                    $result[$i] = array();
                    $result[$i]['id'] = $v['id'];
                    $result[$i]['name'] = $v['name'];
                    $result[$i]['select'] = 2;
                    $result[$i]['end'] = false;
                    $result[$i]['children'] = array();

                    foreach ($info as $k1 => $v1) {
                        $child = array();
                        $child['id'] = $v1['id'];
                        $child['pid'] = $v['id'];
                        $child['pname'] = $v['name'];
                        $child['pcode'] = $v['code'];
                        $child['name'] = $v1['name'];
                        $child['code'] = $v1['code'];
                        $child['reorder'] = $v1['reorder'];
                        $child['select'] = 2;
                        $child['end'] = true;
                        if (isset($data[$v1['id']]) && $data[$v1['id']]) {
                            $child['select'] = 1;
                            if (isset($data[$v1['id']]['reorder'])) {
                                $child['reorder'] = $data[$v1['id']]['reorder'];
                            }
                        }
                        $result[$i]['children'][] = $child;
                    }
                    $i++;
                }
            }
        }
        return Dever::outDiy($result);
    }

    public function home_api()
    {
        $data = array();
        $data['id'] = Dever::input('id', 1);
        $data['role'] = Dever::input('role');
        $data['table'] = Dever::input('table');
        if ($data['role'] == 'seller') {
            $data['name'] = '门店';
            $data['desc'] = '';
        } else {
            $data['name'] = '仓库';
            $data['desc'] = '';
        }
        
        $data['host'] = Dever::url('lib/set_channel.home?role=' . $data['role'] . '&table=' . $data['table'], 'supplier');
        $data['url'] = Dever::url('lib/set_channel.getList?id=' . $data['id'] . '&role=' . $data['role'] . '&table=' . $data['table'], 'supplier');
        $data['search'] = Dever::url('lib/set_channel.search?yes='.$data['id'].'&role=' . $data['role'] . '&table=' . $data['table'] . '&json=1', 'supplier');
        $data['submit'] = Dever::url('lib/set_channel.set_commit?json=1', 'supplier');

        return Dever::render('set_channel', $data);
    }

    public function set_commit_api()
    {
        $value = Dever::input('value');
        if (!$value) {
            Dever::alert('未选择');
        }
        $value = Dever::json_decode($value);
        $id = Dever::input('id');
        $role = Dever::input('role');
        $table = Dever::input('table');

        $col = $role . '_' . $table . '_id';
        $table = $role . '/' . $table . '_channel';
        $where['option_' . $col] = $id;
        $where['set_state'] = 2;
        Dever::db($table)->updates($where);

        foreach ($value as $k => $v) {
            $w = array();
            $w['supplier_channel_id'] = $v['id'];
            $w[$col] = $id;
            $info = Dever::db($table)->one($w);

            $w['reorder'] = $v['reorder'];
            if (!$info) {
                Dever::db($table)->insert($w);
            } else {
                $w['where_id'] = $info['id'];
                $w['state'] = 1;
                Dever::db($table)->update($w);
            }
        }

        return 'refer';
    }
}