<?php

$method = array
(
	1 => 'get',
	2 => 'post',
);

$post_method = array
(
	1 => '普通表单：application/x-www-form-urlencoded',
	2 => '文件表单：multipart/form-data',
	3 => 'JSON：application/json',
	//4 => 'XML：text/xml',
);

return array
(
	# 表名
	'name' => 'connect',
	# 显示给用户看的名称
	'lang' => '通信规则',
	# 是否显示在后台菜单
	'order' => 90,

	'set' => array
	(
		'method' => $method,
		'post_method' => $post_method,
	),

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
			'order'		=> 'desc',
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '通信规则名称',
			'default' 	=> '',
			'desc' 		=> '通信规则名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'method'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '请求方式',
			'default' 	=> '1',
			'desc' 		=> '请求方式',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $method,
			'list'		=> true,
			'control'	=> 'method',
		),

		'post_method'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '请求头设置',
			'default' 	=> '1',
			'desc' 		=> '请求头设置',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $post_method,
			'show'		=> 'method=2',
		),

		'channel/connect_request_body'=> array
		(
			'name' 		=> '标准请求体参数-标准请求body，没有标准请求体可以不填写',
			'default' 	=> '',
			'desc' 		=> '标准请求体参数',
			'match' 	=> 'option',
			# 同步更新另外一个表的内容，两个表相关联的id，更新另一个表的字段
			'sync'		=> array('connect_id' => 'id'),
			'update'	=> array(1),
			'update_type' => 2,
			'tab'		=> 1,
		),

		'channel/connect_request_header'=> array
		(
			'name' 		=> '标准请求头参数-标准请求header，没有标准请求头可以不填写',
			'default' 	=> '',
			'desc' 		=> '标准请求头参数',
			'match' 	=> 'option',
			# 同步更新另外一个表的内容，两个表相关联的id，更新另一个表的字段
			'sync'		=> array('connect_id' => 'id'),
			'update'	=> array(1),
			'update_type' => 2,
			'tab'		=> 1,
		),

		'channel/connect_convert'=> array
		(
			'name' 		=> '字段转换设置-设置字段转换后，响应的数据名称将根据这些字段进行转换',
			'default' 	=> '',
			'desc' 		=> '字段转换设置',
			'match' 	=> 'option',
			# 同步更新另外一个表的内容，两个表相关联的id，更新另一个表的字段
			'sync'		=> array('connect_id' => 'id'),
			'update'	=> array(1),
			'update_type' => 2,
			'tab'		=> 2,
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'tab' => array('基本设置', '标准请求', '字段转换', 'token设置'),
		'delete' => false,
		'link'	=> 'parent=connect',
		'button' => array
        (
            //'类型配置' => array('list', 'supplier_type&oper_parent=supplier'),
        ),
        'list_button' => array
        (
        	'fast8' => array('响应设置', 'connect_response&search_option_connect_id={id}&where_id={id}'),
        	'fast9' => array('签名设置', 'connect_sign&search_option_connect_id={id}&where_id={id}'),
        	'fast10' => array('对称加密', 'connect_ssl&search_option_connect_id={id}&where_id={id}'),
        	'br1' => array('<br />'),
            'list' => array('接口列表', 'connect_api&search_option_connect_id={id}'),
            'list1' => array('采集列表', 'connect_spider&search_option_connect_id={id}'),
        )
	),

	'request' => array
	(
		
	)
);
