<?php
$method = array(-1 => '使用渠道标准请求方式');
$method += Dever::db('channel/connect')->config['set']['method'];

$post_method = Dever::db('channel/connect')->config['set']['post_method'];

$response_type = array
(
	1 => '普通文本',
	2 => 'JSON',
	3 => 'XML',
);

$notify_type = array
(
	1 => '有回调',
	2 => '无回调',
);

$service = function()
{
    return Dever::db('channel/service')->state();
};

return array
(
	# 表名
	'name' => 'connect_api',
	# 显示给用户看的名称
	'lang' => '接口配置',
	# 是否显示在后台菜单
	'order' => -10,
	'menu' => false,
	'info' => '',

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'desc',
			'list'		=> true,
		),

		'connect_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '通信规则id',
			'default' 	=> '1',
			'desc' 		=> '通信规则id',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_connect_id'),
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '接口名称',
			'default' 	=> '',
			'desc' 		=> '接口名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'service_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '所属业务',
			'default' 	=> '1',
			'desc' 		=> '所属业务',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			//'search'	=> 'select',
			'option'	=> $service,
			'list'		=> true,
		),

		'uri'		=> array
		(
			'type' 		=> 'varchar-1000',
			'name' 		=> '接口地址',
			'default' 	=> '',
			'desc' 		=> '接口地址',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'sign_col'		=> array
		(
			'type' 		=> 'varchar-1000',
			'name' 		=> '签名加密参数-按顺序做加密，用+号隔开，为空则所有字段均参与加密',
			'default' 	=> '',
			'desc' 		=> '签名加密参数',
			'match' 	=> 'option',
			'update'	=> 'text',
			'tab'		=> 0,
		),

		'method'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '请求方式-' . Dever::config('base', 'channel')->request_desc,
			'default' 	=> '-1',
			'desc' 		=> '请求方式',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $method,
			//'list'		=> true,
			'control'	=> 'method',
			'tab'		=> 1,
		),

		'post_method'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '请求头设置',
			'default' 	=> '1',
			'desc' 		=> '请求头设置',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $post_method,
			'show'		=> 'method=2',
			'tab'		=> 1,
		),

		'channel/connect_api_request_body'=> array
		(
			'name' 		=> '业务请求体参数',
			'default' 	=> '',
			'desc' 		=> '业务请求体参数',
			'match' 	=> 'option',
			# 同步更新另外一个表的内容，两个表相关联的id，更新另一个表的字段
			'sync'		=> array('api_id' => 'id'),
			'update'	=> array(1),
			'update_type' => 2,
			'tab'		=> 1,
		),

		'channel/connect_api_request_header'=> array
		(
			'name' 		=> '业务请求头参数',
			'default' 	=> '',
			'desc' 		=> '业务请求头参数',
			'match' 	=> 'option',
			# 同步更新另外一个表的内容，两个表相关联的id，更新另一个表的字段
			'sync'		=> array('api_id' => 'id'),
			'update'	=> array(1),
			'update_type' => 2,
			'tab'		=> 1,
		),

		'channel/connect_api_response'=> array
		(
			'name' 		=> '业务响应参数-选填，也可以只填写重要响应参数',
			'default' 	=> '',
			'desc' 		=> '业务响应参数',
			'match' 	=> 'option',
			# 同步更新另外一个表的内容，两个表相关联的id，更新另一个表的字段
			'sync'		=> array('api_id' => 'id'),
			'update'	=> array(1),
			'update_type' => 2,
			'tab'		=> 2,
		),

		'notify_type'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '是否有回调',
			'default' 	=> '2',
			'desc' 		=> '是否有回调',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $notify_type,
			'control'	=> 'notify_type',
			'tab'		=> 3,
		),

		'notify_success'		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '回调成功响应-填写回调成功后，返回给渠道的信息',
			'default' 	=> '',
			'desc' 		=> '回调成功响应',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'show'		=> 'notify_type=1',
			'tab'		=> 3,
		),

		'channel/connect_api_notify_code'=> array
		(
			'name' 		=> '回调状态码设置',
			'default' 	=> '',
			'desc' 		=> '回调状态码设置',
			'match' 	=> 'option',
			# 同步更新另外一个表的内容，两个表相关联的id，更新另一个表的字段
			'sync'		=> array('api_id' => 'id'),
			'update'	=> array(1),
			'update_type' => 2,
			'show'		=> 'notify_type=1',
			'tab'		=> 3,
		),

		'channel/connect_api_notify'=> array
		(
			'name' 		=> '回调参数-仅设置需要的参数即可',
			'default' 	=> '',
			'desc' 		=> '回调参数',
			'match' 	=> 'option',
			# 同步更新另外一个表的内容，两个表相关联的id，更新另一个表的字段
			'sync'		=> array('api_id' => 'id'),
			'update'	=> array(1),
			'update_type' => 2,
			'show'		=> 'notify_type=1',
			'tab'		=> 3,
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'tab' => array('基本设置', '请求参数', '响应参数', '回调设置'),
		'link'	=> 'parent=connect.connect_api',
		//'insert' => false,
        //'edit' => false,

        # 自定义快捷新增和编辑
        'button' => array
        (
            //'新增' => array('fast'),
        ),
		'list_button' => array
        (
        	//'edit' => array('编辑'),
        	//'list' => array('字段列表', 'service_product_col&oper_table=service_product&top_table=service&search_option_product_id={id}'),
        )
	),

	'request' => array
	(
		
	)
);
