<?php

$type = Dever::db('channel/connect_request_body')->config['set']['type'];

return array
(
	# 表名
	'name' => 'connect_api_request_body',
	# 显示给用户看的名称
	'lang' => '请求参数配置',
	# 是否显示在后台菜单
	'order' => -10,
	'menu' => false,
	'check' => 'api_id,key',

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
			'order'		=> 'desc',
		),

		'api_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '接口id',
			'default' 	=> '1',
			'desc' 		=> '接口id',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_api_id'),
		),

		/*
		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '参数名称',
			'default' 	=> '',
			'desc' 		=> '字段名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),*/

		'key'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '参数标识',
			'default' 	=> '',
			'desc' 		=> '参数标识',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'default'		=> array
		(
			'type' 		=> 'varchar-300',
			'name' 		=> '默认值',
			'default' 	=> '',
			'desc' 		=> '默认值',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'type'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '参数类型',
			'default' 	=> '1',
			'desc' 		=> '参数类型',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $type,
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
        'edit' => false,

        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),
		'list_button' => array
        (
        	'edit' => array('编辑'),
        )
	),

	'request' => array
	(
		
	)
);
