<?php

$type = array
(
	1 => '无标准响应',
	2 => 'JSON',
	3 => 'XML',
	//4 => '普通文本',
);

return array
(
	# 表名
	'name' => 'connect_response',
	# 显示给用户看的名称
	'lang' => '响应参数配置',
	# 是否显示在后台菜单
	'order' => -10,
	'menu' => false,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
			'order'		=> 'desc',
		),

		'connect_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '通信规则id',
			'default' 	=> '1',
			'desc' 		=> '通信规则id',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_connect_id'),
		),

		'type'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '响应数据类型',
			'default' 	=> '1',
			'desc' 		=> '响应数据类型',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $type,
			'control'	=> 'type',
		),

		'data'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '响应业务数据字段名-多个用半角逗号隔开',
			'default' 	=> '',
			'desc' 		=> '响应业务数据字段名',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'show'		=> 'type=2,3',
		),

		'msg'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '响应信息字段名',
			'default' 	=> '',
			'desc' 		=> '响应信息字段名',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'show'		=> 'type=2,3',
		),

		'code'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '响应状态码字段名',
			'default' 	=> '',
			'desc' 		=> '响应状态码字段名',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'show'		=> 'type=2,3',
		),

		'channel/connect_response_code'=> array
		(
			'name' 		=> '响应状态码列表-设置标准的响应状态码，也可以只设置成功值，其他值均为失败',
			'default' 	=> '',
			'desc' 		=> '响应状态码列表',
			'match' 	=> 'option',
			# 同步更新另外一个表的内容，两个表相关联的id，更新另一个表的字段
			'sync'		=> array('connect_response_id' => 'id'),
			'update'	=> array(1),
			'update_type' => 2,
			'show'		=> 'type=2,3',
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
        'edit' => false,

        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),
		'list_button' => array
        (
        	'edit' => array('编辑'),
        )
	),

	'request' => array
	(
		
	)
);
