<?php
$method = array(-1 => '使用渠道标准请求方式');
$method += Dever::db('channel/connect')->config['set']['method'];

$post_method = Dever::db('channel/connect')->config['set']['post_method'];

$service = function()
{
    return Dever::db('channel/service')->state();
};
return array
(
	# 表名
	'name' => 'connect_spider',
	# 显示给用户看的名称
	'lang' => '采集配置',
	# 是否显示在后台菜单
	'order' => -10,
	'menu' => false,


	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'desc',
			'list'		=> true,
		),

		'connect_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '通信规则id',
			'default' 	=> '1',
			'desc' 		=> '通信规则id',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_connect_id'),
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '采集名称',
			'default' 	=> '',
			'desc' 		=> '采集名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'service_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '所属业务',
			'default' 	=> '1',
			'desc' 		=> '所属业务',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			//'search'	=> 'select',
			'option'	=> $service,
			'list'		=> true,
		),

		'uri'		=> array
		(
			'type' 		=> 'varchar-1000',
			'name' 		=> '采集网址-填写采集网址，无需填写分页部分',
			'default' 	=> '',
			'desc' 		=> '采集网址',
			'match' 	=> 'option',
			'update'	=> 'text',
			'list'		=> true,
		),

		'rule'		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '采集规则-一般为数据列表的采集规则，如https://www.qbitai.com/，则填写".article_list .picture_text"',
			'default' 	=> '',
			'desc' 		=> '采集规则',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			'list'		=> true,
		),

		'page_rule'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '采集分页-分页写成"page/{page=1}"，只需填写采集网址的分页部分',
			'default' 	=> '',
			'desc' 		=> '采集分页',
			'match' 	=> 'option',
			'update'	=> 'text',
			'tab'		=> 1,
		),

		'page_num'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '采集页数-值为0则默认采集100页',
			'default' 	=> '0',
			'desc' 		=> '采集页数',
			'match' 	=> 'option',
			'update'	=> 'text',
			'tab'		=> 1,
		),

		'method'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '请求方式',
			'default' 	=> '-1',
			'desc' 		=> '请求方式',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $method,
			//'list'		=> true,
			'control'	=> 'method',
			'tab'		=> 2,
		),

		'post_method'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '请求头设置',
			'default' 	=> '1',
			'desc' 		=> '请求头设置',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $post_method,
			'show'		=> 'method=2',
			'tab'		=> 2,
		),

		'channel/connect_spider_col'=> array
		(
			'name' 		=> '采集字段设置',
			'default' 	=> '',
			'desc' 		=> '采集字段设置',
			'match' 	=> 'option',
			# 同步更新另外一个表的内容，两个表相关联的id，更新另一个表的字段
			'sync'		=> array('spider_id' => 'id'),
			'update'	=> array(1),
			'update_type' => 2,
			//'tab'		=> 1,
		),

		'desc'		=> array
		(
			'name' 		=> '字段采集说明：<br />1、采集规则：如采集标题，.text_box a，如需要采集某个链接中的字段，则输入类似link->.article p，link->为link字段获取到的链接<br />2、采集属性：采集的属性，如html、href等，如带有s，则采集多条，如果值为list，则获取多条，仅限->模式<br />3、过滤规则：加号为保留某标签，减号为过滤span标签<br />4、回调方法：支持php内置方法和Dever内置方法，如Dever::getFile({c}, {domain}, 1)，就是将文件做转换，第三个参数不传就不保存到本地',
			'default' 	=> '',
			'update'	=> 'show',
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			//'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'tab' => array('基本设置', '分页设置', '请求方式'),
		'link'	=> 'parent=connect.connect_spider',
		/*
		'insert' => false,
        'edit' => false,

        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),

		'list_button' => array
        (
        	'edit' => array('编辑'),
        ),
        */
	),

	'request' => array
	(
		
	)
);
