<?php

return array
(
	# 表名
	'name' => 'connect_spider_col',
	# 显示给用户看的名称
	'lang' => '采集字段设置',
	# 是否显示在后台菜单
	'order' => -10,
	'menu' => false,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
			'order'		=> 'desc',
		),

		'spider_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '采集id',
			'default' 	=> '1',
			'desc' 		=> '采集id',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_spider_id'),
		),

		'key'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '字段标识',
			'default' 	=> '',
			'desc' 		=> '字段标识',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'rule'		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '采集规则',
			'default' 	=> '',
			'desc' 		=> '采集规则',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
			'list'		=> true,
		),

		'attr'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '采集属性',
			'default' 	=> '',
			'desc' 		=> '采集属性',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
			'list'		=> true,
		),

		'filter'		=> array
		(
			'type' 		=> 'varchar-1000',
			'name' 		=> '过滤规则',
			'default' 	=> '',
			'desc' 		=> '过滤规则',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'callback'		=> array
		(
			'type' 		=> 'varchar-1000',
			'name' 		=> '回调方法',
			'default' 	=> '',
			'desc' 		=> '回调方法',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
        'edit' => false,

        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),
		'list_button' => array
        (
        	'edit' => array('编辑'),
        )
	),

	'request' => array
	(
		
	)
);
