<?php
$option = array
(
	1 => '可执行',
	2 => '已完成',
);

$info = Dever::load('manage/project.get');

$path = $info['channel']['path'];

if (isset($info['channel']['setup'])) {
	$path = $info['channel']['setup'];
}
return array
(
	# 表名
	'name' => 'task',
	# 显示给用户看的名称
	'lang' => '任务管理',
	'order' => 30,
	'desc' => Dever::markdown('**启动任务的方法，以下三项任选其一：**
	0. 手动执行：'.Dever::url('lib/task.service?task_id=1', 'channel').'
	1. 常规任务：请将 ```* * * * * root php '.$path.'daemon/main.php``` 放到cron中[建议每分钟执行一次] 
	2. 用户触发：请在 ```config/base.php里开启cron=true``` [一般适用于虚拟主机]
	3. 长期运行：请执行 ```php '.$path.'daemon/loop.php 1>/dev/null 2>&1 &``` 指令，放置后台运行[一般用于队列等需要长期运行的项目]'),

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'desc',
			//'list'		=> true,
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '任务名称',
			'default' 	=> '',
			'desc' 		=> '任务名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'ldate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '执行时间',
			'match' 	=> 'is_numeric',
			'desc' 		=> '请选择执行时间',
			'update'	=> 'date',
			'callback'	=> 'maketime',
			'list'		=> 'date("Y-m-d H:i:s", {ldate})',
		),

		'time'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '时间间隔-以秒为单位，为0则执行一次',
			'default' 	=> '0',
			'match' 	=> 'is_numeric',
			'desc' 		=> '请输入时间间隔',
			'update'	=> 'text',
			'list'		=> true,
		),

		'channel/task_service'=> array
		(
			'name' 		=> '业务流-同一执行顺序将并行执行，后续任务将使用前面任务返回的数据',
			'default' 	=> '',
			'desc' 		=> '业务流',
			'match' 	=> 'option',
			# 同步更新另外一个表的内容，两个表相关联的id，更新另一个表的字段
			'sync'		=> array('task_id' => 'id'),
			'update'	=> array(1),
			'update_type' => 2,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
			'option' 	=> $option,
			'update'	=> 'radio',
			'list'		=> true,
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
        'edit' => false,

        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),

		'list_button' => array
        (
        	'edit' => array('编辑'),
        ),
	),

	'request' => array
	(
		'get' => array
		(
			'option' => array
			(
				'ldate' => array('yes', '<='),
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('id' => 'desc'),
			'col' => '*',
		),
	)
);
