<?php

namespace Channel\Lib;

use Dever;

class Api extends Connect
{
    protected $type = 'api';

    # 执行某个业务接口
    public function run_api()
    {
        $s = Dever::input('s');
        if ($s) {
            $s = explode('|', Dever::decode($s));
            $channel_id = $s[0];
            $id = $s[1];
        } else {
            $channel_id = Dever::input('channel');
            $id = Dever::input('id');
        }

        if (!$channel_id || !$id) {
            Dever::alert('参数错误');
        }

        $this->setting($channel_id, $id);
        return $this->setup();
    }

    # 回调
    public function notify_commit_api()
    {
        $input = Dever::input();
        $log['type'] = 'notify';
        $log['data'] = $input;
        Dever::log($log, 'channel');

        $this->init();

        $code = Dever::db('channel/connect_api_notify_code')->select(array('api_id' => $this->info['id']));

        $notify = Dever::db('channel/connect_api_notify')->select(array('api_id' => $this->info['id']));

        $result = 'error';
        $status = 0;
        if ($code) {
            foreach ($code as $k => $v) {
                if (isset($input[$v['key']]) && $input[$v['key']] == $v['value']) {
                    $status = $v['type'];
                }
            }
        }

        if ($status == 1) {
            $result = $this->info['notify_notify_success'];
        }

        if ($notify) {
            foreach ($notify as $k => $v) {
                if (isset($input[$v['key']])) {
                    $input[$v['key']] = $this->value($input, $v['key'], $v['key'], $v['type'] * 100);
                }
            }
        }

        $input['status'] = $status;

        # 业务处理
        $this->service($input);

        return $result;
    }

    # 获取token
    public function token($channel, $connect, $api, $type = 'token')
    {
        $db = Dever::db('channel/connect_' . $type);
        $data['connect_id'] = $connect['id'];
        $data['api_id'] = $api['id'];
        $info = $db->find($data);
        if ($info && time() - $info['mdate'] >= $info['expires']) {
            
        } elseif ($info) {
            return $info['value'];
        }
        $this->channel = $channel;
        $this->connect = $connect;
        $this->info = $api;
        $result = $this->init()->curl();
        if (isset($result[$type])) {
            $data['value'] = $result[$type];
            $data['expires'] = '7200';
            if (isset($result['expires'])) {
                $data['expires'] = $result['expires'];
            }
            if ($info) {
                $data['where_id'] = $info['id'];
                $db->update($data);
            } else {
                $db->insert($data);
            }
            return $result[$type];
        }
        return '';
    }

    # 执行某个业务接口
    protected function setup()
    {
        $result = $this->curl();
        return $result;
    }

    # 构建请求头
    protected function requestHeader(&$header)
    {
    	$this->request($header, 'api_request_header', array('api_id' => $this->info['id']));
    }

    # 构建请求体
    protected function requestBody(&$body)
    {
    	$this->request($body, 'api_request_body', array('api_id' => $this->info['id']));
    }

    # 数据响应格式处理
    protected function responseHandle(&$data)
    {
        $api_response = Dever::db('channel/connect_api_response')->select(array('api_id' => $this->info['id']));
        if ($api_response) {
            foreach ($api_response as $k => $v) {
                if (isset($data[$v['key']])) {
                    $data[$v['key']] = $this->value($data, $v['key'], $v['key'], $v['type'] * 100);
                }
            }
        }
        # 业务处理
        $data = $this->service($data);
    }

    protected function createNotify()
    {
        $encode = Dever::encode($this->channel['id'] . '|' . $this->info['id']);
        return Dever::url('lib/api.notify?s=' . $encode, 'channel');
    }
}