<?php

namespace Channel\Lib;

use Dever;

class Data
{
	public function value($id)
	{
		$info = Dever::db('channel/info_data')->one($id);
		$data = json_decode($info['value'], true);
		$result = array();
		if (!$data) {
			return '';
		}
		$col = Dever::db('channel/service_col')->getData(array('service_id' => $info['service_id']));
		if ($col) {
			foreach ($data as $k => $v) {
				if (isset($col[$k]) && $col[$k]) {
					$result[$col[$k]['name'] . '('.$k.')'] = $v;
				} else {
					$result[$k] = $v;
				}
			}
		} else {
			$result = $data;
		}
		
		return Dever::table($result);
	}

	public function get()
	{
		$data = Dever::load('channel/info_data-all', array('option_pid' => $project_id));

		return $data;
	}

	# 更新数据
	public function up($info_id, $service_id, $source_table, $source_id, $value)
	{
		$data['info_id'] = $info_id;
		$data['service_id'] = $service_id;
		$data['source_table'] = $source_table;
		$data['source_id'] = $source_id;
		if (isset($value[0]) && $value[0]) {
			foreach ($value as $v) {
				$this->insert($data, $v);
			}
		} else {
			$this->insert($data, $value);
		}
	}

	protected function insert($data, $value)
	{
		$data['value'] = Dever::json_encode($value);
		$info = Dever::db('channel/info_data')->find($data);
		if (!$info) {
			Dever::db('channel/info_data')->insert($data);
		}
	}

	# 清空数据
	public function drop_api()
	{
		$where['info_id'] = Dever::input('id');
		Dever::db('channel/info_data')->delete($where);

		return 'reload';
	}

	# 导出excel
    public function excel()
    {
    	$where['info_id'] = Dever::input('id');
    	$data = Dever::db('spider/data')->select($where);
		
		if (!$data) {
			return '';
		}
		$col = Dever::db('spider/col')->select($where);
		$set = Dever::db('spider/set')->select($where);

		$info = Dever::db('spider/project')->find($where['pid']);
        $file = $info['name'] . '的采集数据';
        $header = $body = array();

        if ($col) {
        	foreach ($col as $k => $v) {
        		$header[] = $v['name'];
        	}
        }

        if ($set) {
        	foreach ($set as $k => $v) {
        		$header[] = $v['name'];
        	}
        }

        if ($data) {
        	$i = 0;
            foreach ($data as $k => $v) {

            	if (!$v['value']) {
            		continue;
            	}
            	$value = Dever::json_decode($v['value']);
            	if (!$value) {
            		continue;
            	}
                if ($col) {
		        	foreach ($col as $k => $v) {
		        		$body[$i][] = isset($value[$v['key']]) ? $value[$v['key']] : '';
		        	}
		        }

		        if ($set) {
		        	foreach ($set as $k => $v) {
		        		$body[$i][] = isset($value[$v['key']]) ? $value[$v['key']] : '';
		        	}
		        }

		        $i++;
            }
        }

        Dever::excelExport($body, $header, $file);
    }
}
