<?php
namespace Channel\Lib;
use Dever;
Dever::apply('vendor/autoload', 'querylist');
use QL\QueryList;

class Spider extends Connect
{
	protected $type = 'spider';

    # 执行某个业务接口
    public function run_api()
    {
    	$channel_id = Dever::input('channel');
    	$id = Dever::input('id');
    	$this->setting($channel_id, $id);
    	return $this->setup();
    }

    # 执行某个业务接口
    protected function setup()
    {
        $col = Dever::db('channel/connect_spider_col')->select(array('spider_id' => $this->info['id']));
    	if ($col) {
    		$data = $this->handle($this->info['rule'], $col);
    		# 业务处理
        	$this->service($data);
        	return $data;
    	}
        return 'error';
    }

    protected function handle($range = false, $col = false, $url = false)
    {
        $result = $this->curl($url);
        if ($col && $result && $result['data']) {
            $dom = $this->dom($result['data']);
            return $this->get($dom, $range, $col);
        }
        return false;
    }

    /*
    $reg = [
        'title' => ['.text_box a', 'html'],
        //采集文章标题
        'title' => ['h1','text'],
        //采集文章发布日期,这里用到了QueryList的过滤功能，过滤掉span标签和a标签
        'date' => ['.pt_info','text','-span -a',function($content){
            //用回调函数进一步过滤出日期
            $arr = explode(' ',$content);
            return $arr[0];
        }],
        //采集文章正文内容,利用过滤功能去掉文章中的超链接，但保留超链接的文字，并去掉版权、JS代码等无用信息
        'content' => ['.post_content','html','a -.content_copyright -script']
    ];
    */
    protected function get($dom, $range, $col)
    {
        $rule = array();
        $next = array();
        foreach ($col as $v) {
            if (strstr($v['rule'], '->')) {
                $temp = explode('->', $v['rule']);
                $v['rule'] = $temp[1];
                $next[$temp[0]]['range'] = false;
                $next[$temp[0]]['rule'][] = $v;
                if ($v['attr'] == 'list') {
	                $next[$temp[0]]['range'] = $v['rule'];
	            }
                continue;
            }
            
            $rule[$v['key']] = array
            (
                $v['rule'],
                $v['attr'],
                $v['filter'],
            );

            if ($v['callback']) {
                $rule[$v['key']][] = function($content) use ($v) {
                    if (!strstr($v['callback'], '(')) {
                        $v['callback'] .= '({c})';
                    }
                    
                    if (strstr($v['callback'], '{c}')) {
                        $v['callback'] = str_replace('{c}', '$content', $v['callback']);
                    }
                    if (strstr($v['callback'], '{domain}')) {
                        $v['callback'] = str_replace('{domain}', '$this->domain', $v['callback']);
                    }
                    $call = '$content =' . $v['callback'] . ';';
                    eval($call);
                    return $content;
                };
            }
        }

        $dom = $dom->rules($rule);
        if ($range) {
            $dom = $dom->range($range);
        }

        $data = $dom->queryData();
        if ($data && $next) {
            foreach ($data as $k => $v) {
                foreach ($next as $k1 => $v1) {
                    if (isset($v[$k1]) && $v[$k1]) {
                        $data[$k] += $this->handle($v1['range'], $v1['rule'], $v[$k1]);
                    }
                }
            }
        }
        return $data;
    }

    protected function dom($html)
    {
        if (strstr($html, 'gb2312')) {
            $html = str_replace('gb2312', 'utf-8', $html);
        }
        return QueryList::html($html);
    }
}