<?php

$status = Dever::config('base')->status;

$cate = function()
{
	return Dever::db('content/cate')->state(array('type' => 2));
};

$type = Dever::db('content/article')->config['set']['type'];

return array
(
	# 表名
	'name' => 'pic',
	# 显示给用户看的名称
	'lang' => '图集管理',
	'order' => 99,
	'set' => array
	(
		'status' => $status,
		'cate' => $cate,
		'type' => $type,
	),

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '标题',
			'default' 	=> '',
			'desc' 		=> '标题',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
			'search'	=> 'fulltext',
			//增加预览
			'preview'	=> true,
		),

		'desc'		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '摘要',
			'default' 	=> '',
			'desc' 		=> '摘要',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),

		'cate_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '分类',
			'default' 	=> '',
			'desc' 		=> '分类',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $cate,
			'search'	=> 'select',
		),

		'creator_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '创作者',
			'default' 	=> '1',
			'desc' 		=> '创作者',
			'match' 	=> 'is_numeric',
			'search'    => array
            (
                'api' => 'creator/info-like',
                'col' => 'search',
                'result' => 'id',
            ),
            'update'    => 'select',
            'update_search' => 'creator/lib/info.manage_search',
            'list'       => '"{creator_id}" ? Dever::load("creator/lib/info.get#name", {creator_id}) : "暂无"',
		),

		'type'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '类型',
			'default' 	=> '',
			'desc' 		=> '类型',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $type,
			'search'	=> 'select',
		),

  		'pic'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '封面图-图片尺寸380*380px或等比尺寸，上传大小不能超过2M，支持JPG、PNG、GIF格式，建议上传JPG格式',
			'default' 	=> '',
			'desc' 		=> '封面图',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '380',
		),

		'content/pic_list'=> array
		(
			'name' 		=> '图片上传',
			'default' 	=> '',
			'desc' 		=> '图片上传',
			'match' 	=> 'option',
			# 同步更新另外一个表的内容，两个表相关联的id，更新另一个表的字段
			'sync'		=> array('pic_id' => 'id'),
			'update'	=> array(1),
			# 1纵向展示 2横向展示
			'update_type' => 2,
		),

		'status'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '状态',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $status,
			'search'	=> 'select',
			'list'		=> true,
			'edit'		=> true,
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			//'update'	=> 'text',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'pdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '发布时间',
			'match' 	=> array('is_numeric', time()),
			'default'	=> '',
			'desc' 		=> '',
			'update'	=> 'date',
			'callback'	=> 'maketime',
			'list'		=> 'date("Y-m-d H:i", {pdate})',
		),

		'udate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '更新时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			'list'		=> 'date("Y-m-d H:i", {udate})',
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i", {cdate})',
		),
	),
	
	# 管理功能
	'manage' => array
	(
		'list_button' => array
        (
            'list' => array('图片列表', 'pic_list&parent=pic&search_option_pic_id={id}'),
        )
	),

	# request 请求接口定义
	'request' => array
	(
		
	),
);
