<?php

$status = Dever::config('base')->status;

return array
(
	# 表名
	'name' => 'pic_list',
	# 显示给用户看的名称
	'lang' => '图片管理',
	'order' => 98,
	'menu' => false,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '标题',
			'default' 	=> '',
			'desc' 		=> '标题',
			'match' 	=> 'is_string',
			//'update'	=> 'text',
			//'search'	=> 'fulltext',
		),

		'pic_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '图集id',
			'default' 	=> '',
			'desc' 		=> '图集id',
			'match' 	=> 'is_numeric',
			'value'		=> Dever::input('search_option_pic_id'),
		),

  		'pic'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '图片-上传大小不能超过2M，支持JPG、PNG、GIF格式，建议上传JPG格式',
			'default' 	=> '',
			'desc' 		=> '图片',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'list'		=> 'Dever::load("content/lib/manage.showPic", "{pic}")',
		),

        'width'      => array
        (
            'type'      => 'varchar-11',
            'name'      => '宽度',
            'default'   => '',
            'desc'      => '宽度',
            'match'     => 'option',
            //'update'    => 'textarea',
            //'list'      => true,
        ),

        'height'      => array
        (
            'type'      => 'varchar-11',
            'name'      => '高度',
            'default'   => '',
            'desc'      => '高度',
            'match'     => 'option',
            //'update'    => 'textarea',
            //'list'      => true,
        ),

		'status'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '状态',
			'match' 	=> 'is_numeric',
			//'update'	=> 'radio',
			'option'	=> $status,
			'search'	=> 'select',
			'list'		=> true,
			'edit'		=> true,
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'udate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '更新时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			'list'		=> 'date("Y-m-d H:i", {udate})',
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i", {cdate})',
		),
	),
	
	# 管理功能
	'manage' => array
	(
		'insert' => false,
        'edit' => false,

        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),
		'list_button' => array
        (
        	'edit' => array('编辑'),
        )
	),

	# request 请求接口定义
	'request' => array
	(
		
	),
);
