<?php

$status = array
(
	1 => '启用',
	2 => '不启用',
);

$type = array
(
	1 => '实物',
	2 => '虚拟',
	3 => '功能',//对应道具市场
);

$parent = Dever::input('option_parent', -1);
$where_id = Dever::input('where_id');
if ($parent == -1 && !$where_id) {
	$type_update = 'radio';
} else {
	$type_update = false;
}

return array
(
	# 表名
	'name' => 'category',
	# 显示给用户看的名称
	'lang' => '商品分类设置',
	# 是否显示在后台菜单
	'order' => 300,

	'end' => array
	(
		'insert' => 'goods/lib/category.update',
		'update' => 'goods/lib/category.update',
	),

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '分类名称',
			'default' 	=> '',
			'desc' 		=> '分类名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
			'edit'		=> true,
		),

		'type'        => array
        (
            'type'      => 'int-11',
            'name'      => '分类类型',
            'default'   => '1',
            'desc'      => '分类类型',
            'match'     => 'is_numeric',
            'update'    => $type_update,
            'option'    => $type,
            'list'		=> '{parent_id} > 0 ? "-" : ({type} == 2 ? "虚拟" : "实物")',
        ),

		'parent'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> '上级分类',
			'default' 	=> $parent,
			'desc' 		=> '请选择上级分类',
			'match' 	=> 'option',
			'update'	=> 'linkage',
			'linkage' 	=> 'id=' . Dever::input('where_id'),
			'option'	=> Dever::url('lib/category.get', 'goods'),
		),

		'parent_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '上级分类',
			'default' 	=> -1,
			'desc' 		=> '请选择上级分类',
			'match' 	=> 'option',
			'value'		=> Dever::input('option_parent_id', -1),
			//'list_name'	=> '属性',
			//'list'		=> 'Dever::load("goods/lib/attr.getInfoByCate", {id})',
		),

		'top_parent_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '顶级分类',
			'default' 	=> -1,
			'desc' 		=> '请选择顶级分类',
			'match' 	=> 'is_numeric',
		),

		'goods/category_attr'=> array
		(
			'name' 		=> '属性设置',
			'default' 	=> '',
			'desc' 		=> '属性设置',
			'match' 	=> 'option',
			# 同步更新另外一个表的内容，两个表相关联的id，更新另一个表的字段
			'sync'		=> array('category_id' => 'id'),
			# 根据category字段的值，获取goods/attr.search接口的内容
			'update'	=> array(1),
			'update_type' => 2,
		),

		'level'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '分类级别-1为顶级分类、2为2级分类，-1为最后一级分类',
			'default' 	=> 1,
			'desc' 		=> '分类级别',
			'match' 	=> 'is_numeric',
		),

		'status'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '是否启用',
			'default' 	=> '1',
			'desc' 		=> '是否启用',
			'match' 	=> 'is_numeric',
			//'update'	=> 'radio',
			'option'	=> $status,
			'list'		=> true,
			'edit'		=> true,
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			//'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			//'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
        'edit' => false,

        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),

		'lang' => 'name',
		//'tab' => array('基础设置', '前端样式'),
		# 列表页的类型
		'list_type' => 'tree',
		'list_button' => array
		(
			'edit' => array('编辑'),
			'fast_add' => array('新增子分类', '"{parent}" == -1 ? "category&option_parent={id}" : "category&option_parent={parent},{id}"'),

			'list' => array('属性设置', '"category_attr&search_option_category_id={id}&oper_table=category"'),
		),
	),

	'request' => array
	(
		'getOne' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'id' => 'yes',
                'state' => 1,
            ),
            'type' => 'one',
            'col' => 'id,name,parent_id',
        ),

		# 获取顶级分类
		'getTop' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'ids' => array('yes-id', 'in'),
				'name' => array('yes', 'like'),
                'id' => 'yes',
				'parent_id' => -1,
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'id' => 'asc'),
			'col' => '*,name as name, id, id as value, "" as selected, "" as disabled|id',
		),

		'getChild' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'parent_id' => 'yes',
				'top_parent_id' => 'yes',
				'level' => 'yes',
				'parent_id_in' => array('yes-parent_id', 'in'),
				'id' => array('yes', '!='),
				'parent' => array('yes', 'like'),
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'id' => 'asc'),
			'col' => '*|parent_id|',
		),

		'getList' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'parent_id' => 'yes',
				'top_parent_id' => 'yes',
				'level' => 'yes',
				'parent_id_in' => array('yes-parent_id', 'in'),
				'id' => array('yes', '!='),
				'parent' => array('yes', 'like'),
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'id' => 'asc'),
			'col' => '*',
		),

		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'parent_id' => 'yes',
				'id' => array('yes', '!='),
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'id' => 'asc'),
			'col' => 'id as value, name',
		),
	)
);
