<?php

return array
(
    # 表名
    'name' => 'category_attr_search',
    # 显示给用户看的名称
    'lang' => '搜索值设置',
    # 是否显示在后台菜单
    'order' => 9,
    'menu'  => false,

    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'list'      => true,
        ),

        'category_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '分类',
			'default' 	=> '-1',
			'desc' 		=> '分类',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_category_id'),
		),

        'attr_id'       => array
        (
            'type'      => 'int-11',
            'name'      => '属性id',
            'default'   => '1',
            'desc'      => '属性id',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            'value'     => Dever::input('search_option_attr_id'),
        ),

        'name'      => array
        (
            'type'      => 'varchar-1000',
            'name'      => '搜索名称-如设置为100万以下',
            'default'   => '',
            'desc'      => '搜索名称',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
            'edit'      => true,
        ),

        'value'      => array
        (
            'type'      => 'varchar-1000',
            'name'      => '搜索值-直接输入要搜索的值即可，也可以设置为公式，如{v}<=100，{v}为当前值，如果是区间输入框，则{s}为区间最小值，{e}为区间最大值',
            'default'   => '',
            'desc'      => '搜索值',
            'match'     => 'is_string',
            'update'    => 'textarea',
            'search'    => 'fulltext',
            'list'      => true,
            'edit'      => true,
        ),

        'reorder'       => array
        (
            'type'      => 'int-11',
            'name'      => '排序(数值越大越靠前)',
            'default'   => '1',
            'desc'      => '请输入排序',
            'match'     => 'option',
            //'update'    => 'text',
            'search'    => 'order',
            'list_name' => '排序',
            'list'      => true,
            'order'     => 'desc',
            'edit'      => true,
        ),
        
        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '录入时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
    	'lang' => 'name,value',

        'insert' => false,
        'edit' => false,
        'button' => array
        (
            '新增' => array('fast'),
        ),
        # 列表
        'list_button' => array
        (
            'fast' => array('编辑'),
        ),
    ),

    'request' => array
    (
        'getData' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'info_id' => 'yes',
                'ids' => array('yes-id', 'in'),
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc', 'id' => 'desc'),
            'col' => '*',
        ),
    )
);
