<?php

return array
(
    # 表名
    'name' => 'category_attr_value',
    # 显示给用户看的名称
    'lang' => '属性值设置',
    # 是否显示在后台菜单
    'order' => 9,
    'menu'  => false,

    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'list'      => true,
        ),

        'category_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '分类',
			'default' 	=> '-1',
			'desc' 		=> '分类',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_category_id'),
		),

        'attr_id'       => array
        (
            'type'      => 'int-11',
            'name'      => '属性id',
            'default'   => '1',
            'desc'      => '属性id',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            'value'     => Dever::input('search_option_attr_id'),
        ),

        'name'      => array
        (
            'type'      => 'varchar-1000',
            'name'      => '属性值名称-如绿色',
            'default'   => '',
            'desc'      => '属性值名称',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
            'edit'      => true,
        ),

        'value'      => array
        (
            'type'      => 'varchar-1000',
            'name'      => '属性具体值-如上述名称为绿色，这里可以是绿色的色值，选填项，可以为空',
            'default'   => '',
            'desc'      => '属性具体值',
            'match'     => 'option',
            'update'    => 'text',
            'search'    => 'fulltext',
        ),

        'icon'      => array
        (
            'type'      => 'varchar-150',
            'name'      => '图标-选填项',
            'default'   => '',
            'desc'      => '图标',
            'match'     => 'option',
            'update'    => 'image',
            'key'       => 1,
        ),

        'reorder'       => array
        (
            'type'      => 'int-11',
            'name'      => '排序(数值越大越靠前)',
            'default'   => '1',
            'desc'      => '请输入排序',
            'match'     => 'option',
            //'update'    => 'text',
            'search'    => 'order',
            'list_name' => '排序',
            'list'      => true,
            'order'     => 'desc',
            'edit'      => true,
        ),
        
        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '录入时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
    	'lang' => 'name',

        'insert' => false,
        'edit' => false,
        'button' => array
        (
            '新增' => array('fast'),
        ),
        # 列表
        'list_button' => array
        (
            'fast' => array('编辑'),
        ),
    ),

    'request' => array
    (
        'getData' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'attr_id' => 'yes',
                'ids' => array('yes-id', 'in'),
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc', 'id' => 'desc'),
            'col' => 'id,attr_id,name,value,icon,concat(attr_id, "-", id) as price_key|id',
        ),
    )
);
