<?php
# 物流公司类型
$type = array
(
    1 => '快递',
    2 => '物流',
    3 => '外卖',
);

return array
(
    # 表名
    'name' => 'express',
    # 显示给用户看的名称
    'lang' => '物流公司设置',
    # 后台菜单排序
    'order' => 9,
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
        ),
        
        'name'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '物流公司名称',
            'default'   => '',
            'desc'      => '物流公司名称',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'number'      => array
        (
            'type'      => 'varchar-100',
            'name'      => '物流公司代号-用来根据接口获取配送信息',
            'default'   => '',
            'desc'      => '物流公司代号',
            'match'     => 'option',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'type'        => array
        (
            'type'      => 'int-11',
            'name'      => '物流公司类型',
            'default'   => '1',
            'desc'      => '物流公司类型',
            'match'     => 'is_numeric',
            'update'  => 'select',
            'option'    => $type,
            'search'    => 'select',
            'list'      => true,
            'edit'      => true,
        ),

        'reorder'       => array
        (
            'type'      => 'int-11',
            'name'      => '排序-数值越大越靠前，相当于置顶',
            'default'   => '1',
            'desc'      => '请输入排序',
            'match'     => 'option',
            //'update'  => 'text',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
            'edit'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        
    ),

    'default' => array
    (
        'col' => 'name,number,state,cdate',
        'value' => array
        (
            '"默认物流公司", "default", 1,' . DEVER_TIME,
        ),
    ),

    'request' => array
    (
        'getOne' => array
        (
            'option' => array
            (
                'name' => 'yes',
                'state' => 1,
            ),
            'type' => 'one',
            'order' => array('id' => 'asc'),
            'col' => '*',
        ),
    ),
);
