<?php
$goods = array
(
	1 => '所有商品',
	2 => '部分商品',
);
$category = function()
{
	$array = array();
	$data = Dever::load('goods/category-getTop');
	if($data)
	{
		$array += $data;
	}
	return $array;
};
$status = array
(
	1 => '有效',
	2 => '失效',
);
$type = array
(
	1 => '统一调价',
	2 => '手动改价',
);
$time = array
(
	1 => '长期有效',
	2 => '短期有效',
);
return array
(
	# 表名
	'name' => 'price_rule',
	# 显示给用户看的名称
	'lang' => '价格模板策略',
	# 是否显示在后台菜单
	'order' => 9,
	'menu' => false,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'list'		=> true,
			'order'		=> 'asc',
		),

		'price_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '所属价格模板',
            'default'   => '',
            'desc'      => '所属价格模板',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            'search'    => 'hidden',
            'value'     => Dever::input('search_option_price_id'),
            'list'      => 'Dever::load("goods/price-one#name", {price_id})',
        ),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '策略名称',
			'default' 	=> '',
			'desc' 		=> '策略名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
			'edit'		=> true,
		),

        'category'		=> array
		(
			'type' 		=> 'varchar-2000',
			'name' 		=> '影响分类-如不选择就是影响所有商品',
			'default' 	=> '',
			'desc' 		=> '模板影响分类',
			'match' 	=> 'is_string',
			'update'	=> 'checkbox',
			'option'	=> $category,
		),

		'type'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '调价规则-手动调价需要在配置商品中进行手动调整',
            'default'   => '1',
            'desc'      => '调价规则',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $type,
            'list'		=> true,
            'control'	=> 'type',
        ),

        'sell_num'		=> array
		(
			'type' 		=> 'varchar-30',
			'name' 		=> '销售调价数值-直接输入数字就是统一调价的增减数值，负数就是减少，如果是百分比，就带上%号即可，如10%，模板下的商品将统一进行加价或者减价',
			'default' 	=> '',
			'desc' 		=> '销售调价数值',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'show'		=> 'type=1',
		),

		'buy_num'		=> array
		(
			'type' 		=> 'varchar-30',
			'name' 		=> '采购调价数值-直接输入数字就是统一调价的增减数值，负数就是减少，如果是百分比，就带上%号即可，如10%，模板下的商品将统一进行加价或者减价',
			'default' 	=> '',
			'desc' 		=> '采购调价数值',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'show'		=> 'type=1',
		),

		'day'		=> array
		(
			'type' 		=> 'varchar-30',
			'name' 		=> '临期天数-填写该天数，如果商品有保质期，在小于等于该天数的时间内，将是不同的价格，为0则不验证保质期',
			'default' 	=> '0',
			'desc' 		=> '临期天数',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'time'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '模板有效期',
            'default'   => '1',
            'desc'      => '模板有效期',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $time,
            'list'		=> true,
            'control'	=> 'time',
        ),

        'time_start'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '开始时间',
			'default'   => '',
			'match' 	=> 'is_numeric',
			'desc' 		=> '开始时间',
			'update'	=> 'date',
			'show'		=> 'time=2',
		),

		'time_end'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '结束时间',
			'default'   => '',
			'match' 	=> 'is_numeric',
			'desc' 		=> '结束时间',
			'update'	=> 'date',
			'show'		=> 'time=2',
		),

		'status'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '是否有效',
            'default'   => '1',
            'desc'      => '是否有效',
            'match'     => 'is_numeric',
            //'update'    => 'radio',
            'option'    => $status,
            'list'		=> true,
            'edit'		=> true,
        ),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '优先级-数值越大优先级越高',
			'default' 	=> '1',
			'desc' 		=> '优先级排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
        'edit' => false,

        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),
		'list_button' => array
        (
        	'edit' => array('编辑'),
        	'location' => array('配置商品', Dever::url('lib/price.setGoods', 'goods')),
        )
	),

	'request' => array
	(
		
	)
);
