<?php

return array
(
	# 表名
	'name' => 'unit_type',
	# 显示给用户看的名称
	'lang' => '单位分类',
	# 是否显示在后台菜单
	'order' => 10,
	'menu' => false,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
			'order'		=> 'asc',
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '分类名称',
			'default' 	=> '',
			'desc' 		=> '分类名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
			'edit'		=> true,
		),

		'en_name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '分类英文名称',
			'default' 	=> '',
			'desc' 		=> '分类英文名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
			'edit'		=> true,
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			//'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			//'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
        'edit' => false,

        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),
		'list_button' => array
        (
        	'edit' => array('编辑'),
        )
	),

	'default' => array
	(
		'col' => 'id,name,en_name,reorder,state,cdate',
		'value' => array
		(
			'1,"重量单位","weight",1000,1,' . DEVER_TIME,
			'2,"数量单位","number",900,1,' . DEVER_TIME,
			'3,"长度单位","length",800,1,' . DEVER_TIME,
			'4,"面积单位","area",700,1,' . DEVER_TIME,
			'5,"体积单位","voiume",600,1,' . DEVER_TIME,
			'6,"容积单位","capality",500,1,' . DEVER_TIME,
		),
	),

	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'id' => 'desc'),
			'col' => 'id,id as value, name',
		),
	)
);
