<?php

namespace Goods\Lib;

use Dever;

class Manage
{
    # 选择来源 已废弃 留用
    public function selectSource_api()
    {
        $value = Dever::input('value');
        $id = Dever::input('id');
        $data = array();
        if ($id) {
            $data = Dever::db('goods/info')->find($id);
            if ($value != $data['source_type']) {
                $data['source_id'] = -1;
            }
        }
        
        $config['source_id'] = Dever::db('goods/info')->config['struct']['source_id'];
        $config['source_id']['update'] = 'select';
        $config['source_id']['update_search'] = 'set/lib/role.search?source_type=' . $value;

        $result = Dever::load('manage/database')->update_struct(array('struct' => $config), false, $data, -1, '', true);

        return $result;
    }

    /**
     * 更新信息
     *
     * @return mixed
     */
    public function updateInfo($id, $name, $data)
    {
        # 更新分类id
        $category = Dever::param('category', $data);
        if ($category) {
            if (is_array($category)) {
                $category_id = end($category);
                $top_category_id = $category[0];
                if (isset($category[1])) {
                    $second_category_id = $category[1];
                } else {
                    $second_category_id = $category[0];
                }
                
            } else {
                $category_id = $category;
                $top_category_id = $category;
                $second_category_id = $category;
            }

            $update['top_category_id'] = $top_category_id;
            $update['second_category_id'] = $second_category_id;
            $update['category_id'] = $category_id;
            if (isset($update)) {
                $update['where_id'] = $id;
                Dever::db('goods/info')->update($update);
            }
        }
    }

    public function searchProduct_api()
    {
        $goods_id = $sku_id = false;
        $yes = Dever::input('yes');
        if ($yes) {
            $yes = explode(',', Dever::input('yes'));
            $goods_id = $yes[0];
            if (isset($yes[1])) {
                $sku_id = $yes[1];
            }
        }

        $id = Dever::input('id');
        $keyword = Dever::input('keyword');
        $category = Dever::input('category');
        $where = array();
        if ($keyword) {
            $where['name'] = $keyword;
        }
        if ($category) {
            $where['category'] = $category;
        }
        $data = array();
        $cate = '';
        $get = true;
        $supplier_channel_id = Dever::input('supplier_channel_id');
        if ($supplier_channel_id) {
            $where['supplier_channel_id'] = $supplier_channel_id;
            $data = Dever::search('supplier/channel_goods', $where);
            $get = false;
        }

        $seller_shop_id = Dever::input('seller_shop_id');
        if ($seller_shop_id) {
            $shop_info = Dever::db('seller/shop')->one($seller_shop_id);
            if ($shop_info && $shop_info['stock'] == 2 && $shop_info['stock_shop'] > 0) {
                $seller_shop_id = $shop_info['stock_shop'];
            }
            $shop_channel = Dever::db('seller/shop_channel')->getAll(array('seller_shop_id' => $seller_shop_id));
            if ($shop_channel) {
                $where['supplier_channel_id'] = array_keys($shop_channel);
                $type = Dever::input('type');
                $where[$type . '_type'] = 1;
                $data = Dever::search('supplier/channel_goods', $where);
            }
            $get = false;
        }

        $service_id = Dever::input('service_id');
        $servicer_store_id = Dever::input('servicer_store_id');
        if ($servicer_store_id) {
            $where['servicer_store_id'] = $servicer_store_id;
            $data = Dever::search('servicer/store_goods', $where);
        }

        if ($category) {
            $cate = $category;
        }

        if (!$data && $get) {
            $id = Dever::input('where_id');
            if ($id) {
                $where['id_no'] = $id;
            }
            if ($cate) {
                $where['cate'] = $cate;
            }
            
            Dever::setInput('yes', $goods_id);
            $data = Dever::search('goods/info', $where);
        }
        
        if ($data) {
            $old = $data;
            $data = array();
            foreach ($old as $k => $v) {
                Dever::load('goods/lib/sku')->getList($v, $data, $sku_id);
            }
        }

        $width = '600';
        $table = '<style>.layui-table-view{margin:10px!important}</style><table class="layui-table" lay-filter="'.$id.'">';

        $table .= '<thead>
                    <tr>
                      <th lay-data="{field:\'value\', fixed:\'left\', width: 120}">ID</th>
                      <th lay-data="{field:\'name\', fixed:\'left\', hide:true}">名称</th>
                      <th lay-data="{field:\'sname\', fixed:\'left\', width: 120}">名称</th>
                      <th lay-data="{field:\'spec\'}">规格</th>
                    </tr> 
                  </thead>';

        $table .= '<tbody>';
        foreach ($data as $k => $v) {
            $table .= '<tr>
                      <td>'.$v['id'].'</td>
                      <td>'.$v['name'].'</td>
                      <td>'.$v['sname'].'</td>
                      <td>'.$v['spec'].'</td>
                    </tr>';
        }
        $table .= '</tbody>';
        $table .= '</table>';

        $result['list'] = $data;
        //$result['table'] = $table;
        $result['table_config'] = array('width' => $width);

        return $result;
    }

    public function getGoods($id, $table = 'servicer/in_order_goods', $cash = true)
    {
        $result = array();
        $result['head'] = array('名称', '批次', '单价', '数量');
        if (!$cash) {
            unset($result['head'][1]);
        }
        $result['body'] = array();

        $data = Dever::db($table)->select(array('order_id' => $id));

        if ($data) {
            $status = Dever::db($table)->config['status'];
            foreach ($data as $k => $v) {
                $goods_info = Dever::load('goods/lib/info')->getBaseInfo($v['goods_id'], $v['sku_id']);
                $status_name = Dever::status($status, $v['status']);
                $unit = Dever::db('goods/unit')->one($v['unit_id']);
                $result['body'][$k][] = $goods_info['aname'];
                if (isset($v['batch'])) {
                    $result['body'][$k][] = $v['batch'];
                } else {
                    unset($result['head'][1]);
                }
                
                $result['body'][$k][] = $v['cash'];
                $result['body'][$k][] = $v['num'] . $unit['name'];
                //$result['body'][$k][] = $status_name;

                if (!$cash) {
                    unset($result['body'][$k][1]);
                }
            }
        }
        $body[''] = array
        (
            'type' => 'table',
            'content' => $result,
        );

        if ($result['body']) {
            return Dever::show('', $body);
        } else {
            return '暂无';
        }
    }

    # 根据商品获取信息，后台入库出库单使用
    public function showInfo_api()
    {
        $goods = Dever::input('value');
        $cash_col = Dever::input('cash_col', 'cost_price');
        list($goods_id, $sku_id) = explode('-', $goods);
        $goods_info = Dever::load('goods/lib/info')->getBaseInfo($goods_id, $sku_id);
        $option = array();
        $result = array();
        $result['sku_id'] = '暂无';
        $result['unit_id'] = 1;
        $result['cash'] = '0.00';

        if ($goods_info) {
            $result['cash'] = $goods_info[$cash_col];
            $string = '';
            $table = Dever::input('table');
            $unit_id = false;
            if ($table != 'out_order') {
                # 出库不需要
                $unit_id = -1;
            }
            $data = Dever::load('goods/lib/unit')->getData($goods_id, $sku_id, $unit_id, Dever::input('cash_col'));
            if ($data) {
                $result['cash'] = $data['cash'];
                $result['sku_id'] = $data['num'] . $goods_info['unit'] . $string;
            }

            $result['unit_id'] = $goods_info['unit_id'];
            
            if ($result['unit_id']) {
                $unit = Dever::db('goods/info_unit')->select(array('info_id' => $goods_info['id']));
                $option['unit_id'] = '';
                $unit_info = Dever::db('goods/unit')->one($result['unit_id']);
                $option['unit_id'] .= '<option value="'.$unit_info['id'].'" selected>'.$unit_info['name'].'</option>';
                if ($unit) {
                    foreach ($unit as $k => $v) {
                        $unit_info = Dever::db('goods/unit')->one($v['unit_id']);
                        $option['unit_id'] .= '<option value="'.$unit_info['id'].'">'.$unit_info['name'].'</option>';
                    }
                }
            }
            $result['cash'] = Dever::number($result['cash']);
            $result['num'] = '1.00';
        }
        
        return array('data' => $result, 'html' => '', 'option' => $option);
    }

    # 根据单位获取价格
    public function showPriceByUnit_api()
    {
        $unit = Dever::input('value');
        $goods = Dever::input('goods_id');
        $temp = explode('-', $goods);
        $goods_id = $temp[0];
        $sku_id = $temp[1];
        $data = Dever::load('goods/lib/unit')->getData($goods_id, $sku_id, $unit, Dever::input('cash_col'));
        if ($data) {
            $unit = Dever::db('goods/unit')->one($unit);
            $data['sku_id'] = $data['num'] . $unit['name'];
        }
        unset($data['num']);
        
        return array('data' => $data, 'html' => '');
    }

    # 重新设置要选择的商品
    public function resetGoods_api()
    {
        $value = Dever::input('value');
        $reset = Dever::input('reset');
        $reset = str_replace(array('/', '-'), '--', $reset);
        $remove[] = '.update_' . $reset;

        $data = array();
        $type = Dever::input('type');
        if ($type == 'salesman_id') {
            $config['salesman_id'] = Dever::db('seller/sell_order')->config['struct']['salesman_id'];
            $config['salesman_id']['name'] = '';
            $config['salesman_id']['update'] = 'select';
            $config['salesman_id']['update_search'] = 'order/lib/salesman.manage_search?seller_shop_id=' . $value;

            $data = Dever::load('manage/database')->update_struct(array('struct' => $config), false, $data, -1, '', true, false);
        }
        
        return array('data' => $data, 'html' => '', 'remove' => $remove);
    }

    # 展示总计
    public function showTotal_api()
    {
        $num = Dever::input('value');
        $col = Dever::input('col');
        $price = Dever::input('goods--info_sku-one_price');
        $buy_price = Dever::input('goods--info_sku-one_buy_price');
        
        if ($price && $buy_price) {
            return array('show_price' => $price * $num, 'show_buy_price' => $buy_price * $num, 'show_num' => (float)$num);
        }
    }

    # 显示组合商品或者套餐商品的销售价和采购价
    public function showGroupInfo_api()
    {
        $goods = Dever::input('value');
        list($goods_id, $sku_id) = explode('-', $goods);
        $goods_info = Dever::load('goods/lib/info')->getBaseInfo($goods_id, $sku_id);
        $option = array();
        $result = array();
        if ($goods_info) {
            $result['goods--info_sku-one_price'] = $goods_info['price'];
            $result['goods--info_sku-one_buy_price'] = $goods_info['buy_price'];
            $result['num'] = 'onload';
        }
        
        return array('data' => $result, 'html' => '', 'option' => $option);
    }
}
