<?php

namespace Goods\Lib;

use Dever;

class Set
{
    # 获取商品列表
    public function goods_api()
    {
        $id = Dever::input('id', 1);
        $project = Dever::input('project');
        $table = Dever::input('table');
        $col = Dever::input('col');
        $price_id = Dever::input('price_id', -1);
        $type = Dever::input('type', 1);
        $source = '';
        $table = ''.$project . '/' . $table;
        if ($type == 2) {
            $source = $table;
            $table = '';
        }
        $goods_category = Dever::input('goods_category');
        $where[$col] = $id;
        return Dever::outDiy(Dever::load('goods/lib/info')->getSetList($table, $where, $goods_category, 'goods_id', array(), $price_id, $source));
    }

    # 配置商品
    public function home_api()
    {
        $data = array();
        $data['id'] = Dever::input('id', 1);
        $data['project'] = Dever::input('project');
        $data['col'] = Dever::input('col');
        if (!$data['col']) {
            $data['col'] = $data['project'] . '_id';
        }
        $data['info'] = Dever::input('info');
        $data['table'] = Dever::input('table');
        $info = Dever::db($data['project'] . '/' . $data['info'])->find($data['id']);
        $data['info'] = $info;

        $data['host'] = Dever::url('lib/set.home', 'goods');

        $uri = 'lib/set.goods?id=' . $data['id'] . '&project=' . $data['project'] . '&table=' . $data['table'] . '&col=' . $data['col'];

        if (isset($info['category']) && $info['category']) {
        	$uri .= '&goods_category=' . $info['category'];
        }
        if (isset($info['price_id'])) {
        	$uri .= '&price_id=' . $info['price_id'];
        }
        $data['url'] = Dever::url($uri, 'goods');
        $data['submit'] = Dever::url('lib/set.action_commit?json=1', 'goods');

        return Dever::render('set_' . $data['project'] . '_' . $data['table'], $data);
    }

    # 配置商品
    public function action_commit_api()
    {
        $goods = Dever::input('goods');
        if (!$goods) {
            Dever::alert('请传入商品');
        }
        $project = Dever::input('project');
        $table = Dever::input('table');
        $col = Dever::input('col');
        $goods = Dever::json_decode($goods);
        $id = Dever::input('id');

        $table_goods = '' . $project . '/' . $table;

        $where['option_' . $col] = $id;
        $where['set_state'] = 2;
        Dever::db($table_goods)->updates($where);

        $sell_category = $buy_category = array();
        foreach ($goods as $k => $v) {
            $temp = explode('-', $k);
            $goods_id = $temp[0];
            if (isset($temp[1])) {
                $sku_id = $temp[1];
            } else {
                $sku_id = -1;
            }
            if ($v['num'] < 0) {
            	continue;
            }
            $w = array();
            $w['goods_id'] = $goods_id;
            $w[$col] = $id;
            $w['sku_id'] = $sku_id;

            if ($v['del'] == 2) {
                $info = Dever::db($table_goods)->one($w);
                if ($info) {
                    Dever::db($table_goods)->update(array('where_id' => $info['id'], 'state' => 2));
                }
            } else {
                $goods_info = Dever::db('goods/info')->one($goods_id);
                $info = Dever::db($table_goods)->one($w);

                if (isset($v['sell_min'])) {
                	$w['sell_min'] = $v['sell_min'];
                }
                if (isset($v['buy_min'])) {
                    $w['buy_min'] = $v['buy_min'];
                }
                if (isset($v['cost_price'])) {
                	$w['cost_price'] = $v['cost_price'];
                }
                
                if (!$info) {
                    Dever::db($table_goods)->insert($w);
                } else {
                    $w['where_id'] = $info['id'];
                    $w['state'] = 1;
                    Dever::db($table_goods)->update($w);
                }
            }
            if ($v['sell_type'] == 1) {
                $sell_category[$v['top_category_id']] = $v['top_category_id'];
            }
            if ($v['buy_type'] == 1) {
                $buy_category[$v['top_category_id']] = $v['top_category_id'];
            }
        }

        if (strstr($table_goods, 'channel_goods') && $sell_category && $buy_category) {
            if ($sell_category) {
                $update['sell_category'] = implode(',', $sell_category);
            }
            if ($buy_category) {
                $update['buy_category'] = implode(',', $buy_category);
            }
            $update['where_id'] = $id;
            Dever::db('supplier/channel')->update($update);
        }
        return 'refer';
    }
}