<?php

namespace Goods\Lib;

use Dever;

class Sku
{
    # 获取当前的sku
    public function get_api()
    {
    	$id = Dever::input('id');
    	$result = array();
    	if ($id) {
    		$result = Dever::db('goods/info_sku')->getAll(array('info_id' => $id));
    	}
    	return $result;
    }

    # 获取某个商品的sku商品列表
    public function getList($info, &$data, $sku_id = false)
    {
        if ($info['spec_type']) {
            $where['info_id'] = $info['id'];
            if (isset($info['sku_id'])) {
                $where['id'] = $info['sku_id'];
            }
            $sku = Dever::db('goods/info_sku')->select($where);
            if ($sku) {
                foreach ($sku as $k => $v) {
                    $copy = $info;
                    if ($copy['selected'] && $sku_id && $sku_id == $v['id']) {
                        $copy['selected'] = true;
                    } else {
                        $copy['selected'] = false;
                    }
                    $copy['id'] .= '-' . $v['id'];
                    if (isset($info['servicer_store_id']) && $info['servicer_store_id']) {
                        $copy['id'] .= '-' . $info['id'];
                    }
                    $copy['sname'] = $copy['name'];
                    if (isset($copy['value'])) {
                        $copy['value'] = $copy['id'];
                    }
                    $copy['spec'] = '无';
                    if ($v['key'] != -1) {
                        $key = str_replace('-', ',', $v['key']);
                        $spec = Dever::db('goods/info_spec_value')->getGroupData(array('ids' => $key));
                        if ($spec) {
                            $copy['spec'] = $spec['name'];
                            $copy['name'] .= '-' . $spec['name'];
                        }
                    }
                    $data[] = $copy;
                }
            }
        } else {
            $data[] = $info;
        }
        
        return $data;
    }

    # 获取基本信息列表
    public function getData($info_id, $sku_id = false, $type = 1, &$info)
    {
        $info['min'] = 0;
        $info['price'] = 0;
        $info['un_price'] = 0;
        $info['buy_price'] = 0;

        $seller_id = Dever::input('seller_id');
        if ($seller_id) {
            $seller = Dever::db('seller/info')->find($seller_id);
        }
        $where['info_id'] = $info_id;
        if ($sku_id) {
            $where['id'] = $sku_id;
        }
        $sku = Dever::db('goods/info_sku')->getData($where);
        if ($sku) {
            foreach ($sku as $k => $v) {
                unset($sku[$k]['key']);
                if ($seller_id && $seller) {
                    list($sku[$k]['price'], $sku[$k]['buy_price']) = Dever::load('goods/lib/price')->get($seller['price_id'], $info_id, $v['id'], $sku[$k]['price'], $sku[$k]['buy_price']);
                }
                
                if ($type == 1) {
                    unset($info['buy_price']);
                    unset($sku[$k]['buy_price']);
                    unset($sku[$k]['cost_price']);
                    if (!$info['price']) {
                        $info['price'] = $sku[$k]['price'];
                        $info['un_price'] = $sku[$k]['un_price'];
                        $info['min'] = $sku[$k]['min'];
                    } elseif ($sku[$k]['price'] < $info['price']) {
                        $info['price'] = $sku[$k]['price'];
                        $info['un_price'] = $sku[$k]['un_price'];
                        $info['min'] = $sku[$k]['min'];
                    }
                } elseif ($type == 2) {
                    unset($info['price']);
                    unset($info['un_price']);
                    unset($sku[$k]['price']);
                    unset($sku[$k]['un_price']);

                    if (!$info['buy_price']) {
                        $info['buy_price'] = $sku[$k]['buy_price'];
                    } elseif ($sku[$k]['buy_price'] < $info['buy_price']) {
                        $info['buy_price'] = $sku[$k]['buy_price'];
                    }
                }
            }
        }
        return $sku;
    }
}
